#if defined(WITH_COMMENTS)
/*
 * fintrf.h	- MATLAB/FORTRAN interface header file. This file
 *		  contains the declaration of the pointer type needed
 *		  by the MATLAB/FORTRAN interface.
 *
 * Copyright 1984-2006 The MathWorks, Inc.
 * All Rights Reserved.
 */
#endif
#if defined(__x86_64__) || defined(_M_AMD64) || defined(__amd64) || \
    defined(__sparcv9)  || defined(__ppc64__)
# define mwpointer integer*8
# define mwPointer integer*8
# define MWPOINTER INTEGER*8
#else
# define mwpointer integer*4
# define mwPointer integer*4
# define MWPOINTER INTEGER*4
#endif

#if defined(MX_COMPAT_32)
# define mwsize  integer*4
# define mwSize  integer*4
# define MWSIZE  INTEGER*4
# define mwindex integer*4
# define mwIndex integer*4
# define MWINDEX INTEGER*4
#else
# define mwsize  mwpointer
# define mwSize  mwpointer
# define MWSIZE  MWPOINTER
# define mwindex mwpointer
# define mwIndex mwpointer
# define MWINDEX MWPOINTER
#endif

#if defined(WITH_COMMENTS)
/*
 * Compatibility layer for MEX files using the 32-bit mxArray APIs
 */
#endif

#if defined(MX_COMPAT_32)

#define mxCalcSingleSubscript mxCalcSingleSubscript700
#define mxCreateCellArray mxCreateCellArray700
#define mxCreateCellMatrix mxCreateCellMatrix700
#define mxCreateCharArray mxCreateCharArray700
#define mxCreateCharMatrixFromStrings mxCreateCharMatrixFromStrs700
#define mxCreateDoubleMatrix mxCreateDoubleMatrix700
#define mxCreateNumericArray mxCreateNumericArray700
#define mxCreateNumericMatrix mxCreateNumericMatrix700
#define mxCreateSparse mxCreateSparse700
#define mxCreateStructArray mxCreateStructArray700
#define mxCreateStructMatrix mxCreateStructMatrix700
#define mxGetCell mxGetCell700
#define mxGetDimensions mxGetDimensions700
#define mxGetField mxGetField700
#define mxGetFieldByNumber mxGetFieldByNumber700
#define mxGetIr mxGetIr700
#define mxGetJc mxGetJc700
#define mxGetNumberOfDimensions mxGetNumberOfDimensions700
#define mxGetNzmax mxGetNzmax700
#define mxGetString mxGetString700
#define mxSetCell mxSetCell700
#define mxSetDimensions mxSetDimensions700
#define mxSetField mxSetField700
#define mxSetFieldByNumber mxSetFieldByNumber700
#define mxSetIr mxSetIr700
#define mxSetJc mxSetJc700
#define mxSetM mxSetM700
#define mxSetN mxSetN700
#define mxSetNzmax mxSetNzmax700
#define mxGetM mxGetM700
#define mxGetN mxGetN700
#define mxGetNumberOfElements mxGetNumberOfElements700
#define mxGetElementSize mxGetElementSize700
#define mxMalloc mxMalloc700
#define mxCalloc mxCalloc700
#define mxRealloc mxRealloc700
#define mxCopyReal4ToPtr mxCopyReal4ToPtr700
#define mxCopyPtrToReal4 mxCopyPtrToReal4700
#define mxCopyReal8ToPtr mxCopyReal8ToPtr700
#define mxCopyPtrToReal8 mxCopyPtrToReal8700
#define mxCopyInteger1ToPtr mxCopyInteger1ToPtr700
#define mxCopyPtrToInteger1 mxCopyPtrToInteger1700
#define mxCopyInteger2ToPtr mxCopyInteger2ToPtr700
#define mxCopyPtrToInteger2 mxCopyPtrToInteger2700
#define mxCopyInteger4ToPtr mxCopyInteger4ToPtr700
#define mxCopyPtrToInteger4 mxCopyPtrToInteger4700
#define mxCopyInteger8ToPtr mxCopyInteger8ToPtr700
#define mxCopyPtrToInteger8 mxCopyPtrToInteger8700
#define mxCopyPtrToPtrArray mxCopyPtrToPtrArray700
#define mxCopyComplex16ToPtr mxCopyComplex16ToPtr700
#define mxCopyPtrToComplex16 mxCopyPtrToComplex16700
#define mxCopyComplex8ToPtr mxCopyComplex8ToPtr700
#define mxCopyPtrToComplex8 mxCopyPtrToComplex8700
#define mxCopyMWIndexToPtr mxCopyMWIndexToPtr700
#define mxCopyPtrToMWIndex mxCopyPtrToMWIndex700
#define mxCreateCharMatrixFromStrs mxCreateCharMatrixFromStrs700
#define MXCALCSINGLESUBSCRIPT MXCALCSINGLESUBSCRIPT700
#define MXCREATECELLARRAY MXCREATECELLARRAY700
#define MXCREATECELLMATRIX MXCREATECELLMATRIX700
#define MXCREATECHARARRAY MXCREATECHARARRAY700
#define MXCREATECHARMATRIXFROMSTRINGS MXCREATECHARMATRIXFROMSTRS700
#define MXCREATEDOUBLEMATRIX MXCREATEDOUBLEMATRIX700
#define MXCREATENUMERICARRAY MXCREATENUMERICARRAY700
#define MXCREATENUMERICMATRIX MXCREATENUMERICMATRIX700
#define MXCREATESPARSE MXCREATESPARSE700
#define MXCREATESTRUCTARRAY MXCREATESTRUCTARRAY700
#define MXCREATESTRUCTMATRIX MXCREATESTRUCTMATRIX700
#define MXGETCELL MXGETCELL700
#define MXGETDIMENSIONS MXGETDIMENSIONS700
#define MXGETFIELD MXGETFIELD700
#define MXGETFIELDBYNUMBER MXGETFIELDBYNUMBER700
#define MXGETIR MXGETIR700
#define MXGETJC MXGETJC700
#define MXGETNUMBEROFDIMENSIONS MXGETNUMBEROFDIMENSIONS700
#define MXGETNZMAX MXGETNZMAX700
#define MXGETSTRING MXGETSTRING700
#define MXSETCELL MXSETCELL700
#define MXSETDIMENSIONS MXSETDIMENSIONS700
#define MXSETFIELD MXSETFIELD700
#define MXSETFIELDBYNUMBER MXSETFIELDBYNUMBER700
#define MXSETIR MXSETIR700
#define MXSETJC MXSETJC700
#define MXSETM MXSETM700
#define MXSETN MXSETN700
#define MXSETNZMAX MXSETNZMAX700
#define MXGETM MXGETM700
#define MXGETN MXGETN700
#define MXGETNUMBEROFELEMENTS MXGETNUMBEROFELEMENTS700
#define MXGETELEMENTSIZE MXGETELEMENTSIZE700
#define MXMALLOC MXMALLOC700
#define MXCALLOC MXCALLOC700
#define MXREALLOC MXREALLOC700
#define MXCOPYREAL4TOPTR MXCOPYREAL4TOPTR700
#define MXCOPYPTRTOREAL4 MXCOPYPTRTOREAL4700
#define MXCOPYREAL8TOPTR MXCOPYREAL8TOPTR700
#define MXCOPYPTRTOREAL8 MXCOPYPTRTOREAL8700
#define MXCOPYINTEGER1TOPTR MXCOPYINTEGER1TOPTR700
#define MXCOPYPTRTOINTEGER1 MXCOPYPTRTOINTEGER1700
#define MXCOPYINTEGER2TOPTR MXCOPYINTEGER2TOPTR700
#define MXCOPYPTRTOINTEGER2 MXCOPYPTRTOINTEGER2700
#define MXCOPYINTEGER4TOPTR MXCOPYINTEGER4TOPTR700
#define MXCOPYPTRTOINTEGER4 MXCOPYPTRTOINTEGER4700
#define MXCOPYINTEGER8TOPTR MXCOPYINTEGER8TOPTR700
#define MXCOPYPTRTOINTEGER8 MXCOPYPTRTOINTEGER8700
#define MXCOPYPTRTOPTRARRAY MXCOPYPTRTOPTRARRAY700
#define MXCOPYCOMPLEX16TOPTR MXCOPYCOMPLEX16TOPTR700
#define MXCOPYPTRTOCOMPLEX16 MXCOPYPTRTOCOMPLEX16700
#define MXCOPYCOMPLEX8TOPTR MXCOPYCOMPLEX8TOPTR700
#define MXCOPYPTRTOCOMPLEX8 MXCOPYPTRTOCOMPLEX8700
#define MXCOPYMWINDEXTOPTR MXCOPYMWINDEXTOPTR700
#define MXCOPYPTRTOMWINDEX MXCOPYPTRTOMWINDEX700
#define MXCREATECHARMATRIXFROMSTRS MXCREATECHARMATRIXFROMSTRS700
#define mxcalcsinglesubscript mxcalcsinglesubscript700
#define mxcreatecellarray mxcreatecellarray700
#define mxcreatecellmatrix mxcreatecellmatrix700
#define mxcreatechararray mxcreatechararray700
#define mxcreatecharmatrixfromstrings mxcreatecharmatrixfromstrs700
#define mxcreatedoublematrix mxcreatedoublematrix700
#define mxcreatenumericarray mxcreatenumericarray700
#define mxcreatenumericmatrix mxcreatenumericmatrix700
#define mxcreatesparse mxcreatesparse700
#define mxcreatestructarray mxcreatestructarray700
#define mxcreatestructmatrix mxcreatestructmatrix700
#define mxgetcell mxgetcell700
#define mxgetdimensions mxgetdimensions700
#define mxgetfield mxgetfield700
#define mxgetfieldbynumber mxgetfieldbynumber700
#define mxgetir mxgetir700
#define mxgetjc mxgetjc700
#define mxgetnumberofdimensions mxgetnumberofdimensions700
#define mxgetnzmax mxgetnzmax700
#define mxgetstring mxgetstring700
#define mxsetcell mxsetcell700
#define mxsetdimensions mxsetdimensions700
#define mxsetfield mxsetfield700
#define mxsetfieldbynumber mxsetfieldbynumber700
#define mxsetir mxsetir700
#define mxsetjc mxsetjc700
#define mxsetm mxsetm700
#define mxsetn mxsetn700
#define mxsetnzmax mxsetnzmax700
#define mxgetm mxgetm700
#define mxgetn mxgetn700
#define mxgetnumberofelements mxgetnumberofelements700
#define mxgetelementsize mxgetelementsize700
#define mxmalloc mxmalloc700
#define mxcalloc mxcalloc700
#define mxrealloc mxrealloc700
#define mxcopyreal4toptr mxcopyreal4toptr700
#define mxcopyptrtoreal4 mxcopyptrtoreal4700
#define mxcopyreal8toptr mxcopyreal8toptr700
#define mxcopyptrtoreal8 mxcopyptrtoreal8700
#define mxcopyinteger1toptr mxcopyinteger1toptr700
#define mxcopyptrtointeger1 mxcopyptrtointeger1700
#define mxcopyinteger2toptr mxcopyinteger2toptr700
#define mxcopyptrtointeger2 mxcopyptrtointeger2700
#define mxcopyinteger4toptr mxcopyinteger4toptr700
#define mxcopyptrtointeger4 mxcopyptrtointeger4700
#define mxcopyinteger8toptr mxcopyinteger8toptr700
#define mxcopyptrtointeger8 mxcopyptrtointeger8700
#define mxcopyptrtoptrarray mxcopyptrtoptrarray700
#define mxcopycomplex16toptr mxcopycomplex16toptr700
#define mxcopyptrtocomplex16 mxcopyptrtocomplex16700
#define mxcopycomplex8toptr mxcopycomplex8toptr700
#define mxcopyptrtocomplex8 mxcopyptrtocomplex8700
#define mxcopymwindextoptr mxcopymwindextoptr700
#define mxcopyptrtomwindex mxcopyptrtomwindex700
#define mxcreatecharmatrixfromstrs mxcreatecharmatrixfromstrs700

#endif

!DEC$ ATTRIBUTES ALIAS: '_MXCOPYREAL8TOPTR@12' :: mxCopyReal8ToPtr
!DEC$ ATTRIBUTES ALIAS: '_engClose' :: engClose
!DEC$ ATTRIBUTES ALIAS: '_ENGEVALSTRING@12' :: engEvalString
!DEC$ ATTRIBUTES ALIAS: '_engGetArray' :: engGetArray
!DEC$ ATTRIBUTES ALIAS: '_engGetFull' :: engGetFull
!DEC$ ATTRIBUTES ALIAS: '_engGetVariable' :: engGetVariable
!DEC$ ATTRIBUTES ALIAS: '_engGetVisible' :: engGetVisible
!DEC$ ATTRIBUTES ALIAS: '_engOpen' :: engOpen
!DEC$ ATTRIBUTES ALIAS: '_engOpeningleUse' :: engOpeningleUse
!DEC$ ATTRIBUTES ALIAS: '_engOpenV4' :: engOpenV4
!DEC$ ATTRIBUTES ALIAS: '_engOutputBuffer' :: engOutputBuffer
!DEC$ ATTRIBUTES ALIAS: '_engPutArray' :: engPutArray
!DEC$ ATTRIBUTES ALIAS: '_engPutFull' :: engPutFull
!DEC$ ATTRIBUTES ALIAS: '_engPutVariable' :: engPutVariable
!DEC$ ATTRIBUTES ALIAS: '_engetEvalCallback' :: engetEvalCallback
!DEC$ ATTRIBUTES ALIAS: '_engetEvalTimeout' :: engetEvalTimeout
!DEC$ ATTRIBUTES ALIAS: '_engetVisible' :: engetVisible
!DEC$ ATTRIBUTES ALIAS: '_engWinInit' :: engWinInit
!DEC$ ATTRIBUTES ALIAS: '_libeng_build_date' :: libeng_build_date
!DEC$ ATTRIBUTES ALIAS: '_libeng_version' :: libeng_version
!DEC$ ATTRIBUTES ALIAS: '_CreateFixedPointLicenseName' :: CreateFixedPointLicenseName
!DEC$ ATTRIBUTES ALIAS: '_FatPt_ConvertFat2FatRad' :: FatPt_ConvertFat2FatRad
!DEC$ ATTRIBUTES ALIAS: '_FatPt_ConvertFat2FatRad_Prime' :: FatPt_ConvertFat2FatRad_Prime
!DEC$ ATTRIBUTES ALIAS: '_FixPt_ReportDivisionByZero' :: FixPt_ReportDivisionByZero
!DEC$ ATTRIBUTES ALIAS: '_FixPt_ReportOverflow' :: FixPt_ReportOverflow
!DEC$ ATTRIBUTES ALIAS: '_FixPt_Reportaturation' :: FixPt_Reportaturation
!DEC$ ATTRIBUTES ALIAS: '_FixPt_RtwValidate' :: FixPt_RtwValidate
!DEC$ ATTRIBUTES ALIAS: '_NotYet_Assertion' :: NotYet_Assertion
!DEC$ ATTRIBUTES ALIAS: '_NotYet_ConversionIsExpressionFriendly' :: NotYet_ConversionIsExpressionFriendly
!DEC$ ATTRIBUTES ALIAS: '_NotYet_ParameterGetFixExp' :: NotYet_ParameterGetFixExp
!DEC$ ATTRIBUTES ALIAS: '_NotYet_ParameterNeedsingleProp' :: NotYet_ParameterNeedsingleProp
!DEC$ ATTRIBUTES ALIAS: '_NotYet_ParameterPropBestPrecision' :: NotYet_ParameterPropBestPrecision
!DEC$ ATTRIBUTES ALIAS: '_displayFxpDTP' :: displayFxpDTP
!DEC$ ATTRIBUTES ALIAS: '_dtaDataTypeIdIsFixPt' :: dtaDataTypeIdIsFixPt
!DEC$ ATTRIBUTES ALIAS: '_fhpBestPrecisionQuantizeParts' :: fhpBestPrecisionQuantizeParts
!DEC$ ATTRIBUTES ALIAS: '_fhpConvertFat2Thin' :: fhpConvertFat2Thin
!DEC$ ATTRIBUTES ALIAS: '_fhpConvertThin2Fat' :: fhpConvertThin2Fat
!DEC$ ATTRIBUTES ALIAS: '_fhpDataTypePropComplete' :: fhpDataTypePropComplete
!DEC$ ATTRIBUTES ALIAS: '_fhpDataTypePropExtractPrimary' :: fhpDataTypePropExtractPrimary
!DEC$ ATTRIBUTES ALIAS: '_fhpDtpZeroRwv2DblRwv' :: fhpDtpZeroRwv2DblRwv
!DEC$ ATTRIBUTES ALIAS: '_fhpDtpZeroRwv2Oversized' :: fhpDtpZeroRwv2Oversized
!DEC$ ATTRIBUTES ALIAS: '_fhpDtpZeroRwv2UnionAll' :: fhpDtpZeroRwv2UnionAll
!DEC$ ATTRIBUTES ALIAS: '_fhpFsoConvertFat2FatRad' :: fhpFsoConvertFat2FatRad
!DEC$ ATTRIBUTES ALIAS: '_fhpFsoDivide' :: fhpFsoDivide
!DEC$ ATTRIBUTES ALIAS: '_fhpFsoMultiply' :: fhpFsoMultiply
!DEC$ ATTRIBUTES ALIAS: '_fhpFsoMultiplyComplex_LogMinMax' :: fhpFsoMultiplyComplex_LogMinMax
!DEC$ ATTRIBUTES ALIAS: '_fhpFsoUnaryMinus' :: fhpFsoUnaryMinus
!DEC$ ATTRIBUTES ALIAS: '_fhpGetBuiltinDataTypeProperties' :: fhpGetBuiltinDataTypeProperties
!DEC$ ATTRIBUTES ALIAS: '_fhpReformatFat2Thin' :: fhpReformatFat2Thin
!DEC$ ATTRIBUTES ALIAS: '_fhpReformatThin2Fat' :: fhpReformatThin2Fat
!DEC$ ATTRIBUTES ALIAS: '_fxpAbs' :: fxpAbs
!DEC$ ATTRIBUTES ALIAS: '_fxpAccumNeg' :: fxpAccumNeg
!DEC$ ATTRIBUTES ALIAS: '_fxpAccumNegCollapse' :: fxpAccumNegCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpAccumPos' :: fxpAccumPos
!DEC$ ATTRIBUTES ALIAS: '_fxpAccumPosCollapse' :: fxpAccumPosCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpAndCollapse' :: fxpAndCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpAndEqual' :: fxpAndEqual
!DEC$ ATTRIBUTES ALIAS: '_fxpArrayProp_GetDtize' :: fxpArrayProp_GetDtize
!DEC$ ATTRIBUTES ALIAS: '_fxpArrayProp_et_MxArray' :: fxpArrayProp_et_MxArray
!DEC$ ATTRIBUTES ALIAS: '_fxpArrayProp_et_MxArray_wPortDT' :: fxpArrayProp_et_MxArray_wPortDT
!DEC$ ATTRIBUTES ALIAS: '_fxpArrayProp_et_Port' :: fxpArrayProp_et_Port
!DEC$ ATTRIBUTES ALIAS: '_fxpArrayProp_et_calar' :: fxpArrayProp_et_calar
!DEC$ ATTRIBUTES ALIAS: '_fxpBestPrecisionExponent' :: fxpBestPrecisionExponent
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseAndCollapse' :: fxpBitwiseAndCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseAndEqual' :: fxpBitwiseAndEqual
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseComplement' :: fxpBitwiseComplement
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseNandCollapse' :: fxpBitwiseNandCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseNorCollapse' :: fxpBitwiseNorCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseOrCollapse' :: fxpBitwiseOrCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseOrEqual' :: fxpBitwiseOrEqual
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseXorCollapse' :: fxpBitwiseXorCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpBitwiseXorEqual' :: fxpBitwiseXorEqual
!DEC$ ATTRIBUTES ALIAS: '_fxpBlockProp_etDtaPath' :: fxpBlockProp_etDtaPath
!DEC$ ATTRIBUTES ALIAS: '_fxpBlockProp_etMex' :: fxpBlockProp_etMex
!DEC$ ATTRIBUTES ALIAS: '_fxpBlockProp_etFun' :: fxpBlockProp_etFun
!DEC$ ATTRIBUTES ALIAS: '_fxpCheckAllPortsUnconnected' :: fxpCheckAllPortsUnconnected
!DEC$ ATTRIBUTES ALIAS: '_fxpCleanBoolean' :: fxpCleanBoolean
!DEC$ ATTRIBUTES ALIAS: '_fxpCompare' :: fxpCompare
!DEC$ ATTRIBUTES ALIAS: '_fxpComplement' :: fxpComplement
!DEC$ ATTRIBUTES ALIAS: '_fxpConj' :: fxpConj
!DEC$ ATTRIBUTES ALIAS: '_fxpConvert' :: fxpConvert
!DEC$ ATTRIBUTES ALIAS: '_fxpConvert_Thin2Bool' :: fxpConvert_Thin2Bool
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeAdjustForDTOver' :: fxpDataTypeAdjustForDTOver
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeAdjustForDblOver' :: fxpDataTypeAdjustForDblOver
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeComplexCheck' :: fxpDataTypeComplexCheck
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeForRunTimeParam' :: fxpDataTypeForRunTimeParam
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeIdIsFixPt' :: fxpDataTypeIdIsFixPt
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeIdupported' :: fxpDataTypeIdupported
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeNameCreate' :: fxpDataTypeNameCreate
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypePropCompleteelf' :: fxpDataTypePropCompleteelf
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypePropMulRule' :: fxpDataTypePropMulRule
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypePropMulRuleWithNoBoolOptim' :: fxpDataTypePropMulRuleWithNoBoolOptim
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeProp_Getize' :: fxpDataTypeProp_Getize
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeProp_IsBuiltIn' :: fxpDataTypeProp_IsBuiltIn
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRegister' :: fxpDataTypeRegister
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRegisterFull' :: fxpDataTypeRegisterFull
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRegisterFullWithCheck' :: fxpDataTypeRegisterFullWithCheck
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRegisterWithCheck' :: fxpDataTypeRegisterWithCheck
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRuleApplyDeployHW' :: fxpDataTypeRuleApplyDeployHW
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRuleDiv' :: fxpDataTypeRuleDiv
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRuleMul' :: fxpDataTypeRuleMul
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeRuleRecip' :: fxpDataTypeRuleRecip
!DEC$ ATTRIBUTES ALIAS: '_fxpDataTypeZero2Dbl' :: fxpDataTypeZero2Dbl
!DEC$ ATTRIBUTES ALIAS: '_fxpDeadZone' :: fxpDeadZone
!DEC$ ATTRIBUTES ALIAS: '_fxpDivide' :: fxpDivide
!DEC$ ATTRIBUTES ALIAS: '_fxpDivideCollapse' :: fxpDivideCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpDotProduct' :: fxpDotProduct
!DEC$ ATTRIBUTES ALIAS: '_fxpError' :: fxpError
!DEC$ ATTRIBUTES ALIAS: '_fxpErrorArgs' :: fxpErrorArgs
!DEC$ ATTRIBUTES ALIAS: '_fxpFrameConvert' :: fxpFrameConvert
!DEC$ ATTRIBUTES ALIAS: '_fxpGetBlockPropertiesDefault' :: fxpGetBlockPropertiesDefault
!DEC$ ATTRIBUTES ALIAS: '_fxpGetDataTypePropNoBias' :: fxpGetDataTypePropNoBias
!DEC$ ATTRIBUTES ALIAS: '_fxpGetDataTypePropNoBiasOrFrac' :: fxpGetDataTypePropNoBiasOrFrac
!DEC$ ATTRIBUTES ALIAS: '_fxpGetDataTypePropNocaling' :: fxpGetDataTypePropNocaling
!DEC$ ATTRIBUTES ALIAS: '_fxpGreaterPositiveRange' :: fxpGreaterPositiveRange
!DEC$ ATTRIBUTES ALIAS: '_fxpGreaterPositiveRangeDtp' :: fxpGreaterPositiveRangeDtp
!DEC$ ATTRIBUTES ALIAS: '_fxpHardwareMaxBits' :: fxpHardwareMaxBits
!DEC$ ATTRIBUTES ALIAS: '_fxpInstrumentLogaveNamed' :: fxpInstrumentLogaveNamed
!DEC$ ATTRIBUTES ALIAS: '_fxpInstrumentLogaveOut' :: fxpInstrumentLogaveOut
!DEC$ ATTRIBUTES ALIAS: '_fxpLogtateflow' :: fxpLogtateflow
!DEC$ ATTRIBUTES ALIAS: '_fxpLogtruct_Init' :: fxpLogtruct_Init
!DEC$ ATTRIBUTES ALIAS: '_fxpLogtruct_etLogDataType' :: fxpLogtruct_etLogDataType
!DEC$ ATTRIBUTES ALIAS: '_fxpLogUpdateMinMax_InBlockProps' :: fxpLogUpdateMinMax_InBlockProps
!DEC$ ATTRIBUTES ALIAS: '_fxpLook1DAbove' :: fxpLook1DAbove
!DEC$ ATTRIBUTES ALIAS: '_fxpLook1DBelow' :: fxpLook1DBelow
!DEC$ ATTRIBUTES ALIAS: '_fxpLook1DInterp' :: fxpLook1DInterp
!DEC$ ATTRIBUTES ALIAS: '_fxpLook1DInterpExtrap' :: fxpLook1DInterpExtrap
!DEC$ ATTRIBUTES ALIAS: '_fxpLook1DNearest' :: fxpLook1DNearest
!DEC$ ATTRIBUTES ALIAS: '_fxpLook2DAbove' :: fxpLook2DAbove
!DEC$ ATTRIBUTES ALIAS: '_fxpLook2DBelow' :: fxpLook2DBelow
!DEC$ ATTRIBUTES ALIAS: '_fxpLook2DInterp' :: fxpLook2DInterp
!DEC$ ATTRIBUTES ALIAS: '_fxpLook2DInterpExtrap' :: fxpLook2DInterpExtrap
!DEC$ ATTRIBUTES ALIAS: '_fxpLook2DNearest' :: fxpLook2DNearest
!DEC$ ATTRIBUTES ALIAS: '_fxpLookUpBreakPointsCheckMono' :: fxpLookUpBreakPointsCheckMono
!DEC$ ATTRIBUTES ALIAS: '_fxpMagquared' :: fxpMagquared
!DEC$ ATTRIBUTES ALIAS: '_fxpMaxCollapse' :: fxpMaxCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpMaxRefine' :: fxpMaxRefine
!DEC$ ATTRIBUTES ALIAS: '_fxpMdlInitizesCommonPrep' :: fxpMdlInitizesCommonPrep
!DEC$ ATTRIBUTES ALIAS: '_fxpMinCollapse' :: fxpMinCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpMinRefine' :: fxpMinRefine
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiply' :: fxpMultiply
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiplyAccum' :: fxpMultiplyAccum
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiplyCollapse' :: fxpMultiplyCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiplyIsExpressionFriendly' :: fxpMultiplyIsExpressionFriendly
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiplyMatrix' :: fxpMultiplyMatrix
!DEC$ ATTRIBUTES ALIAS: '_fxpMultiplyMatrixAccum' :: fxpMultiplyMatrixAccum
!DEC$ ATTRIBUTES ALIAS: '_fxpNamedParameterCastMxArray' :: fxpNamedParameterCastMxArray
!DEC$ ATTRIBUTES ALIAS: '_fxpNandCollapse' :: fxpNandCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpNorCollapse' :: fxpNorCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpOrCollapse' :: fxpOrCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpOrEqual' :: fxpOrEqual
!DEC$ ATTRIBUTES ALIAS: '_fxpParameterCastMxArray' :: fxpParameterCastMxArray
!DEC$ ATTRIBUTES ALIAS: '_fxpPower2Gain' :: fxpPower2Gain
!DEC$ ATTRIBUTES ALIAS: '_fxpPromoteToDeploymentInt' :: fxpPromoteToDeploymentInt
!DEC$ ATTRIBUTES ALIAS: '_fxpReciprocal' :: fxpReciprocal
!DEC$ ATTRIBUTES ALIAS: '_fxpRemoveTrailingZeros' :: fxpRemoveTrailingZeros
!DEC$ ATTRIBUTES ALIAS: '_fxpRtwWriteObjectValue' :: fxpRtwWriteObjectValue
!DEC$ ATTRIBUTES ALIAS: '_fxpRtwWriteOpChoices' :: fxpRtwWriteOpChoices
!DEC$ ATTRIBUTES ALIAS: '_fxpRtwWritePortDataTypes' :: fxpRtwWritePortDataTypes
!DEC$ ATTRIBUTES ALIAS: '_fxpcAccumNeg' :: fxpcAccumNeg
!DEC$ ATTRIBUTES ALIAS: '_fxpcAccumPos' :: fxpcAccumPos
!DEC$ ATTRIBUTES ALIAS: '_fxpcCompare' :: fxpcCompare
!DEC$ ATTRIBUTES ALIAS: '_fxpcConvert' :: fxpcConvert
!DEC$ ATTRIBUTES ALIAS: '_fxpcConvert_WithErrmsg' :: fxpcConvert_WithErrmsg
!DEC$ ATTRIBUTES ALIAS: '_fxpcEqualsDataTypeMaximum' :: fxpcEqualsDataTypeMaximum
!DEC$ ATTRIBUTES ALIAS: '_fxpcEqualsJustAboveDataTypeMinimum' :: fxpcEqualsJustAboveDataTypeMinimum
!DEC$ ATTRIBUTES ALIAS: '_fxpcGetRealWorldValue' :: fxpcGetRealWorldValue
!DEC$ ATTRIBUTES ALIAS: '_fxpcGettoredIntegerValue' :: fxpcGettoredIntegerValue
!DEC$ ATTRIBUTES ALIAS: '_fxpcLogUpdateMinMax' :: fxpcLogUpdateMinMax
!DEC$ ATTRIBUTES ALIAS: '_fxpcNamedParameterCast' :: fxpcNamedParameterCast
!DEC$ ATTRIBUTES ALIAS: '_fxpcParameterCast' :: fxpcParameterCast
!DEC$ ATTRIBUTES ALIAS: '_fxpcQuantize' :: fxpcQuantize
!DEC$ ATTRIBUTES ALIAS: '_fxpcValueIsZero' :: fxpcValueIsZero
!DEC$ ATTRIBUTES ALIAS: '_fxpelectRadixDataType' :: fxpelectRadixDataType
!DEC$ ATTRIBUTES ALIAS: '_fxpelectRadixDataTypeAllow' :: fxpelectRadixDataTypeAllow
!DEC$ ATTRIBUTES ALIAS: '_fxpelectRadixDataTypeMax' :: fxpelectRadixDataTypeMax
!DEC$ ATTRIBUTES ALIAS: '_fxpelectRelopDataType' :: fxpelectRelopDataType
!DEC$ ATTRIBUTES ALIAS: '_fxpetError' :: fxpetError
!DEC$ ATTRIBUTES ALIAS: '_fxpetWarning' :: fxpetWarning
!DEC$ ATTRIBUTES ALIAS: '_fxpfnDataTypeId_Isupported' :: fxpfnDataTypeId_Isupported
!DEC$ ATTRIBUTES ALIAS: '_fxpfnParamCheckDataTypepec' :: fxpfnParamCheckDataTypepec
!DEC$ ATTRIBUTES ALIAS: '_fxpfnParamChecktring' :: fxpfnParamChecktring
!DEC$ ATTRIBUTES ALIAS: '_fxpfnParamCheckVector' :: fxpfnParamCheckVector
!DEC$ ATTRIBUTES ALIAS: '_fxplopeNormalize' :: fxplopeNormalize
!DEC$ ATTRIBUTES ALIAS: '_fxpumNegCollapse' :: fxpumNegCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpumPosCollapse' :: fxpumPosCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpUnaryMinus' :: fxpUnaryMinus
!DEC$ ATTRIBUTES ALIAS: '_fxpWarning' :: fxpWarning
!DEC$ ATTRIBUTES ALIAS: '_fxpWeightedum' :: fxpWeightedum
!DEC$ ATTRIBUTES ALIAS: '_fxpXorCollapse' :: fxpXorCollapse
!DEC$ ATTRIBUTES ALIAS: '_fxpXorEqual' :: fxpXorEqual
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_AccumNeg' :: fxp_CRUDE_AccumNeg
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_AccumPos' :: fxp_CRUDE_AccumPos
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_Divide' :: fxp_CRUDE_Divide
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_LogUpdateMinMax' :: fxp_CRUDE_LogUpdateMinMax
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_Multiply' :: fxp_CRUDE_Multiply
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_MultiplyComplex_LogMinMax' :: fxp_CRUDE_MultiplyComplex_LogMinMax
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_RemoveTrailingZeros' :: fxp_CRUDE_RemoveTrailingZeros
!DEC$ ATTRIBUTES ALIAS: '_fxp_CRUDE_UnaryMinus' :: fxp_CRUDE_UnaryMinus
!DEC$ ATTRIBUTES ALIAS: '_fxp_FATPT_etMax' :: fxp_FATPT_etMax
!DEC$ ATTRIBUTES ALIAS: '_fxp_FATPT_etMin' :: fxp_FATPT_etMin
!DEC$ ATTRIBUTES ALIAS: '_fxp_FAT_ValueCompareameDT' :: fxp_FAT_ValueCompareameDT
!DEC$ ATTRIBUTES ALIAS: '_getPartOfDataTypetr' :: getPartOfDataTypetr
!DEC$ ATTRIBUTES ALIAS: '_libfixedpoint_build_date' :: libfixedpoint_build_date
!DEC$ ATTRIBUTES ALIAS: '_libfixedpoint_version' :: libfixedpoint_version
!DEC$ ATTRIBUTES ALIAS: '_ssFxpConvert' :: ssFxpConvert
!DEC$ ATTRIBUTES ALIAS: '_ssFxpConvertFromRealWorldValue' :: ssFxpConvertFromRealWorldValue
!DEC$ ATTRIBUTES ALIAS: '_ssFxpConvertToRealWorldValue' :: ssFxpConvertToRealWorldValue
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeBias' :: ssGetDataTypeBias
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFixedExponent' :: ssGetDataTypeFixedExponent
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFraclope' :: ssGetDataTypeFraclope
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFractionLength' :: ssGetDataTypeFractionLength
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFxpContainWordLen' :: ssGetDataTypeFxpContainWordLen
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFxpIsigned' :: ssGetDataTypeFxpIsigned
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeFxpWordLength' :: ssGetDataTypeFxpWordLength
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeIsFixedPoint' :: ssGetDataTypeIsFixedPoint
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeIsFloatingPoint' :: ssGetDataTypeIsFloatingPoint
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeIscalingPow2' :: ssGetDataTypeIscalingPow2
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypetorageContainCat' :: ssGetDataTypetorageContainCat
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypetorageContainerize' :: ssGetDataTypetorageContainerize
!DEC$ ATTRIBUTES ALIAS: '_ssGetDataTypeTotallope' :: ssGetDataTypeTotallope
!DEC$ ATTRIBUTES ALIAS: '_ssRegisterDataTypeFxpBinaryPoint' :: ssRegisterDataTypeFxpBinaryPoint
!DEC$ ATTRIBUTES ALIAS: '_ssRegisterDataTypeFxpFlopeFixExpBias' :: ssRegisterDataTypeFxpFlopeFixExpBias
!DEC$ ATTRIBUTES ALIAS: '_ssRegisterDataTypeFxplopeBias' :: ssRegisterDataTypeFxplopeBias
!DEC$ ATTRIBUTES ALIAS: '_libmat_build_date' :: libmat_build_date
!DEC$ ATTRIBUTES ALIAS: '_libmat_version' :: libmat_version
!DEC$ ATTRIBUTES ALIAS: '_matClose' :: matClose
!DEC$ ATTRIBUTES ALIAS: '_matCreateMATFile' :: matCreateMATFile
!DEC$ ATTRIBUTES ALIAS: '_matDeleteArray' :: matDeleteArray
!DEC$ ATTRIBUTES ALIAS: '_matDeleteMatrix' :: matDeleteMatrix
!DEC$ ATTRIBUTES ALIAS: '_matDeleteVariable' :: matDeleteVariable
!DEC$ ATTRIBUTES ALIAS: '_matGetArray' :: matGetArray
!DEC$ ATTRIBUTES ALIAS: '_matGetArrayHeader' :: matGetArrayHeader
!DEC$ ATTRIBUTES ALIAS: '_matGetDir' :: matGetDir
!DEC$ ATTRIBUTES ALIAS: '_matGetFp' :: matGetFp
!DEC$ ATTRIBUTES ALIAS: '_matGetFull' :: matGetFull
!DEC$ ATTRIBUTES ALIAS: '_matGetMatrix' :: matGetMatrix
!DEC$ ATTRIBUTES ALIAS: '_matGetNextArray' :: matGetNextArray
!DEC$ ATTRIBUTES ALIAS: '_matGetNextArrayHeader' :: matGetNextArrayHeader
!DEC$ ATTRIBUTES ALIAS: '_matGetNextMatrix' :: matGetNextMatrix
!DEC$ ATTRIBUTES ALIAS: '_matGetNextVariable' :: matGetNextVariable
!DEC$ ATTRIBUTES ALIAS: '_matGetNextVariableInfo' :: matGetNextVariableInfo
!DEC$ ATTRIBUTES ALIAS: '_matGettring' :: matGettring
!DEC$ ATTRIBUTES ALIAS: '_matGetVariable' :: matGetVariable
!DEC$ ATTRIBUTES ALIAS: '_matGetVariableInfo' :: matGetVariableInfo
!DEC$ ATTRIBUTES ALIAS: '_matOpen' :: matOpen
!DEC$ ATTRIBUTES ALIAS: '_matPutArray' :: matPutArray
!DEC$ ATTRIBUTES ALIAS: '_matPutArrayAsGlobal' :: matPutArrayAsGlobal
!DEC$ ATTRIBUTES ALIAS: '_matPutFull' :: matPutFull
!DEC$ ATTRIBUTES ALIAS: '_matPutMatrix' :: matPutMatrix
!DEC$ ATTRIBUTES ALIAS: '_matPutNextArray' :: matPutNextArray
!DEC$ ATTRIBUTES ALIAS: '_matPutNextVariable' :: matPutNextVariable
!DEC$ ATTRIBUTES ALIAS: '_matPuttring' :: matPuttring
!DEC$ ATTRIBUTES ALIAS: '_matPutVariable' :: matPutVariable
!DEC$ ATTRIBUTES ALIAS: '_matPutVariableAsGlobal' :: matPutVariableAsGlobal
!DEC$ ATTRIBUTES ALIAS: '_QueryMLFcnTable_libmex' :: QueryMLFcnTable_libmex
!DEC$ ATTRIBUTES ALIAS: '_QueryMLFcns_libmex' :: QueryMLFcns_libmex
!DEC$ ATTRIBUTES ALIAS: '_inetMexfileReader' :: inetMexfileReader
!DEC$ ATTRIBUTES ALIAS: '_inwapMexfileReader' :: inwapMexfileReader
!DEC$ ATTRIBUTES ALIAS: '_libmex_build_date' :: libmex_build_date
!DEC$ ATTRIBUTES ALIAS: '_libmex_version' :: libmex_version
!DEC$ ATTRIBUTES ALIAS: '_mexAtExit' :: mexAtExit
!DEC$ ATTRIBUTES ALIAS: '_mexCallMATLAB' :: mexCallMATLAB
!DEC$ ATTRIBUTES ALIAS: '_mexCallMATLABFunction' :: mexCallMATLABFunction
!DEC$ ATTRIBUTES ALIAS: '_mexCleanUpAfterError' :: mexCleanUpAfterError
!DEC$ ATTRIBUTES ALIAS: '_mexClearGlobal' :: mexClearGlobal
!DEC$ ATTRIBUTES ALIAS: '_mexClearMexFile' :: mexClearMexFile
!DEC$ ATTRIBUTES ALIAS: '_mexCreateimpleFunctionHandle' :: mexCreateimpleFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mexEnterMexLibrary' :: mexEnterMexLibrary
!DEC$ ATTRIBUTES ALIAS: '_mexErrMsgIdAndTxt' :: mexErrMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mexErrMsgTxt' :: mexErrMsgTxt
!DEC$ ATTRIBUTES ALIAS: '_mexEvaltring' :: mexEvaltring
!DEC$ ATTRIBUTES ALIAS: '_mexExitMexLibrary' :: mexExitMexLibrary
!DEC$ ATTRIBUTES ALIAS: '_mexExportGlobal' :: mexExportGlobal
!DEC$ ATTRIBUTES ALIAS: '_mexFunctionName' :: mexFunctionName
!DEC$ ATTRIBUTES ALIAS: '_mexGet' :: mexGet
!DEC$ ATTRIBUTES ALIAS: '_mexGetArray' :: mexGetArray
!DEC$ ATTRIBUTES ALIAS: '_mexGetArrayPtr' :: mexGetArrayPtr
!DEC$ ATTRIBUTES ALIAS: '_mexGetEps' :: mexGetEps
!DEC$ ATTRIBUTES ALIAS: '_mexGetFull' :: mexGetFull
!DEC$ ATTRIBUTES ALIAS: '_mexGetFunctionHandle' :: mexGetFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mexGetGlobal' :: mexGetGlobal
!DEC$ ATTRIBUTES ALIAS: '_mexGetInf' :: mexGetInf
!DEC$ ATTRIBUTES ALIAS: '_mexGetLocalFunctionTable' :: mexGetLocalFunctionTable
!DEC$ ATTRIBUTES ALIAS: '_mexGetMatrix' :: mexGetMatrix
!DEC$ ATTRIBUTES ALIAS: '_mexGetMatrixPtr' :: mexGetMatrixPtr
!DEC$ ATTRIBUTES ALIAS: '_mexGetNaN' :: mexGetNaN
!DEC$ ATTRIBUTES ALIAS: '_mexGetVariable' :: mexGetVariable
!DEC$ ATTRIBUTES ALIAS: '_mexGetVariablePtr' :: mexGetVariablePtr
!DEC$ ATTRIBUTES ALIAS: '_mexIsFinite' :: mexIsFinite
!DEC$ ATTRIBUTES ALIAS: '_mexIsGlobal' :: mexIsGlobal
!DEC$ ATTRIBUTES ALIAS: '_mexIsInf' :: mexIsInf
!DEC$ ATTRIBUTES ALIAS: '_mexIsLocked' :: mexIsLocked
!DEC$ ATTRIBUTES ALIAS: '_mexIsNaN' :: mexIsNaN
!DEC$ ATTRIBUTES ALIAS: '_mexLock' :: mexLock
!DEC$ ATTRIBUTES ALIAS: '_mexMakeArrayPersistent' :: mexMakeArrayPersistent
!DEC$ ATTRIBUTES ALIAS: '_mexMakeMemoryPersistent' :: mexMakeMemoryPersistent
!DEC$ ATTRIBUTES ALIAS: '_mexMexDebug' :: mexMexDebug
!DEC$ ATTRIBUTES ALIAS: '_mexMexInformation' :: mexMexInformation
!DEC$ ATTRIBUTES ALIAS: '_mexPrintAssertion' :: mexPrintAssertion
!DEC$ ATTRIBUTES ALIAS: '_mexPrintf' :: mexPrintf
!DEC$ ATTRIBUTES ALIAS: '_mexPutArray' :: mexPutArray
!DEC$ ATTRIBUTES ALIAS: '_mexPutFull' :: mexPutFull
!DEC$ ATTRIBUTES ALIAS: '_mexPutMatrix' :: mexPutMatrix
!DEC$ ATTRIBUTES ALIAS: '_mexPutVariable' :: mexPutVariable
!DEC$ ATTRIBUTES ALIAS: '_mexRegisterFunction' :: mexRegisterFunction
!DEC$ ATTRIBUTES ALIAS: '_mexRunMexFile' :: mexRunMexFile
!DEC$ ATTRIBUTES ALIAS: '_mexet' :: mexet
!DEC$ ATTRIBUTES ALIAS: '_mexetCallbacks' :: mexetCallbacks
!DEC$ ATTRIBUTES ALIAS: '_mexetCleanUpAfterError' :: mexetCleanUpAfterError
!DEC$ ATTRIBUTES ALIAS: '_mexetCurrentLocalFunctionTable' :: mexetCurrentLocalFunctionTable
!DEC$ ATTRIBUTES ALIAS: '_mexetLocalFunctionTableCallbacks' :: mexetLocalFunctionTableCallbacks
!DEC$ ATTRIBUTES ALIAS: '_mexetMexEnterMexLibrary' :: mexetMexEnterMexLibrary
!DEC$ ATTRIBUTES ALIAS: '_mexetMexExitMexLibrary' :: mexetMexExitMexLibrary
!DEC$ ATTRIBUTES ALIAS: '_mexetimpleFunctionTotring' :: mexetimpleFunctionTotring
!DEC$ ATTRIBUTES ALIAS: '_mexetTrapFlag' :: mexetTrapFlag
!DEC$ ATTRIBUTES ALIAS: '_meximpleFunctionTotring' :: meximpleFunctionTotring
!DEC$ ATTRIBUTES ALIAS: '_mexubsAssign' :: mexubsAssign
!DEC$ ATTRIBUTES ALIAS: '_mexubsReference' :: mexubsReference
!DEC$ ATTRIBUTES ALIAS: '_mexUnlock' :: mexUnlock
!DEC$ ATTRIBUTES ALIAS: '_mexWarnMsgIdAndTxt' :: mexWarnMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mexWarnMsgTxt' :: mexWarnMsgTxt
!DEC$ ATTRIBUTES ALIAS: '_FixeveredMultiBytes' :: FixeveredMultiBytes
!DEC$ ATTRIBUTES ALIAS: '_GetNewline' :: GetNewline
!DEC$ ATTRIBUTES ALIAS: '_GetPrtfmt' :: GetPrtfmt
!DEC$ ATTRIBUTES ALIAS: '_QueryMLFcnTable_libmwservices' :: QueryMLFcnTable_libmwservices
!DEC$ ATTRIBUTES ALIAS: '_QueryMLFcns_libmwservices' :: QueryMLFcns_libmwservices
!DEC$ ATTRIBUTES ALIAS: '_etPrtfmt' :: etPrtfmt
!DEC$ ATTRIBUTES ALIAS: '_addFeaturesForDML' :: addFeaturesForDML
!DEC$ ATTRIBUTES ALIAS: '_clearFeaturesForDML' :: clearFeaturesForDML
!DEC$ ATTRIBUTES ALIAS: '_distcompFeatures' :: distcompFeatures
!DEC$ ATTRIBUTES ALIAS: '_getLicNumber' :: getLicNumber
!DEC$ ATTRIBUTES ALIAS: '_inIsOneChar' :: inIsOneChar
!DEC$ ATTRIBUTES ALIAS: '_inetCharset' :: inetCharset
!DEC$ ATTRIBUTES ALIAS: '_intrchr' :: intrchr
!DEC$ ATTRIBUTES ALIAS: '_init_regCharsetFeatures' :: init_regCharsetFeatures
!DEC$ ATTRIBUTES ALIAS: '_ioAddFilenameExt' :: ioAddFilenameExt
!DEC$ ATTRIBUTES ALIAS: '_ioAddTypeAheadChar' :: ioAddTypeAheadChar
!DEC$ ATTRIBUTES ALIAS: '_ioBackspace' :: ioBackspace
!DEC$ ATTRIBUTES ALIAS: '_ioBuzz' :: ioBuzz
!DEC$ ATTRIBUTES ALIAS: '_ioCmdTextOut' :: ioCmdTextOut
!DEC$ ATTRIBUTES ALIAS: '_ioColumnPrint' :: ioColumnPrint
!DEC$ ATTRIBUTES ALIAS: '_ioConsoleOut' :: ioConsoleOut
!DEC$ ATTRIBUTES ALIAS: '_ioErrnoChk' :: ioErrnoChk
!DEC$ ATTRIBUTES ALIAS: '_ioErrorMsg' :: ioErrorMsg
!DEC$ ATTRIBUTES ALIAS: '_ioExpandFileName' :: ioExpandFileName
!DEC$ ATTRIBUTES ALIAS: '_ioFclose' :: ioFclose
!DEC$ ATTRIBUTES ALIAS: '_ioFlush' :: ioFlush
!DEC$ ATTRIBUTES ALIAS: '_ioFlushtreams' :: ioFlushtreams
!DEC$ ATTRIBUTES ALIAS: '_ioFopen' :: ioFopen
!DEC$ ATTRIBUTES ALIAS: '_ioFopenErrorChk' :: ioFopenErrorChk
!DEC$ ATTRIBUTES ALIAS: '_ioFopenErrorChkPath' :: ioFopenErrorChkPath
!DEC$ ATTRIBUTES ALIAS: '_ioFopenErrorChkPathName' :: ioFopenErrorChkPathName
!DEC$ ATTRIBUTES ALIAS: '_ioFopenPath' :: ioFopenPath
!DEC$ ATTRIBUTES ALIAS: '_ioFopenPathName' :: ioFopenPathName
!DEC$ ATTRIBUTES ALIAS: '_ioGetBuzz' :: ioGetBuzz
!DEC$ ATTRIBUTES ALIAS: '_ioGetCDroot' :: ioGetCDroot
!DEC$ ATTRIBUTES ALIAS: '_ioGetChar' :: ioGetChar
!DEC$ ATTRIBUTES ALIAS: '_ioGetCharNoEcho' :: ioGetCharNoEcho
!DEC$ ATTRIBUTES ALIAS: '_ioGetDirList' :: ioGetDirList
!DEC$ ATTRIBUTES ALIAS: '_ioGetFiletatus' :: ioGetFiletatus
!DEC$ ATTRIBUTES ALIAS: '_ioGetLineProtocol' :: ioGetLineProtocol
!DEC$ ATTRIBUTES ALIAS: '_ioGetNumWindowColumns' :: ioGetNumWindowColumns
!DEC$ ATTRIBUTES ALIAS: '_ioGetNumWindowRows' :: ioGetNumWindowRows
!DEC$ ATTRIBUTES ALIAS: '_ioGetTypeAheadChar' :: ioGetTypeAheadChar
!DEC$ ATTRIBUTES ALIAS: '_ioGetTypeAheadCount' :: ioGetTypeAheadCount
!DEC$ ATTRIBUTES ALIAS: '_ioGetWhatList' :: ioGetWhatList
!DEC$ ATTRIBUTES ALIAS: '_ioIsConsoleAvailable' :: ioIsConsoleAvailable
!DEC$ ATTRIBUTES ALIAS: '_ioIsDirAccessible' :: ioIsDirAccessible
!DEC$ ATTRIBUTES ALIAS: '_ioIsFileReadable' :: ioIsFileReadable
!DEC$ ATTRIBUTES ALIAS: '_ioIsKeyboard' :: ioIsKeyboard
!DEC$ ATTRIBUTES ALIAS: '_ioIsTraceOn' :: ioIsTraceOn
!DEC$ ATTRIBUTES ALIAS: '_ioIs_DO_name' :: ioIs_DO_name
!DEC$ ATTRIBUTES ALIAS: '_ioLanguagewitcher' :: ioLanguagewitcher
!DEC$ ATTRIBUTES ALIAS: '_ioPrintArray' :: ioPrintArray
!DEC$ ATTRIBUTES ALIAS: '_ioPrintCellArray' :: ioPrintCellArray
!DEC$ ATTRIBUTES ALIAS: '_ioPrintFunObjArray' :: ioPrintFunObjArray
!DEC$ ATTRIBUTES ALIAS: '_ioPrintMatrix' :: ioPrintMatrix
!DEC$ ATTRIBUTES ALIAS: '_ioPrintMatrixCompact' :: ioPrintMatrixCompact
!DEC$ ATTRIBUTES ALIAS: '_ioPrintNDMatrix' :: ioPrintNDMatrix
!DEC$ ATTRIBUTES ALIAS: '_ioPrintObject' :: ioPrintObject
!DEC$ ATTRIBUTES ALIAS: '_ioPrintOpaqueArray' :: ioPrintOpaqueArray
!DEC$ ATTRIBUTES ALIAS: '_ioPrinttructure' :: ioPrinttructure
!DEC$ ATTRIBUTES ALIAS: '_ioPrintTotringNanOrInf' :: ioPrintTotringNanOrInf
!DEC$ ATTRIBUTES ALIAS: '_ioRegisterFlushtreamFcn' :: ioRegisterFlushtreamFcn
!DEC$ ATTRIBUTES ALIAS: '_ioResetLineProtocol' :: ioResetLineProtocol
!DEC$ ATTRIBUTES ALIAS: '_ioetBuzz' :: ioetBuzz
!DEC$ ATTRIBUTES ALIAS: '_ioetCanonicalMode' :: ioetCanonicalMode
!DEC$ ATTRIBUTES ALIAS: '_ioetGetCharFcn' :: ioetGetCharFcn
!DEC$ ATTRIBUTES ALIAS: '_ioetNonCanonicalMode' :: ioetNonCanonicalMode
!DEC$ ATTRIBUTES ALIAS: '_ioetNumWindowColumns' :: ioetNumWindowColumns
!DEC$ ATTRIBUTES ALIAS: '_ioetNumWindowRows' :: ioetNumWindowRows
!DEC$ ATTRIBUTES ALIAS: '_ioetPostAddCharFcn' :: ioetPostAddCharFcn
!DEC$ ATTRIBUTES ALIAS: '_ioetTraceOn' :: ioetTraceOn
!DEC$ ATTRIBUTES ALIAS: '_ioetupLineProtocol' :: ioetupLineProtocol
!DEC$ ATTRIBUTES ALIAS: '_iotopPrinting' :: iotopPrinting
!DEC$ ATTRIBUTES ALIAS: '_ioUnregisterFlushtreamFcn' :: ioUnregisterFlushtreamFcn
!DEC$ ATTRIBUTES ALIAS: '_ioUpdateWindowize' :: ioUpdateWindowize
!DEC$ ATTRIBUTES ALIAS: '_ioUseEightyColumns' :: ioUseEightyColumns
!DEC$ ATTRIBUTES ALIAS: '_ioXlate' :: ioXlate
!DEC$ ATTRIBUTES ALIAS: '_ioXlateContext' :: ioXlateContext
!DEC$ ATTRIBUTES ALIAS: '_ioXlateContextWindow' :: ioXlateContextWindow
!DEC$ ATTRIBUTES ALIAS: '_ioXlatetatsFcn' :: ioXlatetatsFcn
!DEC$ ATTRIBUTES ALIAS: '_ioXlateTerminate' :: ioXlateTerminate
!DEC$ ATTRIBUTES ALIAS: '_ismwalnum' :: ismwalnum
!DEC$ ATTRIBUTES ALIAS: '_ismwalpha' :: ismwalpha
!DEC$ ATTRIBUTES ALIAS: '_ismwascii' :: ismwascii
!DEC$ ATTRIBUTES ALIAS: '_ismwdigit' :: ismwdigit
!DEC$ ATTRIBUTES ALIAS: '_ismwspace' :: ismwspace
!DEC$ ATTRIBUTES ALIAS: '_libmwservices_build_date' :: libmwservices_build_date
!DEC$ ATTRIBUTES ALIAS: '_libmwservices_version' :: libmwservices_version
!DEC$ ATTRIBUTES ALIAS: '_lmRegisterErrMsgFcn' :: lmRegisterErrMsgFcn
!DEC$ ATTRIBUTES ALIAS: '_lmRegisterQuitMatlabFcn' :: lmRegisterQuitMatlabFcn
!DEC$ ATTRIBUTES ALIAS: '_lmRegisteraveWorkspaceFcn' :: lmRegisteraveWorkspaceFcn
!DEC$ ATTRIBUTES ALIAS: '_mnLmAreLicensesAvailable' :: mnLmAreLicensesAvailable
!DEC$ ATTRIBUTES ALIAS: '_mnLmCheckConnection' :: mnLmCheckConnection
!DEC$ ATTRIBUTES ALIAS: '_mnLmCheckoutFeature' :: mnLmCheckoutFeature
!DEC$ ATTRIBUTES ALIAS: '_mnLmCheckoutToolboxLicenses' :: mnLmCheckoutToolboxLicenses
!DEC$ ATTRIBUTES ALIAS: '_mnLmDirCheck' :: mnLmDirCheck
!DEC$ ATTRIBUTES ALIAS: '_mnLmErrMsg' :: mnLmErrMsg
!DEC$ ATTRIBUTES ALIAS: '_mnLmFreeLicenseInfo' :: mnLmFreeLicenseInfo
!DEC$ ATTRIBUTES ALIAS: '_mnLmGetJobAndVendorCode' :: mnLmGetJobAndVendorCode
!DEC$ ATTRIBUTES ALIAS: '_mnLmIsDirRestricted' :: mnLmIsDirRestricted
!DEC$ ATTRIBUTES ALIAS: '_mnLmIsDirharedRestricted' :: mnLmIsDirharedRestricted
!DEC$ ATTRIBUTES ALIAS: '_mnLmPrintLMBanners' :: mnLmPrintLMBanners
!DEC$ ATTRIBUTES ALIAS: '_mnLmtartupLM' :: mnLmtartupLM
!DEC$ ATTRIBUTES ALIAS: '_mnLmTestForFeature' :: mnLmTestForFeature
!DEC$ ATTRIBUTES ALIAS: '_mnhutdownLM' :: mnhutdownLM
!DEC$ ATTRIBUTES ALIAS: '_mtCallbackAdd' :: mtCallbackAdd
!DEC$ ATTRIBUTES ALIAS: '_mtCallbackRegisterClient' :: mtCallbackRegisterClient
!DEC$ ATTRIBUTES ALIAS: '_mtCallbackRemoveClient' :: mtCallbackRemoveClient
!DEC$ ATTRIBUTES ALIAS: '_mtInitializeCallbackerviceFromEventLoop' :: mtInitializeCallbackerviceFromEventLoop
!DEC$ ATTRIBUTES ALIAS: '_mterviceCallbackRequestsFromEventLoop' :: mterviceCallbackRequestsFromEventLoop
!DEC$ ATTRIBUTES ALIAS: '_mterviceCallbackRequestsInterlaced' :: mterviceCallbackRequestsInterlaced
!DEC$ ATTRIBUTES ALIAS: '_svBitcmpError' :: svBitcmpError
!DEC$ ATTRIBUTES ALIAS: '_svClearHGtatus' :: svClearHGtatus
!DEC$ ATTRIBUTES ALIAS: '_svCloseAllAppWindows' :: svCloseAllAppWindows
!DEC$ ATTRIBUTES ALIAS: '_svComplexcalarAtanW' :: svComplexcalarAtanW
!DEC$ ATTRIBUTES ALIAS: '_svComplexcalarLog2W' :: svComplexcalarLog2W
!DEC$ ATTRIBUTES ALIAS: '_svComplexcalarLogW' :: svComplexcalarLogW
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAbs' :: svComplexVectorAbs
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAcos' :: svComplexVectorAcos
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAcosh' :: svComplexVectorAcosh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAsin' :: svComplexVectorAsin
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAsinh' :: svComplexVectorAsinh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAtan' :: svComplexVectorAtan
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAtanW' :: svComplexVectorAtanW
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorAtanh' :: svComplexVectorAtanh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorCeil' :: svComplexVectorCeil
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorConj' :: svComplexVectorConj
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorCos' :: svComplexVectorCos
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorCosh' :: svComplexVectorCosh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorExp' :: svComplexVectorExp
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorFix' :: svComplexVectorFix
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorFloor' :: svComplexVectorFloor
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorImag' :: svComplexVectorImag
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorLog' :: svComplexVectorLog
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorLog2' :: svComplexVectorLog2
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorLog2W' :: svComplexVectorLog2W
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorLogW' :: svComplexVectorLogW
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorMax' :: svComplexVectorMax
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorMin' :: svComplexVectorMin
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorMinus' :: svComplexVectorMinus
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorPlus' :: svComplexVectorPlus
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorPow2' :: svComplexVectorPow2
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorPower' :: svComplexVectorPower
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorRdivide' :: svComplexVectorRdivide
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorRdivideW' :: svComplexVectorRdivideW
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorReal' :: svComplexVectorReal
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorRound' :: svComplexVectorRound
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorign' :: svComplexVectorign
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorin' :: svComplexVectorin
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorinh' :: svComplexVectorinh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorqrt' :: svComplexVectorqrt
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorTan' :: svComplexVectorTan
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorTanh' :: svComplexVectorTanh
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorTimes' :: svComplexVectorTimes
!DEC$ ATTRIBUTES ALIAS: '_svComplexVectorUminus' :: svComplexVectorUminus
!DEC$ ATTRIBUTES ALIAS: '_svComputeFullPathToExe' :: svComputeFullPathToExe
!DEC$ ATTRIBUTES ALIAS: '_svCpow' :: svCpow
!DEC$ ATTRIBUTES ALIAS: '_svDivideByZeroNoFlag' :: svDivideByZeroNoFlag
!DEC$ ATTRIBUTES ALIAS: '_svDivideByZeroWarning' :: svDivideByZeroWarning
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarLdivide' :: svDoublecalarLdivide
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarLog10W' :: svDoublecalarLog10W
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarLog2W' :: svDoublecalarLog2W
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarLogW' :: svDoublecalarLogW
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarRdivide' :: svDoublecalarRdivide
!DEC$ ATTRIBUTES ALIAS: '_svDoublecalarRemW' :: svDoublecalarRemW
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorAbs' :: svDoubleVectorAbs
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorAsinh' :: svDoubleVectorAsinh
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorAtan' :: svDoubleVectorAtan
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorAtan2' :: svDoubleVectorAtan2
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorCeil' :: svDoubleVectorCeil
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorCos' :: svDoubleVectorCos
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorCosh' :: svDoubleVectorCosh
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorExp' :: svDoubleVectorExp
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorFinite' :: svDoubleVectorFinite
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorFix' :: svDoubleVectorFix
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorFloor' :: svDoubleVectorFloor
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorIsinf' :: svDoubleVectorIsinf
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorIsnan' :: svDoubleVectorIsnan
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorLog' :: svDoubleVectorLog
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorLog2' :: svDoubleVectorLog2
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorLog2W' :: svDoubleVectorLog2W
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorLogW' :: svDoubleVectorLogW
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorMax' :: svDoubleVectorMax
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorMin' :: svDoubleVectorMin
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorMinus' :: svDoubleVectorMinus
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorMod' :: svDoubleVectorMod
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorPlus' :: svDoubleVectorPlus
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorPow2' :: svDoubleVectorPow2
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorPower' :: svDoubleVectorPower
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorRdivide' :: svDoubleVectorRdivide
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorRdivideW' :: svDoubleVectorRdivideW
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorRem' :: svDoubleVectorRem
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorRemW' :: svDoubleVectorRemW
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorRound' :: svDoubleVectorRound
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorign' :: svDoubleVectorign
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorin' :: svDoubleVectorin
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorinh' :: svDoubleVectorinh
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorqrt' :: svDoubleVectorqrt
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorTan' :: svDoubleVectorTan
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorTanh' :: svDoubleVectorTanh
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorTimes' :: svDoubleVectorTimes
!DEC$ ATTRIBUTES ALIAS: '_svDoubleVectorUminus' :: svDoubleVectorUminus
!DEC$ ATTRIBUTES ALIAS: '_svFindFeatureEntry' :: svFindFeatureEntry
!DEC$ ATTRIBUTES ALIAS: '_svFindFirstFileName' :: svFindFirstFileName
!DEC$ ATTRIBUTES ALIAS: '_svGetCachePreference' :: svGetCachePreference
!DEC$ ATTRIBUTES ALIAS: '_svGetCodeBlocktatus' :: svGetCodeBlocktatus
!DEC$ ATTRIBUTES ALIAS: '_svGetConfigFile' :: svGetConfigFile
!DEC$ ATTRIBUTES ALIAS: '_svGetDefaultCharacteret' :: svGetDefaultCharacteret
!DEC$ ATTRIBUTES ALIAS: '_svGetDefaultPreferencesDirectory' :: svGetDefaultPreferencesDirectory
!DEC$ ATTRIBUTES ALIAS: '_svGetFullPathToExe' :: svGetFullPathToExe
!DEC$ ATTRIBUTES ALIAS: '_svGetHGtatus' :: svGetHGtatus
!DEC$ ATTRIBUTES ALIAS: '_svGetHardcodedtring' :: svGetHardcodedtring
!DEC$ ATTRIBUTES ALIAS: '_svGetInputRequester' :: svGetInputRequester
!DEC$ ATTRIBUTES ALIAS: '_svGetJREignature' :: svGetJREignature
!DEC$ ATTRIBUTES ALIAS: '_svGetLanguage' :: svGetLanguage
!DEC$ ATTRIBUTES ALIAS: '_svGetLicenseFile' :: svGetLicenseFile
!DEC$ ATTRIBUTES ALIAS: '_svGetMLMode' :: svGetMLMode
!DEC$ ATTRIBUTES ALIAS: '_svGetPref' :: svGetPref
!DEC$ ATTRIBUTES ALIAS: '_svGetProfilertatus' :: svGetProfilertatus
!DEC$ ATTRIBUTES ALIAS: '_svGettudentBannertring' :: svGettudentBannertring
!DEC$ ATTRIBUTES ALIAS: '_svGetystemToolboxCacheFile' :: svGetystemToolboxCacheFile
!DEC$ ATTRIBUTES ALIAS: '_svGetToolboxCacheFile' :: svGetToolboxCacheFile
!DEC$ ATTRIBUTES ALIAS: '_svHasJREignature' :: svHasJREignature
!DEC$ ATTRIBUTES ALIAS: '_svHistoryDate' :: svHistoryDate
!DEC$ ATTRIBUTES ALIAS: '_svIOFlushCapture' :: svIOFlushCapture
!DEC$ ATTRIBUTES ALIAS: '_svIOGetLineProtocol' :: svIOGetLineProtocol
!DEC$ ATTRIBUTES ALIAS: '_svIOetupLineProtocol' :: svIOetupLineProtocol
!DEC$ ATTRIBUTES ALIAS: '_svInitTTY' :: svInitTTY
!DEC$ ATTRIBUTES ALIAS: '_svIsCommercialMode' :: svIsCommercialMode
!DEC$ ATTRIBUTES ALIAS: '_svIsDMLWorkerMode' :: svIsDMLWorkerMode
!DEC$ ATTRIBUTES ALIAS: '_svIsDebugDMLWorkerMode' :: svIsDebugDMLWorkerMode
!DEC$ ATTRIBUTES ALIAS: '_svIsEngineEvalMode' :: svIsEngineEvalMode
!DEC$ ATTRIBUTES ALIAS: '_svIsFeatureEnabled' :: svIsFeatureEnabled
!DEC$ ATTRIBUTES ALIAS: '_svIsJavaEnabled' :: svIsJavaEnabled
!DEC$ ATTRIBUTES ALIAS: '_svIsRuntimeEmulationMode' :: svIsRuntimeEmulationMode
!DEC$ ATTRIBUTES ALIAS: '_svIsRuntimeMode' :: svIsRuntimeMode
!DEC$ ATTRIBUTES ALIAS: '_svIstandaloneMode' :: svIstandaloneMode
!DEC$ ATTRIBUTES ALIAS: '_svIstudentEmulationMode' :: svIstudentEmulationMode
!DEC$ ATTRIBUTES ALIAS: '_svIstudentMode' :: svIstudentMode
!DEC$ ATTRIBUTES ALIAS: '_svJavaProcessCmdlineArg' :: svJavaProcessCmdlineArg
!DEC$ ATTRIBUTES ALIAS: '_svJavaetupport' :: svJavaetupport
!DEC$ ATTRIBUTES ALIAS: '_svJavaUse' :: svJavaUse
!DEC$ ATTRIBUTES ALIAS: '_svJavaUseAWT' :: svJavaUseAWT
!DEC$ ATTRIBUTES ALIAS: '_svJavaUseDesktop' :: svJavaUseDesktop
!DEC$ ATTRIBUTES ALIAS: '_svJavaUseJVM' :: svJavaUseJVM
!DEC$ ATTRIBUTES ALIAS: '_svJavaUseLevel' :: svJavaUseLevel
!DEC$ ATTRIBUTES ALIAS: '_svJavaUseMWT' :: svJavaUseMWT
!DEC$ ATTRIBUTES ALIAS: '_svJavaUsewing' :: svJavaUsewing
!DEC$ ATTRIBUTES ALIAS: '_svListFeatures' :: svListFeatures
!DEC$ ATTRIBUTES ALIAS: '_svLmRegisterDispClearLicFcn' :: svLmRegisterDispClearLicFcn
!DEC$ ATTRIBUTES ALIAS: '_svLoadXlateIndex' :: svLoadXlateIndex
!DEC$ ATTRIBUTES ALIAS: '_svLookInubdirectory' :: svLookInubdirectory
!DEC$ ATTRIBUTES ALIAS: '_svMatlabDescription' :: svMatlabDescription
!DEC$ ATTRIBUTES ALIAS: '_svMatlabImageDate' :: svMatlabImageDate
!DEC$ ATTRIBUTES ALIAS: '_svMatlabRelease' :: svMatlabRelease
!DEC$ ATTRIBUTES ALIAS: '_svMatlabRoot' :: svMatlabRoot
!DEC$ ATTRIBUTES ALIAS: '_svMatlabplashVersion' :: svMatlabplashVersion
!DEC$ ATTRIBUTES ALIAS: '_svMatlabVersion' :: svMatlabVersion
!DEC$ ATTRIBUTES ALIAS: '_svNaNConversionError' :: svNaNConversionError
!DEC$ ATTRIBUTES ALIAS: '_svNoDisplay' :: svNoDisplay
!DEC$ ATTRIBUTES ALIAS: '_svNoJava' :: svNoJava
!DEC$ ATTRIBUTES ALIAS: '_svNoKeyboard' :: svNoKeyboard
!DEC$ ATTRIBUTES ALIAS: '_svRegisterBuiltin' :: svRegisterBuiltin
!DEC$ ATTRIBUTES ALIAS: '_svRegisterFeature' :: svRegisterFeature
!DEC$ ATTRIBUTES ALIAS: '_svRegisterNoArg' :: svRegisterNoArg
!DEC$ ATTRIBUTES ALIAS: '_svRegisterOneArg' :: svRegisterOneArg
!DEC$ ATTRIBUTES ALIAS: '_svRegisterhutdownFcn' :: svRegisterhutdownFcn
!DEC$ ATTRIBUTES ALIAS: '_svetDebugDMLWorkerModeOn' :: svetDebugDMLWorkerModeOn
!DEC$ ATTRIBUTES ALIAS: '_svetDefaultCharacteret' :: svetDefaultCharacteret
!DEC$ ATTRIBUTES ALIAS: '_svetDefaultCharacteretPlain' :: svetDefaultCharacteretPlain
!DEC$ ATTRIBUTES ALIAS: '_svetEngineEvalMode' :: svetEngineEvalMode
!DEC$ ATTRIBUTES ALIAS: '_svetFullPath' :: svetFullPath
!DEC$ ATTRIBUTES ALIAS: '_svetFullPathToExe' :: svetFullPathToExe
!DEC$ ATTRIBUTES ALIAS: '_svetHGtatus' :: svetHGtatus
!DEC$ ATTRIBUTES ALIAS: '_svetIoCallbacks' :: svetIoCallbacks
!DEC$ ATTRIBUTES ALIAS: '_svetJREignature' :: svetJREignature
!DEC$ ATTRIBUTES ALIAS: '_svetJavaEnabled' :: svetJavaEnabled
!DEC$ ATTRIBUTES ALIAS: '_svetLanguage' :: svetLanguage
!DEC$ ATTRIBUTES ALIAS: '_svetMLMode' :: svetMLMode
!DEC$ ATTRIBUTES ALIAS: '_svetMLRoot' :: svetMLRoot
!DEC$ ATTRIBUTES ALIAS: '_svetMatlabVersion' :: svetMatlabVersion
!DEC$ ATTRIBUTES ALIAS: '_svetPathManagerDefaultIOFcns' :: svetPathManagerDefaultIOFcns
!DEC$ ATTRIBUTES ALIAS: '_svetPreferencesDirectory' :: svetPreferencesDirectory
!DEC$ ATTRIBUTES ALIAS: '_svetProfilertatus' :: svetProfilertatus
!DEC$ ATTRIBUTES ALIAS: '_svetRuntimeEmulationMode' :: svetRuntimeEmulationMode
!DEC$ ATTRIBUTES ALIAS: '_svetRuntimeInstance' :: svetRuntimeInstance
!DEC$ ATTRIBUTES ALIAS: '_svettudentEmulation' :: svettudentEmulation
!DEC$ ATTRIBUTES ALIAS: '_svetUIW_CWCallbacks' :: svetUIW_CWCallbacks
!DEC$ ATTRIBUTES ALIAS: '_svetUIW_GetCommandFcn' :: svetUIW_GetCommandFcn
!DEC$ ATTRIBUTES ALIAS: '_svetW_EventFcns' :: svetW_EventFcns
!DEC$ ATTRIBUTES ALIAS: '_svetW_RaiseXtermFcn' :: svetW_RaiseXtermFcn
!DEC$ ATTRIBUTES ALIAS: '_svetW_leepFcn' :: svetW_leepFcn
!DEC$ ATTRIBUTES ALIAS: '_svetW_ysBeepFcn' :: svetW_ysBeepFcn
!DEC$ ATTRIBUTES ALIAS: '_svleep' :: svleep
!DEC$ ATTRIBUTES ALIAS: '_svTerminateApps' :: svTerminateApps
!DEC$ ATTRIBUTES ALIAS: '_svUIW_Clearession' :: svUIW_Clearession
!DEC$ ATTRIBUTES ALIAS: '_svUIW_FlushCW' :: svUIW_FlushCW
!DEC$ ATTRIBUTES ALIAS: '_svUIW_GetCommand' :: svUIW_GetCommand
!DEC$ ATTRIBUTES ALIAS: '_svUIW_ResetCWLength' :: svUIW_ResetCWLength
!DEC$ ATTRIBUTES ALIAS: '_svUIW_wciGetName' :: svUIW_wciGetName
!DEC$ ATTRIBUTES ALIAS: '_svW_CreateUserEvent' :: svW_CreateUserEvent
!DEC$ ATTRIBUTES ALIAS: '_svW_PostUserEvent' :: svW_PostUserEvent
!DEC$ ATTRIBUTES ALIAS: '_svW_ProcessPendingEvents' :: svW_ProcessPendingEvents
!DEC$ ATTRIBUTES ALIAS: '_svW_RaiseXterm' :: svW_RaiseXterm
!DEC$ ATTRIBUTES ALIAS: '_svW_leep' :: svW_leep
!DEC$ ATTRIBUTES ALIAS: '_svWriterThreadAddCommandText' :: svWriterThreadAddCommandText
!DEC$ ATTRIBUTES ALIAS: '_svWriterThreadPassThrough' :: svWriterThreadPassThrough
!DEC$ ATTRIBUTES ALIAS: '_svXlate' :: svXlate
!DEC$ ATTRIBUTES ALIAS: '_BlockTranspose16' :: BlockTranspose16
!DEC$ ATTRIBUTES ALIAS: '_BlockTranspose32' :: BlockTranspose32
!DEC$ ATTRIBUTES ALIAS: '_BlockTranspose64' :: BlockTranspose64
!DEC$ ATTRIBUTES ALIAS: '_BlockTranspose8' :: BlockTranspose8
!DEC$ ATTRIBUTES ALIAS: '_BlockTransposeN' :: BlockTransposeN
!DEC$ ATTRIBUTES ALIAS: '_GetAllocListLength' :: GetAllocListLength
!DEC$ ATTRIBUTES ALIAS: '__mxGetComplexityAttr' :: _mxGetComplexityAttr
!DEC$ ATTRIBUTES ALIAS: '__mxGetDensityAttr' :: _mxGetDensityAttr
!DEC$ ATTRIBUTES ALIAS: '__mxGethapeAttr' :: _mxGethapeAttr
!DEC$ ATTRIBUTES ALIAS: '_gziptringReadBytes' :: gziptringReadBytes
!DEC$ ATTRIBUTES ALIAS: '_gziptringReadClose' :: gziptringReadClose
!DEC$ ATTRIBUTES ALIAS: '_gziptringReadInit' :: gziptringReadInit
!DEC$ ATTRIBUTES ALIAS: '_gziptringReadkipBytes' :: gziptringReadkipBytes
!DEC$ ATTRIBUTES ALIAS: '_gziptringReadoFar' :: gziptringReadoFar
!DEC$ ATTRIBUTES ALIAS: '_gziptringWriteAddBytes' :: gziptringWriteAddBytes
!DEC$ ATTRIBUTES ALIAS: '_gziptringWriteClose' :: gziptringWriteClose
!DEC$ ATTRIBUTES ALIAS: '_gziptringWriteInit' :: gziptringWriteInit
!DEC$ ATTRIBUTES ALIAS: '_libmx_build_date' :: libmx_build_date
!DEC$ ATTRIBUTES ALIAS: '_libmx_version' :: libmx_version
!DEC$ ATTRIBUTES ALIAS: '_miCreateBuffertream' :: miCreateBuffertream
!DEC$ ATTRIBUTES ALIAS: '_miCreateFiletream' :: miCreateFiletream
!DEC$ ATTRIBUTES ALIAS: '_miCreateequentialtream' :: miCreateequentialtream
!DEC$ ATTRIBUTES ALIAS: '_miDeallocateGziptring' :: miDeallocateGziptring
!DEC$ ATTRIBUTES ALIAS: '_miDisposeBuffertream' :: miDisposeBuffertream
!DEC$ ATTRIBUTES ALIAS: '_miDisposeFiletream' :: miDisposeFiletream
!DEC$ ATTRIBUTES ALIAS: '_miGetCompressedMATVariableBytes' :: miGetCompressedMATVariableBytes
!DEC$ ATTRIBUTES ALIAS: '_miGetCompressedMATVariableOffset' :: miGetCompressedMATVariableOffset
!DEC$ ATTRIBUTES ALIAS: '_miGetGziptring' :: miGetGziptring
!DEC$ ATTRIBUTES ALIAS: '_miGetItem' :: miGetItem
!DEC$ ATTRIBUTES ALIAS: '_miGetItemData' :: miGetItemData
!DEC$ ATTRIBUTES ALIAS: '_miGetItemTag' :: miGetItemTag
!DEC$ ATTRIBUTES ALIAS: '_miGetMatrixHeader' :: miGetMatrixHeader
!DEC$ ATTRIBUTES ALIAS: '_miGettreamOffset' :: miGettreamOffset
!DEC$ ATTRIBUTES ALIAS: '_miGettreamPtr' :: miGettreamPtr
!DEC$ ATTRIBUTES ALIAS: '_miGettreamize' :: miGettreamize
!DEC$ ATTRIBUTES ALIAS: '_miGettreamUserData' :: miGettreamUserData
!DEC$ ATTRIBUTES ALIAS: '_miGetubsystemData' :: miGetubsystemData
!DEC$ ATTRIBUTES ALIAS: '_miIsMATVariableCompressionEnabled' :: miIsMATVariableCompressionEnabled
!DEC$ ATTRIBUTES ALIAS: '_miNewGziptring' :: miNewGziptring
!DEC$ ATTRIBUTES ALIAS: '_miPutItem' :: miPutItem
!DEC$ ATTRIBUTES ALIAS: '_miPutItemAtOffsetWrapper' :: miPutItemAtOffsetWrapper
!DEC$ ATTRIBUTES ALIAS: '_miPutItemData' :: miPutItemData
!DEC$ ATTRIBUTES ALIAS: '_miPutItemTag' :: miPutItemTag
!DEC$ ATTRIBUTES ALIAS: '_miResetBuffertream' :: miResetBuffertream
!DEC$ ATTRIBUTES ALIAS: '_miettreamOffset' :: miettreamOffset
!DEC$ ATTRIBUTES ALIAS: '_miettreamPtr' :: miettreamPtr
!DEC$ ATTRIBUTES ALIAS: '_miettreamize' :: miettreamize
!DEC$ ATTRIBUTES ALIAS: '_miettreamUserData' :: miettreamUserData
!DEC$ ATTRIBUTES ALIAS: '_mietubsystemData' :: mietubsystemData
!DEC$ ATTRIBUTES ALIAS: '_mxAddField' :: mxAddField
!DEC$ ATTRIBUTES ALIAS: '_mxAddFieldTotruct' :: mxAddFieldTotruct
!DEC$ ATTRIBUTES ALIAS: '_mxAddToAllocList' :: mxAddToAllocList
!DEC$ ATTRIBUTES ALIAS: '_mxApplyToAllArraysOnArrayList' :: mxApplyToAllArraysOnArrayList
!DEC$ ATTRIBUTES ALIAS: '_mxAreMatricesEqual' :: mxAreMatricesEqual
!DEC$ ATTRIBUTES ALIAS: '_mxAreMatricesEqualNanOptional' :: mxAreMatricesEqualNanOptional
!DEC$ ATTRIBUTES ALIAS: '_mxArgMustBeInts' :: mxArgMustBeInts
!DEC$ ATTRIBUTES ALIAS: '_mxArray2tring' :: mxArray2tring
!DEC$ ATTRIBUTES ALIAS: '_mxArrayClassIDName' :: mxArrayClassIDName
!DEC$ ATTRIBUTES ALIAS: '_mxArraytrCpy' :: mxArraytrCpy
!DEC$ ATTRIBUTES ALIAS: '_mxArrayToByteChars' :: mxArrayToByteChars
!DEC$ ATTRIBUTES ALIAS: '_mxArrayTotring' :: mxArrayTotring
!DEC$ ATTRIBUTES ALIAS: '_mxArrayTotring_UTF16' :: mxArrayTotring_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxArrayTotring_UTF8' :: mxArrayTotring_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxCalcingleubscript' :: mxCalcingleubscript
!DEC$ ATTRIBUTES ALIAS: '_mxCallViaimpleFunctionHandle' :: mxCallViaimpleFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxCalloc' :: mxCalloc
!DEC$ ATTRIBUTES ALIAS: '_mxCatenateDispatch' :: mxCatenateDispatch
!DEC$ ATTRIBUTES ALIAS: '_mxCell2struct' :: mxCell2struct
!DEC$ ATTRIBUTES ALIAS: '_mxCellConstructorFcn' :: mxCellConstructorFcn
!DEC$ ATTRIBUTES ALIAS: '_mxCellPermuteFcn' :: mxCellPermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxCharMatrixTotrings' :: mxCharMatrixTotrings
!DEC$ ATTRIBUTES ALIAS: '_mxCharMatrixTotrings_UTF16' :: mxCharMatrixTotrings_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxCharMatrixTotrings_UTF8' :: mxCharMatrixTotrings_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxCharacterPermuteFcn' :: mxCharacterPermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxCheckInt' :: mxCheckInt
!DEC$ ATTRIBUTES ALIAS: '_mxCheckOneArg' :: mxCheckOneArg
!DEC$ ATTRIBUTES ALIAS: '_mxClearArrayContents' :: mxClearArrayContents
!DEC$ ATTRIBUTES ALIAS: '_mxClearClasses' :: mxClearClasses
!DEC$ ATTRIBUTES ALIAS: '_mxClearEmptyqrBrktFlag' :: mxClearEmptyqrBrktFlag
!DEC$ ATTRIBUTES ALIAS: '_mxClearErrortate' :: mxClearErrortate
!DEC$ ATTRIBUTES ALIAS: '_mxClearLogical' :: mxClearLogical
!DEC$ ATTRIBUTES ALIAS: '_mxClearRefCount' :: mxClearRefCount
!DEC$ ATTRIBUTES ALIAS: '_mxClearcalarDoubleFlag' :: mxClearcalarDoubleFlag
!DEC$ ATTRIBUTES ALIAS: '_mxColonop_fill_with_doubles' :: mxColonop_fill_with_doubles
!DEC$ ATTRIBUTES ALIAS: '_mxColonop_size' :: mxColonop_size
!DEC$ ATTRIBUTES ALIAS: '_mxConvertBufferToType' :: mxConvertBufferToType
!DEC$ ATTRIBUTES ALIAS: '_mxConvertToIndex' :: mxConvertToIndex
!DEC$ ATTRIBUTES ALIAS: '_mxCountColonObj' :: mxCountColonObj
!DEC$ ATTRIBUTES ALIAS: '_mxCountIntColonObj' :: mxCountIntColonObj
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCellArray' :: mxCreateCellArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCellMatrix' :: mxCreateCellMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCharArray' :: mxCreateCharArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCharMatrixFromtrings' :: mxCreateCharMatrixFromtrings
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCharMatrixFromtrings_UTF16' :: mxCreateCharMatrixFromtrings_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxCreateCharMatrixFromtrings_UTF8' :: mxCreateCharMatrixFromtrings_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxCreateClassArray' :: mxCreateClassArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateColonObj' :: mxCreateColonObj
!DEC$ ATTRIBUTES ALIAS: '_mxCreateColonObject' :: mxCreateColonObject
!DEC$ ATTRIBUTES ALIAS: '_mxCreateConvertedCopy' :: mxCreateConvertedCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateDeepCopy' :: mxCreateDeepCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateDoubleMatrix' :: mxCreateDoubleMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateDoublecalar' :: mxCreateDoublecalar
!DEC$ ATTRIBUTES ALIAS: '_mxCreateEmptyCopy' :: mxCreateEmptyCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateEmptyUnknownArrayNotOnArrayList' :: mxCreateEmptyUnknownArrayNotOnArrayList
!DEC$ ATTRIBUTES ALIAS: '_mxCreateFull' :: mxCreateFull
!DEC$ ATTRIBUTES ALIAS: '_mxCreateFunctionHandle' :: mxCreateFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxCreateLogicalArray' :: mxCreateLogicalArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateLogicalMatrix' :: mxCreateLogicalMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateLogicalcalar' :: mxCreateLogicalcalar
!DEC$ ATTRIBUTES ALIAS: '_mxCreateNumericArray' :: mxCreateNumericArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateNumericMatrix' :: mxCreateNumericMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateOpaqueArray' :: mxCreateOpaqueArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreateOpaqueArrayClassUnknown' :: mxCreateOpaqueArrayClassUnknown
!DEC$ ATTRIBUTES ALIAS: '_mxCreateOpaqueGiblet' :: mxCreateOpaqueGiblet
!DEC$ ATTRIBUTES ALIAS: '_mxCreateOpaqueMatrix' :: mxCreateOpaqueMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateReference' :: mxCreateReference
!DEC$ ATTRIBUTES ALIAS: '_mxCreatecalarDouble' :: mxCreatecalarDouble
!DEC$ ATTRIBUTES ALIAS: '_mxCreateharedCopy' :: mxCreateharedCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateharedCopyNotOnArrayList' :: mxCreateharedCopyNotOnArrayList
!DEC$ ATTRIBUTES ALIAS: '_mxCreateharedDataCopy' :: mxCreateharedDataCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateimpleFunctionHandle' :: mxCreateimpleFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxCreateinglecalar' :: mxCreateinglecalar
!DEC$ ATTRIBUTES ALIAS: '_mxCreatekeletonCopy' :: mxCreatekeletonCopy
!DEC$ ATTRIBUTES ALIAS: '_mxCreateparse' :: mxCreateparse
!DEC$ ATTRIBUTES ALIAS: '_mxCreateparseLogicalMatrix' :: mxCreateparseLogicalMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateparseNumericMatrix' :: mxCreateparseNumericMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetacktruct' :: mxCreatetacktruct
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetaticMethodArray' :: mxCreatetaticMethodArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetring' :: mxCreatetring
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetringFromNChars' :: mxCreatetringFromNChars
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetringFromNChars_UTF16' :: mxCreatetringFromNChars_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetring_UTF16' :: mxCreatetring_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetring_UTF8' :: mxCreatetring_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetructArray' :: mxCreatetructArray
!DEC$ ATTRIBUTES ALIAS: '_mxCreatetructMatrix' :: mxCreatetructMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateUninitDoubleMatrix' :: mxCreateUninitDoubleMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxCreateUninitNumericMatrix' :: mxCreateUninitNumericMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxDeserialize' :: mxDeserialize
!DEC$ ATTRIBUTES ALIAS: '_mxDeserializeWithTag' :: mxDeserializeWithTag
!DEC$ ATTRIBUTES ALIAS: '_mxDestroyArray' :: mxDestroyArray
!DEC$ ATTRIBUTES ALIAS: '_mxDoublePermuteFcn' :: mxDoublePermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxDuplicateArray' :: mxDuplicateArray
!DEC$ ATTRIBUTES ALIAS: '_mxEnterNewAllocListContext' :: mxEnterNewAllocListContext
!DEC$ ATTRIBUTES ALIAS: '_mxEnterNewArrayListContext' :: mxEnterNewArrayListContext
!DEC$ ATTRIBUTES ALIAS: '_mxErrMsg' :: mxErrMsg
!DEC$ ATTRIBUTES ALIAS: '_mxErrMsgIdAndTxt' :: mxErrMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mxErrMsgTxt' :: mxErrMsgTxt
!DEC$ ATTRIBUTES ALIAS: '_mxErrorCleanup' :: mxErrorCleanup
!DEC$ ATTRIBUTES ALIAS: '_mxExitAndFoldArrayListContext' :: mxExitAndFoldArrayListContext
!DEC$ ATTRIBUTES ALIAS: '_mxExitArrayListContext' :: mxExitArrayListContext
!DEC$ ATTRIBUTES ALIAS: '_mxExpandColonObj' :: mxExpandColonObj
!DEC$ ATTRIBUTES ALIAS: '_mxEye' :: mxEye
!DEC$ ATTRIBUTES ALIAS: '_mxFastZeros' :: mxFastZeros
!DEC$ ATTRIBUTES ALIAS: '_mxFcnUndefinedForClass' :: mxFcnUndefinedForClass
!DEC$ ATTRIBUTES ALIAS: '_mxFevalFunctionHandle' :: mxFevalFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxFindClass' :: mxFindClass
!DEC$ ATTRIBUTES ALIAS: '_mxFree' :: mxFree
!DEC$ ATTRIBUTES ALIAS: '_mxFreeAllocListContext' :: mxFreeAllocListContext
!DEC$ ATTRIBUTES ALIAS: '_mxFreeImagIfZero' :: mxFreeImagIfZero
!DEC$ ATTRIBUTES ALIAS: '_mxFreeMatrix' :: mxFreeMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxFunctionHandleFromtring' :: mxFunctionHandleFromtring
!DEC$ ATTRIBUTES ALIAS: '_mxFunctionHandleRegistration' :: mxFunctionHandleRegistration
!DEC$ ATTRIBUTES ALIAS: '_mxFunctionHandleToavedtruct' :: mxFunctionHandleToavedtruct
!DEC$ ATTRIBUTES ALIAS: '_mxFunctionHandleTotring' :: mxFunctionHandleTotring
!DEC$ ATTRIBUTES ALIAS: '_mxFunctionHandleTotruc' :: mxFunctionHandleTotruc
!DEC$ ATTRIBUTES ALIAS: '_mxFunhdlPermuteFcn' :: mxFunhdlPermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxGetArraycopeField' :: mxGetArraycopeField
!DEC$ ATTRIBUTES ALIAS: '_mxGetArrayType' :: mxGetArrayType
!DEC$ ATTRIBUTES ALIAS: '_mxGetAttrName' :: mxGetAttrName
!DEC$ ATTRIBUTES ALIAS: '_mxGetCell' :: mxGetCell
!DEC$ ATTRIBUTES ALIAS: '_mxGetCells' :: mxGetCells
!DEC$ ATTRIBUTES ALIAS: '_mxGetChars' :: mxGetChars
!DEC$ ATTRIBUTES ALIAS: '_mxGetClassID' :: mxGetClassID
!DEC$ ATTRIBUTES ALIAS: '_mxGetClassName' :: mxGetClassName
!DEC$ ATTRIBUTES ALIAS: '_mxGetColonArgValues' :: mxGetColonArgValues
!DEC$ ATTRIBUTES ALIAS: '_mxGetColonArgs' :: mxGetColonArgs
!DEC$ ATTRIBUTES ALIAS: '_mxGetColonObjValues' :: mxGetColonObjValues
!DEC$ ATTRIBUTES ALIAS: '_mxGetData' :: mxGetData
!DEC$ ATTRIBUTES ALIAS: '_mxGetDimensions' :: mxGetDimensions
!DEC$ ATTRIBUTES ALIAS: '_mxGetDims' :: mxGetDims
!DEC$ ATTRIBUTES ALIAS: '_mxGetElementize' :: mxGetElementize
!DEC$ ATTRIBUTES ALIAS: '_mxGetEnd' :: mxGetEnd
!DEC$ ATTRIBUTES ALIAS: '_mxGetEps' :: mxGetEps
!DEC$ ATTRIBUTES ALIAS: '_mxGetErrmsgPrintHandler' :: mxGetErrmsgPrintHandler
!DEC$ ATTRIBUTES ALIAS: '_mxGetErrorMessageEnumName' :: mxGetErrorMessageEnumName
!DEC$ ATTRIBUTES ALIAS: '_mxGetErrorMode' :: mxGetErrorMode
!DEC$ ATTRIBUTES ALIAS: '_mxGetErrortate' :: mxGetErrortate
!DEC$ ATTRIBUTES ALIAS: '_mxGetErrorTableEntry' :: mxGetErrorTableEntry
!DEC$ ATTRIBUTES ALIAS: '_mxGetField' :: mxGetField
!DEC$ ATTRIBUTES ALIAS: '_mxGetFieldByNumber' :: mxGetFieldByNumber
!DEC$ ATTRIBUTES ALIAS: '_mxGetFieldNameByNumber' :: mxGetFieldNameByNumber
!DEC$ ATTRIBUTES ALIAS: '_mxGetFieldNames' :: mxGetFieldNames
!DEC$ ATTRIBUTES ALIAS: '_mxGetFieldNumber' :: mxGetFieldNumber
!DEC$ ATTRIBUTES ALIAS: '_mxGetFields' :: mxGetFields
!DEC$ ATTRIBUTES ALIAS: '_mxGetImagData' :: mxGetImagData
!DEC$ ATTRIBUTES ALIAS: '_mxGetIndexedDestinationCopyFcn' :: mxGetIndexedDestinationCopyFcn
!DEC$ ATTRIBUTES ALIAS: '_mxGetIndexedourceCopyFcn' :: mxGetIndexedourceCopyFcn
!DEC$ ATTRIBUTES ALIAS: '_mxGetInf' :: mxGetInf
!DEC$ ATTRIBUTES ALIAS: '_mxGetInfo' :: mxGetInfo
!DEC$ ATTRIBUTES ALIAS: '_mxGetIr' :: mxGetIr
!DEC$ ATTRIBUTES ALIAS: '_mxGetJc' :: mxGetJc
!DEC$ ATTRIBUTES ALIAS: '_mxGetKernelBits' :: mxGetKernelBits
!DEC$ ATTRIBUTES ALIAS: '_mxGetLastErrIdAndMsg' :: mxGetLastErrIdAndMsg
!DEC$ ATTRIBUTES ALIAS: '_mxGetLastErrIdAndMsgAndtack' :: mxGetLastErrIdAndMsgAndtack
!DEC$ ATTRIBUTES ALIAS: '_mxGetLastErrMsg' :: mxGetLastErrMsg
!DEC$ ATTRIBUTES ALIAS: '_mxGetLogicals' :: mxGetLogicals
!DEC$ ATTRIBUTES ALIAS: '_mxGetM' :: mxGetM
!DEC$ ATTRIBUTES ALIAS: '_mxGetMethodFullPath' :: mxGetMethodFullPath
!DEC$ ATTRIBUTES ALIAS: '_mxGetN' :: mxGetN
!DEC$ ATTRIBUTES ALIAS: '_mxGetNChars' :: mxGetNChars
!DEC$ ATTRIBUTES ALIAS: '_mxGetNChars_UTF16' :: mxGetNChars_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxGetNChars_UTF8' :: mxGetNChars_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxGetNaN' :: mxGetNaN
!DEC$ ATTRIBUTES ALIAS: '_mxGetName' :: mxGetName
!DEC$ ATTRIBUTES ALIAS: '_mxGetNumberOfDimensions' :: mxGetNumberOfDimensions
!DEC$ ATTRIBUTES ALIAS: '_mxGetNumberOfElements' :: mxGetNumberOfElements
!DEC$ ATTRIBUTES ALIAS: '_mxGetNumberOfFields' :: mxGetNumberOfFields
!DEC$ ATTRIBUTES ALIAS: '_mxGetNzmax' :: mxGetNzmax
!DEC$ ATTRIBUTES ALIAS: '_mxGetObjectCheckum' :: mxGetObjectCheckum
!DEC$ ATTRIBUTES ALIAS: '_mxGetObjectClassName' :: mxGetObjectClassName
!DEC$ ATTRIBUTES ALIAS: '_mxGetObjectTagIndex' :: mxGetObjectTagIndex
!DEC$ ATTRIBUTES ALIAS: '_mxGetOpaqueObjectTagIndex' :: mxGetOpaqueObjectTagIndex
!DEC$ ATTRIBUTES ALIAS: '_mxGetPi' :: mxGetPi
!DEC$ ATTRIBUTES ALIAS: '_mxGetPr' :: mxGetPr
!DEC$ ATTRIBUTES ALIAS: '_mxGetReferenceCount' :: mxGetReferenceCount
!DEC$ ATTRIBUTES ALIAS: '_mxGetReshapeDims' :: mxGetReshapeDims
!DEC$ ATTRIBUTES ALIAS: '_mxGetcalar' :: mxGetcalar
!DEC$ ATTRIBUTES ALIAS: '_mxGetcalarInt' :: mxGetcalarInt
!DEC$ ATTRIBUTES ALIAS: '_mxGettring' :: mxGettring
!DEC$ ATTRIBUTES ALIAS: '_mxGettring_UTF16' :: mxGettring_UTF16
!DEC$ ATTRIBUTES ALIAS: '_mxGettring_UTF8' :: mxGettring_UTF8
!DEC$ ATTRIBUTES ALIAS: '_mxGetubclass' :: mxGetubclass
!DEC$ ATTRIBUTES ALIAS: '_mxGetUserBits' :: mxGetUserBits
!DEC$ ATTRIBUTES ALIAS: '_mxIncRefCount' :: mxIncRefCount
!DEC$ ATTRIBUTES ALIAS: '_mxInitAllocListManager' :: mxInitAllocListManager
!DEC$ ATTRIBUTES ALIAS: '_mxInitArray2Matrix' :: mxInitArray2Matrix
!DEC$ ATTRIBUTES ALIAS: '_mxInitArrayListManager' :: mxInitArrayListManager
!DEC$ ATTRIBUTES ALIAS: '_mxInitErrortate' :: mxInitErrortate
!DEC$ ATTRIBUTES ALIAS: '_mxInitializeimpleFunctionHandle' :: mxInitializeimpleFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxIntColonop' :: mxIntColonop
!DEC$ ATTRIBUTES ALIAS: '_mxInvokeFunctionHandle' :: mxInvokeFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxIsA' :: mxIsA
!DEC$ ATTRIBUTES ALIAS: '_mxIsCell' :: mxIsCell
!DEC$ ATTRIBUTES ALIAS: '_mxIsChar' :: mxIsChar
!DEC$ ATTRIBUTES ALIAS: '_mxIsCharVector' :: mxIsCharVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsClass' :: mxIsClass
!DEC$ ATTRIBUTES ALIAS: '_mxIsClassUnknown' :: mxIsClassUnknown
!DEC$ ATTRIBUTES ALIAS: '_mxIsColonObj' :: mxIsColonObj
!DEC$ ATTRIBUTES ALIAS: '_mxIsCommaList' :: mxIsCommaList
!DEC$ ATTRIBUTES ALIAS: '_mxIsComplex' :: mxIsComplex
!DEC$ ATTRIBUTES ALIAS: '_mxIsComplex2dMatrix' :: mxIsComplex2dMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsComplexVector' :: mxIsComplexVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsContainer' :: mxIsContainer
!DEC$ ATTRIBUTES ALIAS: '_mxIsDataPrivate' :: mxIsDataPrivate
!DEC$ ATTRIBUTES ALIAS: '_mxIsDouble' :: mxIsDouble
!DEC$ ATTRIBUTES ALIAS: '_mxIsDouble2dMatrix' :: mxIsDouble2dMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsEmpty' :: mxIsEmpty
!DEC$ ATTRIBUTES ALIAS: '_mxIsEmptyqrBrktArray' :: mxIsEmptyqrBrktArray
!DEC$ ATTRIBUTES ALIAS: '_mxIsExactharedCopy' :: mxIsExactharedCopy
!DEC$ ATTRIBUTES ALIAS: '_mxIsFinite' :: mxIsFinite
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteDoubleArray' :: mxIsFiniteDoubleArray
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteNumeric2dMatrix' :: mxIsFiniteNumeric2dMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteNumeric2dNonComplexMatrix' :: mxIsFiniteNumeric2dNonComplexMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteNumericArray' :: mxIsFiniteNumericArray
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteNumericVector' :: mxIsFiniteNumericVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsFiniteingleArray' :: mxIsFiniteingleArray
!DEC$ ATTRIBUTES ALIAS: '_mxIsFromGlobalW' :: mxIsFromGlobalW
!DEC$ ATTRIBUTES ALIAS: '_mxIsFull' :: mxIsFull
!DEC$ ATTRIBUTES ALIAS: '_mxIsFunctionHandle' :: mxIsFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxIsGlobal' :: mxIsGlobal
!DEC$ ATTRIBUTES ALIAS: '_mxIsIdentical' :: mxIsIdentical
!DEC$ ATTRIBUTES ALIAS: '_mxIsIndexingOpaque' :: mxIsIndexingOpaque
!DEC$ ATTRIBUTES ALIAS: '_mxIsInf' :: mxIsInf
!DEC$ ATTRIBUTES ALIAS: '_mxIsInt16' :: mxIsInt16
!DEC$ ATTRIBUTES ALIAS: '_mxIsInt32' :: mxIsInt32
!DEC$ ATTRIBUTES ALIAS: '_mxIsInt64' :: mxIsInt64
!DEC$ ATTRIBUTES ALIAS: '_mxIsInt8' :: mxIsInt8
!DEC$ ATTRIBUTES ALIAS: '_mxIsIntOrUIntVector' :: mxIsIntOrUIntVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsIntcalar' :: mxIsIntcalar
!DEC$ ATTRIBUTES ALIAS: '_mxIsIntVector' :: mxIsIntVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsLogical' :: mxIsLogical
!DEC$ ATTRIBUTES ALIAS: '_mxIsLogicalcalar' :: mxIsLogicalcalar
!DEC$ ATTRIBUTES ALIAS: '_mxIsLogicalcalarTrue' :: mxIsLogicalcalarTrue
!DEC$ ATTRIBUTES ALIAS: '_mxIsMarked' :: mxIsMarked
!DEC$ ATTRIBUTES ALIAS: '_mxIsMexLogical' :: mxIsMexLogical
!DEC$ ATTRIBUTES ALIAS: '_mxIsNaN' :: mxIsNaN
!DEC$ ATTRIBUTES ALIAS: '_mxIsNumeric' :: mxIsNumeric
!DEC$ ATTRIBUTES ALIAS: '_mxIsNumericInfOrNaNVector' :: mxIsNumericInfOrNaNVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsObject' :: mxIsObject
!DEC$ ATTRIBUTES ALIAS: '_mxIsOnAllocList' :: mxIsOnAllocList
!DEC$ ATTRIBUTES ALIAS: '_mxIsOpaque' :: mxIsOpaque
!DEC$ ATTRIBUTES ALIAS: '_mxIsPermutationTrivial' :: mxIsPermutationTrivial
!DEC$ ATTRIBUTES ALIAS: '_mxIsProtected' :: mxIsProtected
!DEC$ ATTRIBUTES ALIAS: '_mxIsReal2dMatrix' :: mxIsReal2dMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsRealInfOrNaNVector' :: mxIsRealInfOrNaNVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsRealOrInfcalar' :: mxIsRealOrInfcalar
!DEC$ ATTRIBUTES ALIAS: '_mxIsRealOrInfVector' :: mxIsRealOrInfVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsRealcalar' :: mxIsRealcalar
!DEC$ ATTRIBUTES ALIAS: '_mxIsRealVector' :: mxIsRealVector
!DEC$ ATTRIBUTES ALIAS: '_mxIscalar' :: mxIscalar
!DEC$ ATTRIBUTES ALIAS: '_mxIscalarDoubleFlaget' :: mxIscalarDoubleFlaget
!DEC$ ATTRIBUTES ALIAS: '_mxIsharedArray' :: mxIsharedArray
!DEC$ ATTRIBUTES ALIAS: '_mxIsingle' :: mxIsingle
!DEC$ ATTRIBUTES ALIAS: '_mxIsingle2dMatrix' :: mxIsingle2dMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxIsingleVector' :: mxIsingleVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsparse' :: mxIsparse
!DEC$ ATTRIBUTES ALIAS: '_mxIstring' :: mxIstring
!DEC$ ATTRIBUTES ALIAS: '_mxIstruct' :: mxIstruct
!DEC$ ATTRIBUTES ALIAS: '_mxIstructClass' :: mxIstructClass
!DEC$ ATTRIBUTES ALIAS: '_mxIsTemp' :: mxIsTemp
!DEC$ ATTRIBUTES ALIAS: '_mxIsUint16' :: mxIsUint16
!DEC$ ATTRIBUTES ALIAS: '_mxIsUint32' :: mxIsUint32
!DEC$ ATTRIBUTES ALIAS: '_mxIsUint64' :: mxIsUint64
!DEC$ ATTRIBUTES ALIAS: '_mxIsUint8' :: mxIsUint8
!DEC$ ATTRIBUTES ALIAS: '_mxIsValidMatName' :: mxIsValidMatName
!DEC$ ATTRIBUTES ALIAS: '_mxIsVector' :: mxIsVector
!DEC$ ATTRIBUTES ALIAS: '_mxIsVector2D' :: mxIsVector2D
!DEC$ ATTRIBUTES ALIAS: '_mxJitIsEmptyMatrix' :: mxJitIsEmptyMatrix
!DEC$ ATTRIBUTES ALIAS: '_mxMalloc' :: mxMalloc
!DEC$ ATTRIBUTES ALIAS: '_mxMatch2DIndicesForIndexedAssignment' :: mxMatch2DIndicesForIndexedAssignment
!DEC$ ATTRIBUTES ALIAS: '_mxMoveArrayFromPreviousContext' :: mxMoveArrayFromPreviousContext
!DEC$ ATTRIBUTES ALIAS: '_mxMoveArrayOntoHeader' :: mxMoveArrayOntoHeader
!DEC$ ATTRIBUTES ALIAS: '_mxMoveCopyOntoHeader' :: mxMoveCopyOntoHeader
!DEC$ ATTRIBUTES ALIAS: '_mxMustBe' :: mxMustBe
!DEC$ ATTRIBUTES ALIAS: '_mxMustBeComplex' :: mxMustBeComplex
!DEC$ ATTRIBUTES ALIAS: '_mxMustBeFull' :: mxMustBeFull
!DEC$ ATTRIBUTES ALIAS: '_mxMustBeFullDouble' :: mxMustBeFullDouble
!DEC$ ATTRIBUTES ALIAS: '_mxMustBeparse' :: mxMustBeparse
!DEC$ ATTRIBUTES ALIAS: '_mxNumericPermuteFcn' :: mxNumericPermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxOnException' :: mxOnException
!DEC$ ATTRIBUTES ALIAS: '_mxOnes' :: mxOnes
!DEC$ ATTRIBUTES ALIAS: '_mxOpaquePermuteFcn' :: mxOpaquePermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxPermuteFcn' :: mxPermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxReInitArray2calarDouble' :: mxReInitArray2calarDouble
!DEC$ ATTRIBUTES ALIAS: '_mxReInitArray2Type' :: mxReInitArray2Type
!DEC$ ATTRIBUTES ALIAS: '_mxRealloc' :: mxRealloc
!DEC$ ATTRIBUTES ALIAS: '_mxRegisterFunctionHandleConstructors' :: mxRegisterFunctionHandleConstructors
!DEC$ ATTRIBUTES ALIAS: '_mxReloadClasses' :: mxReloadClasses
!DEC$ ATTRIBUTES ALIAS: '_mxRemoveField' :: mxRemoveField
!DEC$ ATTRIBUTES ALIAS: '_mxRemoveFromAllocList' :: mxRemoveFromAllocList
!DEC$ ATTRIBUTES ALIAS: '_mxResetLocalArray' :: mxResetLocalArray
!DEC$ ATTRIBUTES ALIAS: '_mxReshapeparse' :: mxReshapeparse
!DEC$ ATTRIBUTES ALIAS: '_mxResize' :: mxResize
!DEC$ ATTRIBUTES ALIAS: '_mxResizeArray' :: mxResizeArray
!DEC$ ATTRIBUTES ALIAS: '_mxRestorePreviousAllocListContext' :: mxRestorePreviousAllocListContext
!DEC$ ATTRIBUTES ALIAS: '_mxavedtructToFunctionHandle' :: mxavedtructToFunctionHandle
!DEC$ ATTRIBUTES ALIAS: '_mxcalarExpan' :: mxcalarExpan
!DEC$ ATTRIBUTES ALIAS: '_mxcalarRef' :: mxcalarRef
!DEC$ ATTRIBUTES ALIAS: '_mxearchClassArray' :: mxearchClassArray
!DEC$ ATTRIBUTES ALIAS: '_mxerialize' :: mxerialize
!DEC$ ATTRIBUTES ALIAS: '_mxerializeEx' :: mxerializeEx
!DEC$ ATTRIBUTES ALIAS: '_mxerializeWithTag' :: mxerializeWithTag
!DEC$ ATTRIBUTES ALIAS: '_mxerializeWithTagEx' :: mxerializeWithTagEx
!DEC$ ATTRIBUTES ALIAS: '_mxetAllocListeners' :: mxetAllocListeners
!DEC$ ATTRIBUTES ALIAS: '_mxetArraycope' :: mxetArraycope
!DEC$ ATTRIBUTES ALIAS: '_mxetArrayType' :: mxetArrayType
!DEC$ ATTRIBUTES ALIAS: '_mxetCell' :: mxetCell
!DEC$ ATTRIBUTES ALIAS: '_mxetClassName' :: mxetClassName
!DEC$ ATTRIBUTES ALIAS: '_mxetCommaList' :: mxetCommaList
!DEC$ ATTRIBUTES ALIAS: '_mxetCopyInCell' :: mxetCopyInCell
!DEC$ ATTRIBUTES ALIAS: '_mxetData' :: mxetData
!DEC$ ATTRIBUTES ALIAS: '_mxetDataPrivateFlag' :: mxetDataPrivateFlag
!DEC$ ATTRIBUTES ALIAS: '_mxetDimensions' :: mxetDimensions
!DEC$ ATTRIBUTES ALIAS: '_mxetEmptyqrBrktFlag' :: mxetEmptyqrBrktFlag
!DEC$ ATTRIBUTES ALIAS: '_mxetErrmsgPrefixFcn' :: mxetErrmsgPrefixFcn
!DEC$ ATTRIBUTES ALIAS: '_mxetErrmsgPrintHandler' :: mxetErrmsgPrintHandler
!DEC$ ATTRIBUTES ALIAS: '_mxetErrorCallbackFcn' :: mxetErrorCallbackFcn
!DEC$ ATTRIBUTES ALIAS: '_mxetErrorMode' :: mxetErrorMode
!DEC$ ATTRIBUTES ALIAS: '_mxetErrorOn' :: mxetErrorOn
!DEC$ ATTRIBUTES ALIAS: '_mxetErrortate' :: mxetErrortate
!DEC$ ATTRIBUTES ALIAS: '_mxetField' :: mxetField
!DEC$ ATTRIBUTES ALIAS: '_mxetFieldByNumber' :: mxetFieldByNumber
!DEC$ ATTRIBUTES ALIAS: '_mxetFromGlobalW' :: mxetFromGlobalW
!DEC$ ATTRIBUTES ALIAS: '_mxetImagData' :: mxetImagData
!DEC$ ATTRIBUTES ALIAS: '_mxetIoCallbacks' :: mxetIoCallbacks
!DEC$ ATTRIBUTES ALIAS: '_mxetIr' :: mxetIr
!DEC$ ATTRIBUTES ALIAS: '_mxetJc' :: mxetJc
!DEC$ ATTRIBUTES ALIAS: '_mxetKernelBits' :: mxetKernelBits
!DEC$ ATTRIBUTES ALIAS: '_mxetLastErrIdAndMsg' :: mxetLastErrIdAndMsg
!DEC$ ATTRIBUTES ALIAS: '_mxetLastErrIdAndMsgAndtack' :: mxetLastErrIdAndMsgAndtack
!DEC$ ATTRIBUTES ALIAS: '_mxetLogical' :: mxetLogical
!DEC$ ATTRIBUTES ALIAS: '_mxetM' :: mxetM
!DEC$ ATTRIBUTES ALIAS: '_mxetN' :: mxetN
!DEC$ ATTRIBUTES ALIAS: '_mxetName' :: mxetName
!DEC$ ATTRIBUTES ALIAS: '_mxetNzmax' :: mxetNzmax
!DEC$ ATTRIBUTES ALIAS: '_mxetObjectCheckum' :: mxetObjectCheckum
!DEC$ ATTRIBUTES ALIAS: '_mxetObjectClassName' :: mxetObjectClassName
!DEC$ ATTRIBUTES ALIAS: '_mxetObjectCreateDestroyFn' :: mxetObjectCreateDestroyFn
!DEC$ ATTRIBUTES ALIAS: '_mxetObjectTagIndex' :: mxetObjectTagIndex
!DEC$ ATTRIBUTES ALIAS: '_mxetOpaqueObjectTagIndex' :: mxetOpaqueObjectTagIndex
!DEC$ ATTRIBUTES ALIAS: '_mxetOutOfMemoryListener' :: mxetOutOfMemoryListener
!DEC$ ATTRIBUTES ALIAS: '_mxetPi' :: mxetPi
!DEC$ ATTRIBUTES ALIAS: '_mxetPr' :: mxetPr
!DEC$ ATTRIBUTES ALIAS: '_mxetProtected' :: mxetProtected
!DEC$ ATTRIBUTES ALIAS: '_mxetRefCount' :: mxetRefCount
!DEC$ ATTRIBUTES ALIAS: '_mxetReferenceCount' :: mxetReferenceCount
!DEC$ ATTRIBUTES ALIAS: '_mxetcalarDoubleFlag' :: mxetcalarDoubleFlag
!DEC$ ATTRIBUTES ALIAS: '_mxetcalarDoubleFlagIfAppropiate' :: mxetcalarDoubleFlagIfAppropiate
!DEC$ ATTRIBUTES ALIAS: '_mxetUserBits' :: mxetUserBits
!DEC$ ATTRIBUTES ALIAS: '_mxetWarningMessageHandler' :: mxetWarningMessageHandler
!DEC$ ATTRIBUTES ALIAS: '_mxhutdownAllocLst' :: mxhutdownAllocLst
!DEC$ ATTRIBUTES ALIAS: '_mxhutdownArrayList' :: mxhutdownArrayList
!DEC$ ATTRIBUTES ALIAS: '_mximpleErrMsgIdAndTxt' :: mximpleErrMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mximpleErrtackAndMsgIdAndTxt' :: mximpleErrtackAndMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mxizeofArray' :: mxizeofArray
!DEC$ ATTRIBUTES ALIAS: '_mxparseReference' :: mxparseReference
!DEC$ ATTRIBUTES ALIAS: '_mxtruct2cell' :: mxtruct2cell
!DEC$ ATTRIBUTES ALIAS: '_mxtructureAssignment' :: mxtructureAssignment
!DEC$ ATTRIBUTES ALIAS: '_mxtructureConversionFcn' :: mxtructureConversionFcn
!DEC$ ATTRIBUTES ALIAS: '_mxtructurePermuteFcn' :: mxtructurePermuteFcn
!DEC$ ATTRIBUTES ALIAS: '_mxtructureReference' :: mxtructureReference
!DEC$ ATTRIBUTES ALIAS: '_mxubclassOpaqueArray' :: mxubclassOpaqueArray
!DEC$ ATTRIBUTES ALIAS: '_mxubsCount' :: mxubsCount
!DEC$ ATTRIBUTES ALIAS: '_mxubscriptedAssignment' :: mxubscriptedAssignment
!DEC$ ATTRIBUTES ALIAS: '_mxubscriptedDelete' :: mxubscriptedDelete
!DEC$ ATTRIBUTES ALIAS: '_mxubscriptedReference' :: mxubscriptedReference
!DEC$ ATTRIBUTES ALIAS: '_mxuppressLogicalConversionWarning' :: mxuppressLogicalConversionWarning
!DEC$ ATTRIBUTES ALIAS: '_mxwapErrmsgPrintHandler' :: mxwapErrmsgPrintHandler
!DEC$ ATTRIBUTES ALIAS: '_mxwapErrortate' :: mxwapErrortate
!DEC$ ATTRIBUTES ALIAS: '_mxwitchCompare' :: mxwitchCompare
!DEC$ ATTRIBUTES ALIAS: '_mxThrowException' :: mxThrowException
!DEC$ ATTRIBUTES ALIAS: '_mxTranspose' :: mxTranspose
!DEC$ ATTRIBUTES ALIAS: '_mxTransposeArray' :: mxTransposeArray
!DEC$ ATTRIBUTES ALIAS: '_mxTruncateMatName' :: mxTruncateMatName
!DEC$ ATTRIBUTES ALIAS: '_mxTxtCmp' :: mxTxtCmp
!DEC$ ATTRIBUTES ALIAS: '_mxUnreference' :: mxUnreference
!DEC$ ATTRIBUTES ALIAS: '_mxUnshare' :: mxUnshare
!DEC$ ATTRIBUTES ALIAS: '_mxUnshareAndEmptyOtherArrays' :: mxUnshareAndEmptyOtherArrays
!DEC$ ATTRIBUTES ALIAS: '_mxUnshareArray' :: mxUnshareArray
!DEC$ ATTRIBUTES ALIAS: '_mxUnshareOtherArrays' :: mxUnshareOtherArrays
!DEC$ ATTRIBUTES ALIAS: '_mxUnsharehallow' :: mxUnsharehallow
!DEC$ ATTRIBUTES ALIAS: '_mxVErrMsgIdAndTxt' :: mxVErrMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mxVWarningMsgIdAndTxt' :: mxVWarningMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mxValidatewitchExpression' :: mxValidatewitchExpression
!DEC$ ATTRIBUTES ALIAS: '_mxWarningIdAndMsg' :: mxWarningIdAndMsg
!DEC$ ATTRIBUTES ALIAS: '_mxWarningMsgIdAndTxt' :: mxWarningMsgIdAndTxt
!DEC$ ATTRIBUTES ALIAS: '_mxWarningMsgTxt' :: mxWarningMsgTxt
!DEC$ ATTRIBUTES ALIAS: '_spAss3' :: spAss3
!DEC$ ATTRIBUTES ALIAS: '_spAss4' :: spAss4
!DEC$ ATTRIBUTES ALIAS: '_spAss5' :: spAss5
!DEC$ ATTRIBUTES ALIAS: '_spAss6' :: spAss6
!DEC$ ATTRIBUTES ALIAS: '_spRef2' :: spRef2
!DEC$ ATTRIBUTES ALIAS: '_spRef3' :: spRef3
!DEC$ ATTRIBUTES ALIAS: '_spRef3calar' :: spRef3calar
!DEC$ ATTRIBUTES ALIAS: '_spRef4' :: spRef4
!DEC$ ATTRIBUTES ALIAS: '_spRef5' :: spRef5
!DEC$ ATTRIBUTES ALIAS: '_spRef6' :: spRef6
!DEC$ ATTRIBUTES ALIAS: '_spRef6calar' :: spRef6calar
!DEC$ ATTRIBUTES ALIAS: '_test_my_puts' :: test_my_puts
!DEC$ ATTRIBUTES ALIAS: '_CheckAllTables' :: CheckAllTables
!DEC$ ATTRIBUTES ALIAS: '_GetFcnAddrFromFrame' :: GetFcnAddrFromFrame
!DEC$ ATTRIBUTES ALIAS: '__uttrtok_r' :: _uttrtok_r
!DEC$ ATTRIBUTES ALIAS: '_enc_to_utf16' :: enc_to_utf16
!DEC$ ATTRIBUTES ALIAS: '_enc_to_utf16_n' :: enc_to_utf16_n
!DEC$ ATTRIBUTES ALIAS: '_fprntf' :: fprntf
!DEC$ ATTRIBUTES ALIAS: '_fpts' :: fpts
!DEC$ ATTRIBUTES ALIAS: '_ics_to_utf16' :: ics_to_utf16
!DEC$ ATTRIBUTES ALIAS: '_ics_to_utf16_n' :: ics_to_utf16_n
!DEC$ ATTRIBUTES ALIAS: '_ics_to_utf8' :: ics_to_utf8
!DEC$ ATTRIBUTES ALIAS: '_ics_to_utf8_n' :: ics_to_utf8_n
!DEC$ ATTRIBUTES ALIAS: '_init__icuext_init' :: init__icuext_init
!DEC$ ATTRIBUTES ALIAS: '_init__objmgr_init' :: init__objmgr_init
!DEC$ ATTRIBUTES ALIAS: '_init_util_basic_contexts' :: init_util_basic_contexts
!DEC$ ATTRIBUTES ALIAS: '_init_util_utassert' :: init_util_utassert
!DEC$ ATTRIBUTES ALIAS: '_lcp_is_7bit' :: lcp_is_7bit
!DEC$ ATTRIBUTES ALIAS: '_lcp_strchr' :: lcp_strchr
!DEC$ ATTRIBUTES ALIAS: '_lcp_stristr' :: lcp_stristr
!DEC$ ATTRIBUTES ALIAS: '_lcp_strlen_lim' :: lcp_strlen_lim
!DEC$ ATTRIBUTES ALIAS: '_lcp_to_utf16' :: lcp_to_utf16
!DEC$ ATTRIBUTES ALIAS: '_lcp_to_utf16_max_chars' :: lcp_to_utf16_max_chars
!DEC$ ATTRIBUTES ALIAS: '_lcp_to_utf16_n' :: lcp_to_utf16_n
!DEC$ ATTRIBUTES ALIAS: '_lcp_to_utf16_sc' :: lcp_to_utf16_sc
!DEC$ ATTRIBUTES ALIAS: '_libut_build_date' :: libut_build_date
!DEC$ ATTRIBUTES ALIAS: '_libut_version' :: libut_version
!DEC$ ATTRIBUTES ALIAS: '_mpath_pathname_index' :: mpath_pathname_index
!DEC$ ATTRIBUTES ALIAS: '_mps_search_char' :: mps_search_char
!DEC$ ATTRIBUTES ALIAS: '_mwu_isalnum' :: mwu_isalnum
!DEC$ ATTRIBUTES ALIAS: '_mwu_isalpha' :: mwu_isalpha
!DEC$ ATTRIBUTES ALIAS: '_mwu_isblank' :: mwu_isblank
!DEC$ ATTRIBUTES ALIAS: '_mwu_iscntrl' :: mwu_iscntrl
!DEC$ ATTRIBUTES ALIAS: '_mwu_isdigit' :: mwu_isdigit
!DEC$ ATTRIBUTES ALIAS: '_mwu_isgraph' :: mwu_isgraph
!DEC$ ATTRIBUTES ALIAS: '_mwu_islower' :: mwu_islower
!DEC$ ATTRIBUTES ALIAS: '_mwu_isprint' :: mwu_isprint
!DEC$ ATTRIBUTES ALIAS: '_mwu_ispunct' :: mwu_ispunct
!DEC$ ATTRIBUTES ALIAS: '_mwu_isspace' :: mwu_isspace
!DEC$ ATTRIBUTES ALIAS: '_mwu_isupper' :: mwu_isupper
!DEC$ ATTRIBUTES ALIAS: '_mwu_isxdigit' :: mwu_isxdigit
!DEC$ ATTRIBUTES ALIAS: '_mwu_tolower' :: mwu_tolower
!DEC$ ATTRIBUTES ALIAS: '_mwu_toupper' :: mwu_toupper
!DEC$ ATTRIBUTES ALIAS: '_np_atomic_add' :: np_atomic_add
!DEC$ ATTRIBUTES ALIAS: '_np_atomic_cas' :: np_atomic_cas
!DEC$ ATTRIBUTES ALIAS: '_np_atomic_casptr' :: np_atomic_casptr
!DEC$ ATTRIBUTES ALIAS: '_np_atomic_dec' :: np_atomic_dec
!DEC$ ATTRIBUTES ALIAS: '_np_atomic_inc' :: np_atomic_inc
!DEC$ ATTRIBUTES ALIAS: '_static_ref_okay' :: static_ref_okay
!DEC$ ATTRIBUTES ALIAS: '_utAccurateEstimateCPUpeed' :: utAccurateEstimateCPUpeed
!DEC$ ATTRIBUTES ALIAS: '_utAddElementToEndOfet' :: utAddElementToEndOfet
!DEC$ ATTRIBUTES ALIAS: '_utAddElementToet' :: utAddElementToet
!DEC$ ATTRIBUTES ALIAS: '_utAddHashEntry' :: utAddHashEntry
!DEC$ ATTRIBUTES ALIAS: '_utAddTimeInfo' :: utAddTimeInfo
!DEC$ ATTRIBUTES ALIAS: '_utAdd_Enumtrs' :: utAdd_Enumtrs
!DEC$ ATTRIBUTES ALIAS: '_utAssertMsg' :: utAssertMsg
!DEC$ ATTRIBUTES ALIAS: '_utBlockAsyncignals' :: utBlockAsyncignals
!DEC$ ATTRIBUTES ALIAS: '_utBlockignal' :: utBlockignal
!DEC$ ATTRIBUTES ALIAS: '_utC2fstr' :: utC2fstr
!DEC$ ATTRIBUTES ALIAS: '_utCLIDtochar' :: utCLIDtochar
!DEC$ ATTRIBUTES ALIAS: '_utCPUElapsedTime' :: utCPUElapsedTime
!DEC$ ATTRIBUTES ALIAS: '_utCPUspeedMWComp' :: utCPUspeedMWComp
!DEC$ ATTRIBUTES ALIAS: '_utCPUspeedMWOnce' :: utCPUspeedMWOnce
!DEC$ ATTRIBUTES ALIAS: '_utCPUspeedO' :: utCPUspeedO
!DEC$ ATTRIBUTES ALIAS: '_utCPUspeedOOnce' :: utCPUspeedOOnce
!DEC$ ATTRIBUTES ALIAS: '_utCPUtic' :: utCPUtic
!DEC$ ATTRIBUTES ALIAS: '_utCPUtime' :: utCPUtime
!DEC$ ATTRIBUTES ALIAS: '_utCacos' :: utCacos
!DEC$ ATTRIBUTES ALIAS: '_utCacosh' :: utCacosh
!DEC$ ATTRIBUTES ALIAS: '_utCallRegisteredWarningCallback' :: utCallRegisteredWarningCallback
!DEC$ ATTRIBUTES ALIAS: '_utCalloc' :: utCalloc
!DEC$ ATTRIBUTES ALIAS: '_utCasin' :: utCasin
!DEC$ ATTRIBUTES ALIAS: '_utCasinh' :: utCasinh
!DEC$ ATTRIBUTES ALIAS: '_utCatan' :: utCatan
!DEC$ ATTRIBUTES ALIAS: '_utCatanh' :: utCatanh
!DEC$ ATTRIBUTES ALIAS: '_utCatchignal' :: utCatchignal
!DEC$ ATTRIBUTES ALIAS: '_utCcos' :: utCcos
!DEC$ ATTRIBUTES ALIAS: '_utCcosh' :: utCcosh
!DEC$ ATTRIBUTES ALIAS: '_utCdiv' :: utCdiv
!DEC$ ATTRIBUTES ALIAS: '_utCheckMemoryIntegrity' :: utCheckMemoryIntegrity
!DEC$ ATTRIBUTES ALIAS: '_utClearBasicContexts' :: utClearBasicContexts
!DEC$ ATTRIBUTES ALIAS: '_utClearDefaultContexts' :: utClearDefaultContexts
!DEC$ ATTRIBUTES ALIAS: '_utClog' :: utClog
!DEC$ ATTRIBUTES ALIAS: '_utCloseTimingLog' :: utCloseTimingLog
!DEC$ ATTRIBUTES ALIAS: '_utCmax' :: utCmax
!DEC$ ATTRIBUTES ALIAS: '_utCmin' :: utCmin
!DEC$ ATTRIBUTES ALIAS: '_utCmul' :: utCmul
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAcos' :: utComplexcalarAcos
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAcosh' :: utComplexcalarAcosh
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAsin' :: utComplexcalarAsin
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAsinh' :: utComplexcalarAsinh
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAtan' :: utComplexcalarAtan
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarAtanh' :: utComplexcalarAtanh
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarCos' :: utComplexcalarCos
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarCosh' :: utComplexcalarCosh
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarExp' :: utComplexcalarExp
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarLog' :: utComplexcalarLog
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarLog2' :: utComplexcalarLog2
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarMax' :: utComplexcalarMax
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarMin' :: utComplexcalarMin
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarPower' :: utComplexcalarPower
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarRdivide' :: utComplexcalarRdivide
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarign' :: utComplexcalarign
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarin' :: utComplexcalarin
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarinh' :: utComplexcalarinh
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarqrt' :: utComplexcalarqrt
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarTan' :: utComplexcalarTan
!DEC$ ATTRIBUTES ALIAS: '_utComplexcalarTanh' :: utComplexcalarTanh
!DEC$ ATTRIBUTES ALIAS: '_utCopyign' :: utCopyign
!DEC$ ATTRIBUTES ALIAS: '_utCosD' :: utCosD
!DEC$ ATTRIBUTES ALIAS: '_utCountWarningsInWarningManager' :: utCountWarningsInWarningManager
!DEC$ ATTRIBUTES ALIAS: '_utCpow' :: utCpow
!DEC$ ATTRIBUTES ALIAS: '_utCqabs' :: utCqabs
!DEC$ ATTRIBUTES ALIAS: '_utCreateCpuCycleCounter' :: utCreateCpuCycleCounter
!DEC$ ATTRIBUTES ALIAS: '_utCreateHashTable' :: utCreateHashTable
!DEC$ ATTRIBUTES ALIAS: '_utCreateMWObject' :: utCreateMWObject
!DEC$ ATTRIBUTES ALIAS: '_utCreateet' :: utCreateet
!DEC$ ATTRIBUTES ALIAS: '_utCsign' :: utCsign
!DEC$ ATTRIBUTES ALIAS: '_utCsin' :: utCsin
!DEC$ ATTRIBUTES ALIAS: '_utCsinh' :: utCsinh
!DEC$ ATTRIBUTES ALIAS: '_utCsqrt' :: utCsqrt
!DEC$ ATTRIBUTES ALIAS: '_utCtan' :: utCtan
!DEC$ ATTRIBUTES ALIAS: '_utCtanh' :: utCtanh
!DEC$ ATTRIBUTES ALIAS: '_utDbl2Int' :: utDbl2Int
!DEC$ ATTRIBUTES ALIAS: '_utDbl2UInt' :: utDbl2UInt
!DEC$ ATTRIBUTES ALIAS: '_utDblIsInt' :: utDblIsInt
!DEC$ ATTRIBUTES ALIAS: '_utDconvert' :: utDconvert
!DEC$ ATTRIBUTES ALIAS: '_utDconvertign' :: utDconvertign
!DEC$ ATTRIBUTES ALIAS: '_utDconvertize' :: utDconvertize
!DEC$ ATTRIBUTES ALIAS: '_utDecrementTicDepth' :: utDecrementTicDepth
!DEC$ ATTRIBUTES ALIAS: '_utDeleteWarningManager' :: utDeleteWarningManager
!DEC$ ATTRIBUTES ALIAS: '_utDestroyCpuCycleCounter' :: utDestroyCpuCycleCounter
!DEC$ ATTRIBUTES ALIAS: '_utDestroyNonEmptyet' :: utDestroyNonEmptyet
!DEC$ ATTRIBUTES ALIAS: '_utDestroyet' :: utDestroyet
!DEC$ ATTRIBUTES ALIAS: '_utDestroy_Enumtrs' :: utDestroy_Enumtrs
!DEC$ ATTRIBUTES ALIAS: '_utDisableCpuCycleCounter' :: utDisableCpuCycleCounter
!DEC$ ATTRIBUTES ALIAS: '_utDisplayCalltack' :: utDisplayCalltack
!DEC$ ATTRIBUTES ALIAS: '_utDivideComplex' :: utDivideComplex
!DEC$ ATTRIBUTES ALIAS: '_utDocLink' :: utDocLink
!DEC$ ATTRIBUTES ALIAS: '_utDoubleConvert' :: utDoubleConvert
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarAtan2' :: utDoublecalarAtan2
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarIntPower' :: utDoublecalarIntPower
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarLog2' :: utDoublecalarLog2
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarMax' :: utDoublecalarMax
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarMin' :: utDoublecalarMin
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarMod' :: utDoublecalarMod
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarRem' :: utDoublecalarRem
!DEC$ ATTRIBUTES ALIAS: '_utDoublecalarRound' :: utDoublecalarRound
!DEC$ ATTRIBUTES ALIAS: '_utDoubleVectorLog' :: utDoubleVectorLog
!DEC$ ATTRIBUTES ALIAS: '_utDoubleVectorLog2' :: utDoubleVectorLog2
!DEC$ ATTRIBUTES ALIAS: '_utDoubleVectorRdivide' :: utDoubleVectorRdivide
!DEC$ ATTRIBUTES ALIAS: '_utDoubleVectorRem' :: utDoubleVectorRem
!DEC$ ATTRIBUTES ALIAS: '_utDoubleVectorqrt' :: utDoubleVectorqrt
!DEC$ ATTRIBUTES ALIAS: '_utDumpCalltack' :: utDumpCalltack
!DEC$ ATTRIBUTES ALIAS: '_utDumpInterruptDebugInfo' :: utDumpInterruptDebugInfo
!DEC$ ATTRIBUTES ALIAS: '_utDumpRegexpTree' :: utDumpRegexpTree
!DEC$ ATTRIBUTES ALIAS: '_utDumptackTrace' :: utDumptackTrace
!DEC$ ATTRIBUTES ALIAS: '_utEnableCpuCycleCounter' :: utEnableCpuCycleCounter
!DEC$ ATTRIBUTES ALIAS: '_utEnumtrs_EnumValue_to_string' :: utEnumtrs_EnumValue_to_string
!DEC$ ATTRIBUTES ALIAS: '_utEnumtrs_string_to_EnumValue' :: utEnumtrs_string_to_EnumValue
!DEC$ ATTRIBUTES ALIAS: '_utEqualWithinEps' :: utEqualWithinEps
!DEC$ ATTRIBUTES ALIAS: '_utEstimateCPUpeed' :: utEstimateCPUpeed
!DEC$ ATTRIBUTES ALIAS: '_utExtractFrameOfMemoryBlock' :: utExtractFrameOfMemoryBlock
!DEC$ ATTRIBUTES ALIAS: '_utF2cstr' :: utF2cstr
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_acos' :: utFdlibm_acos
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_acosh' :: utFdlibm_acosh
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_asin' :: utFdlibm_asin
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_asinh' :: utFdlibm_asinh
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_atan' :: utFdlibm_atan
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_atan2' :: utFdlibm_atan2
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_atanh' :: utFdlibm_atanh
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_ceil' :: utFdlibm_ceil
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_cos' :: utFdlibm_cos
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_cosh' :: utFdlibm_cosh
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_exp' :: utFdlibm_exp
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_expm1' :: utFdlibm_expm1
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_floor' :: utFdlibm_floor
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_fmod' :: utFdlibm_fmod
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_frexp' :: utFdlibm_frexp
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_hypot' :: utFdlibm_hypot
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_ilogb' :: utFdlibm_ilogb
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_log' :: utFdlibm_log
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_log10' :: utFdlibm_log10
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_log1p' :: utFdlibm_log1p
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_logb' :: utFdlibm_logb
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_modf' :: utFdlibm_modf
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_nextafter' :: utFdlibm_nextafter
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_pow' :: utFdlibm_pow
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_remainder' :: utFdlibm_remainder
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_rint' :: utFdlibm_rint
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_scalbn' :: utFdlibm_scalbn
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_sin' :: utFdlibm_sin
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_sinh' :: utFdlibm_sinh
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_tan' :: utFdlibm_tan
!DEC$ ATTRIBUTES ALIAS: '_utFdlibm_tanh' :: utFdlibm_tanh
!DEC$ ATTRIBUTES ALIAS: '_utFgets' :: utFgets
!DEC$ ATTRIBUTES ALIAS: '_utFindMatch' :: utFindMatch
!DEC$ ATTRIBUTES ALIAS: '_utFindymbolInLibrary' :: utFindymbolInLibrary
!DEC$ ATTRIBUTES ALIAS: '_utFinite' :: utFinite
!DEC$ ATTRIBUTES ALIAS: '_utFix' :: utFix
!DEC$ ATTRIBUTES ALIAS: '_utFlipEightBytes' :: utFlipEightBytes
!DEC$ ATTRIBUTES ALIAS: '_utFlipFourBytes' :: utFlipFourBytes
!DEC$ ATTRIBUTES ALIAS: '_utFlipTwoBytes' :: utFlipTwoBytes
!DEC$ ATTRIBUTES ALIAS: '_utFourByteIntConvert' :: utFourByteIntConvert
!DEC$ ATTRIBUTES ALIAS: '_utFourByteIntConvertData' :: utFourByteIntConvertData
!DEC$ ATTRIBUTES ALIAS: '_utFourByteUIntConvert' :: utFourByteUIntConvert
!DEC$ ATTRIBUTES ALIAS: '_utFree' :: utFree
!DEC$ ATTRIBUTES ALIAS: '_utFreeComponentInfo' :: utFreeComponentInfo
!DEC$ ATTRIBUTES ALIAS: '_utFreeRegexpReplace' :: utFreeRegexpReplace
!DEC$ ATTRIBUTES ALIAS: '_utFreeRegexpResults' :: utFreeRegexpResults
!DEC$ ATTRIBUTES ALIAS: '_utFreeRegexpTree' :: utFreeRegexpTree
!DEC$ ATTRIBUTES ALIAS: '_utGUIDFromtring' :: utGUIDFromtring
!DEC$ ATTRIBUTES ALIAS: '_utGUIDtochar' :: utGUIDtochar
!DEC$ ATTRIBUTES ALIAS: '_utGetAllFlints' :: utGetAllFlints
!DEC$ ATTRIBUTES ALIAS: '_utGetAlltats' :: utGetAlltats
!DEC$ ATTRIBUTES ALIAS: '_utGetBasicContexts' :: utGetBasicContexts
!DEC$ ATTRIBUTES ALIAS: '_utGetCPUID' :: utGetCPUID
!DEC$ ATTRIBUTES ALIAS: '_utGetCPUcount' :: utGetCPUcount
!DEC$ ATTRIBUTES ALIAS: '_utGetCPUspeedMW' :: utGetCPUspeedMW
!DEC$ ATTRIBUTES ALIAS: '_utGetClassName' :: utGetClassName
!DEC$ ATTRIBUTES ALIAS: '_utGetClassNum' :: utGetClassNum
!DEC$ ATTRIBUTES ALIAS: '_utGetComponentInfo' :: utGetComponentInfo
!DEC$ ATTRIBUTES ALIAS: '_utGetDataEndianType' :: utGetDataEndianType
!DEC$ ATTRIBUTES ALIAS: '_utGetDataizeType' :: utGetDataizeType
!DEC$ ATTRIBUTES ALIAS: '_utGetDataizeTypeName' :: utGetDataizeTypeName
!DEC$ ATTRIBUTES ALIAS: '_utGetEps' :: utGetEps
!DEC$ ATTRIBUTES ALIAS: '_utGetErrorContext' :: utGetErrorContext
!DEC$ ATTRIBUTES ALIAS: '_utGetFileLinktatus' :: utGetFileLinktatus
!DEC$ ATTRIBUTES ALIAS: '_utGetFormatEndian' :: utGetFormatEndian
!DEC$ ATTRIBUTES ALIAS: '_utGetFormatType' :: utGetFormatType
!DEC$ ATTRIBUTES ALIAS: '_utGetFormatTypeName' :: utGetFormatTypeName
!DEC$ ATTRIBUTES ALIAS: '_utGetFourByteInt' :: utGetFourByteInt
!DEC$ ATTRIBUTES ALIAS: '_utGetFpcContext' :: utGetFpcContext
!DEC$ ATTRIBUTES ALIAS: '_utGetGlobalCpuCycleCounter' :: utGetGlobalCpuCycleCounter
!DEC$ ATTRIBUTES ALIAS: '_utGetHashEntry' :: utGetHashEntry
!DEC$ ATTRIBUTES ALIAS: '_utGetHotLinks' :: utGetHotLinks
!DEC$ ATTRIBUTES ALIAS: '_utGetInf' :: utGetInf
!DEC$ ATTRIBUTES ALIAS: '_utGetLIBIDInfo' :: utGetLIBIDInfo
!DEC$ ATTRIBUTES ALIAS: '_utGetLastPrintedWarningId' :: utGetLastPrintedWarningId
!DEC$ ATTRIBUTES ALIAS: '_utGetLastWarningMsg' :: utGetLastWarningMsg
!DEC$ ATTRIBUTES ALIAS: '_utGetListtats' :: utGetListtats
!DEC$ ATTRIBUTES ALIAS: '_utGetLogDirectory' :: utGetLogDirectory
!DEC$ ATTRIBUTES ALIAS: '_utGetMallocCount' :: utGetMallocCount
!DEC$ ATTRIBUTES ALIAS: '_utGetMatlabProcessMem' :: utGetMatlabProcessMem
!DEC$ ATTRIBUTES ALIAS: '_utGetMaxMemoryCounter' :: utGetMaxMemoryCounter
!DEC$ ATTRIBUTES ALIAS: '_utGetMemMgrConfig' :: utGetMemMgrConfig
!DEC$ ATTRIBUTES ALIAS: '_utGetMemoryContext' :: utGetMemoryContext
!DEC$ ATTRIBUTES ALIAS: '_utGetMemoryCounter' :: utGetMemoryCounter
!DEC$ ATTRIBUTES ALIAS: '_utGetMemoryCounterWithMemdebugOverhead' :: utGetMemoryCounterWithMemdebugOverhead
!DEC$ ATTRIBUTES ALIAS: '_utGetMemoryCounterWithMwmemOverhead' :: utGetMemoryCounterWithMwmemOverhead
!DEC$ ATTRIBUTES ALIAS: '_utGetMessageContext' :: utGetMessageContext
!DEC$ ATTRIBUTES ALIAS: '_utGetMinusInf' :: utGetMinusInf
!DEC$ ATTRIBUTES ALIAS: '_utGetNaN' :: utGetNaN
!DEC$ ATTRIBUTES ALIAS: '_utGetNamehashContext' :: utGetNamehashContext
!DEC$ ATTRIBUTES ALIAS: '_utGetNextHashKey' :: utGetNextHashKey
!DEC$ ATTRIBUTES ALIAS: '_utGetNextetElement' :: utGetNextetElement
!DEC$ ATTRIBUTES ALIAS: '_utGetNumDataizeTypes' :: utGetNumDataizeTypes
!DEC$ ATTRIBUTES ALIAS: '_utGetNumElementsInet' :: utGetNumElementsInet
!DEC$ ATTRIBUTES ALIAS: '_utGetNumFormatTypes' :: utGetNumFormatTypes
!DEC$ ATTRIBUTES ALIAS: '_utGetO' :: utGetO
!DEC$ ATTRIBUTES ALIAS: '_utGetPERFcount' :: utGetPERFcount
!DEC$ ATTRIBUTES ALIAS: '_utGetPERFspeed' :: utGetPERFspeed
!DEC$ ATTRIBUTES ALIAS: '_utGetPI' :: utGetPI
!DEC$ ATTRIBUTES ALIAS: '_utGetPerThreadHandler' :: utGetPerThreadHandler
!DEC$ ATTRIBUTES ALIAS: '_utGetPrevetElement' :: utGetPrevetElement
!DEC$ ATTRIBUTES ALIAS: '_utGetProgramName' :: utGetProgramName
!DEC$ ATTRIBUTES ALIAS: '_utGetRealMax' :: utGetRealMax
!DEC$ ATTRIBUTES ALIAS: '_utGetRealMin' :: utGetRealMin
!DEC$ ATTRIBUTES ALIAS: '_utGetetjmpData' :: utGetetjmpData
!DEC$ ATTRIBUTES ALIAS: '_utGetingleEps' :: utGetingleEps
!DEC$ ATTRIBUTES ALIAS: '_utGetingletats' :: utGetingletats
!DEC$ ATTRIBUTES ALIAS: '_utGetTMWClassesEnumtrs' :: utGetTMWClassesEnumtrs
!DEC$ ATTRIBUTES ALIAS: '_utGetV4Randeed' :: utGetV4Randeed
!DEC$ ATTRIBUTES ALIAS: '_utGetV4Randneed' :: utGetV4Randneed
!DEC$ ATTRIBUTES ALIAS: '_utGetVprintfCallbacks' :: utGetVprintfCallbacks
!DEC$ ATTRIBUTES ALIAS: '_utGetWarningContext' :: utGetWarningContext
!DEC$ ATTRIBUTES ALIAS: '_utGetWarningManagerContext' :: utGetWarningManagerContext
!DEC$ ATTRIBUTES ALIAS: '_utGetWarningtatus' :: utGetWarningtatus
!DEC$ ATTRIBUTES ALIAS: '_utGetWinys' :: utGetWinys
!DEC$ ATTRIBUTES ALIAS: '_utGetcwd' :: utGetcwd
!DEC$ ATTRIBUTES ALIAS: '_utGettimeofdaypeed' :: utGettimeofdaypeed
!DEC$ ATTRIBUTES ALIAS: '_utHandlePendingInterrupt' :: utHandlePendingInterrupt
!DEC$ ATTRIBUTES ALIAS: '_utHavetackTraceupport' :: utHavetackTraceupport
!DEC$ ATTRIBUTES ALIAS: '_utIabs' :: utIabs
!DEC$ ATTRIBUTES ALIAS: '_utImax' :: utImax
!DEC$ ATTRIBUTES ALIAS: '_utImin' :: utImin
!DEC$ ATTRIBUTES ALIAS: '_utIncrementTicDepth' :: utIncrementTicDepth
!DEC$ ATTRIBUTES ALIAS: '_utInitOutOfMemoryHandler' :: utInitOutOfMemoryHandler
!DEC$ ATTRIBUTES ALIAS: '_utInitializeBasicContexts' :: utInitializeBasicContexts
!DEC$ ATTRIBUTES ALIAS: '_utInitializeBasicContexts_full' :: utInitializeBasicContexts_full
!DEC$ ATTRIBUTES ALIAS: '_utInitializeFileLineColumnMessageContext' :: utInitializeFileLineColumnMessageContext
!DEC$ ATTRIBUTES ALIAS: '_utInsertNewLine' :: utInsertNewLine
!DEC$ ATTRIBUTES ALIAS: '_utInsertetElementAfter' :: utInsertetElementAfter
!DEC$ ATTRIBUTES ALIAS: '_utInsertetElementBefore' :: utInsertetElementBefore
!DEC$ ATTRIBUTES ALIAS: '_utInstallBasicContexts' :: utInstallBasicContexts
!DEC$ ATTRIBUTES ALIAS: '_utInstallBasicThrow' :: utInstallBasicThrow
!DEC$ ATTRIBUTES ALIAS: '_utInstallHandler' :: utInstallHandler
!DEC$ ATTRIBUTES ALIAS: '_utInstallPerThreadHandler' :: utInstallPerThreadHandler
!DEC$ ATTRIBUTES ALIAS: '_utInstanceOf' :: utInstanceOf
!DEC$ ATTRIBUTES ALIAS: '_utInstantiableubclasses' :: utInstantiableubclasses
!DEC$ ATTRIBUTES ALIAS: '_utInterruptPendingFlagAddress' :: utInterruptPendingFlagAddress
!DEC$ ATTRIBUTES ALIAS: '_utIsCPUticet' :: utIsCPUticet
!DEC$ ATTRIBUTES ALIAS: '_utIsCheckMallocActive' :: utIsCheckMallocActive
!DEC$ ATTRIBUTES ALIAS: '_utIsCoverageRunning' :: utIsCoverageRunning
!DEC$ ATTRIBUTES ALIAS: '_utIsElementInet' :: utIsElementInet
!DEC$ ATTRIBUTES ALIAS: '_utIsEmptytring' :: utIsEmptytring
!DEC$ ATTRIBUTES ALIAS: '_utIsFPUtackEmpty' :: utIsFPUtackEmpty
!DEC$ ATTRIBUTES ALIAS: '_utIsInf' :: utIsInf
!DEC$ ATTRIBUTES ALIAS: '_utIsInterruptEnabled' :: utIsInterruptEnabled
!DEC$ ATTRIBUTES ALIAS: '_utIsInterruptPending' :: utIsInterruptPending
!DEC$ ATTRIBUTES ALIAS: '_utIsMinusInf' :: utIsMinusInf
!DEC$ ATTRIBUTES ALIAS: '_utIsMinusZero' :: utIsMinusZero
!DEC$ ATTRIBUTES ALIAS: '_utIsMultiByteCharet' :: utIsMultiByteCharet
!DEC$ ATTRIBUTES ALIAS: '_utIsMultiByteLead' :: utIsMultiByteLead
!DEC$ ATTRIBUTES ALIAS: '_utIsMultiByteLeadEx' :: utIsMultiByteLeadEx
!DEC$ ATTRIBUTES ALIAS: '_utIsNaN' :: utIsNaN
!DEC$ ATTRIBUTES ALIAS: '_utIsPERFticet' :: utIsPERFticet
!DEC$ ATTRIBUTES ALIAS: '_utIsPlusInf' :: utIsPlusInf
!DEC$ ATTRIBUTES ALIAS: '_utIsPtrOkay' :: utIsPtrOkay
!DEC$ ATTRIBUTES ALIAS: '_utIsPurifyRunning' :: utIsPurifyRunning
!DEC$ ATTRIBUTES ALIAS: '_utIsQuantifyRunning' :: utIsQuantifyRunning
!DEC$ ATTRIBUTES ALIAS: '_utIsignalBlocked' :: utIsignalBlocked
!DEC$ ATTRIBUTES ALIAS: '_utIsignalThread' :: utIsignalThread
!DEC$ ATTRIBUTES ALIAS: '_utIsValidMessageIdentifier' :: utIsValidMessageIdentifier
!DEC$ ATTRIBUTES ALIAS: '_utIsWarningModeOn' :: utIsWarningModeOn
!DEC$ ATTRIBUTES ALIAS: '_utIterateOverWarningtatuses' :: utIterateOverWarningtatuses
!DEC$ ATTRIBUTES ALIAS: '_utLastLibraryError' :: utLastLibraryError
!DEC$ ATTRIBUTES ALIAS: '_utLoad32AllocFcnPointers' :: utLoad32AllocFcnPointers
!DEC$ ATTRIBUTES ALIAS: '_utLoadCacheAllocFcnPointers' :: utLoadCacheAllocFcnPointers
!DEC$ ATTRIBUTES ALIAS: '_utLoadDebugAllocFcnPointers' :: utLoadDebugAllocFcnPointers
!DEC$ ATTRIBUTES ALIAS: '_utLoadLibrary' :: utLoadLibrary
!DEC$ ATTRIBUTES ALIAS: '_utLoadLibraryAndAddGlobalymbols' :: utLoadLibraryAndAddGlobalymbols
!DEC$ ATTRIBUTES ALIAS: '_utLoadPattern' :: utLoadPattern
!DEC$ ATTRIBUTES ALIAS: '_utLog2' :: utLog2
!DEC$ ATTRIBUTES ALIAS: '_utLongjmpFcn' :: utLongjmpFcn
!DEC$ ATTRIBUTES ALIAS: '_utLongjmpIfInterruptPending' :: utLongjmpIfInterruptPending
!DEC$ ATTRIBUTES ALIAS: '_utLowerCase' :: utLowerCase
!DEC$ ATTRIBUTES ALIAS: '_utLowerCaseCopy' :: utLowerCaseCopy
!DEC$ ATTRIBUTES ALIAS: '_utMacPerfCountAudio' :: utMacPerfCountAudio
!DEC$ ATTRIBUTES ALIAS: '_utMacPerfCountAudioNanos' :: utMacPerfCountAudioNanos
!DEC$ ATTRIBUTES ALIAS: '_utMacPerfCountMach' :: utMacPerfCountMach
!DEC$ ATTRIBUTES ALIAS: '_utMacPerfpeedAudio' :: utMacPerfpeedAudio
!DEC$ ATTRIBUTES ALIAS: '_utMacPerfpeedMach' :: utMacPerfpeedMach
!DEC$ ATTRIBUTES ALIAS: '_utMalloc' :: utMalloc
!DEC$ ATTRIBUTES ALIAS: '_utMarkMemoryBlockAsPermanent' :: utMarkMemoryBlockAsPermanent
!DEC$ ATTRIBUTES ALIAS: '_utMarkTime' :: utMarkTime
!DEC$ ATTRIBUTES ALIAS: '_utMatchPattern' :: utMatchPattern
!DEC$ ATTRIBUTES ALIAS: '_utMax' :: utMax
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugClearMarker' :: utMemDebugClearMarker
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugCountAndTag' :: utMemDebugCountAndTag
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugCountTagged' :: utMemDebugCountTagged
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugDispTaggedCallite' :: utMemDebugDispTaggedCallite
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugEnableAsserts' :: utMemDebugEnableAsserts
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugGetBlockize' :: utMemDebugGetBlockize
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugGetNumtackFrames' :: utMemDebugGetNumtackFrames
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugHeapWalkCount' :: utMemDebugHeapWalkCount
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugLogMarkedBlocks' :: utMemDebugLogMarkedBlocks
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugLogTaggedCallites' :: utMemDebugLogTaggedCallites
!DEC$ ATTRIBUTES ALIAS: '_utMemDebugetNumtackFrames' :: utMemDebugetNumtackFrames
!DEC$ ATTRIBUTES ALIAS: '_utMin' :: utMin
!DEC$ ATTRIBUTES ALIAS: '_utModuleNameFromAddress' :: utModuleNameFromAddress
!DEC$ ATTRIBUTES ALIAS: '_utMultiByteNextChar' :: utMultiByteNextChar
!DEC$ ATTRIBUTES ALIAS: '_utMultiBytePrevChar' :: utMultiBytePrevChar
!DEC$ ATTRIBUTES ALIAS: '_utMultiBytetrChr' :: utMultiBytetrChr
!DEC$ ATTRIBUTES ALIAS: '_utMultiBytetrtr' :: utMultiBytetrtr
!DEC$ ATTRIBUTES ALIAS: '_utMultiBytetrrChr' :: utMultiBytetrrChr
!DEC$ ATTRIBUTES ALIAS: '_utMultiplyComplex' :: utMultiplyComplex
!DEC$ ATTRIBUTES ALIAS: '_utNewWarningManager' :: utNewWarningManager
!DEC$ ATTRIBUTES ALIAS: '_utNew_Enumtrs' :: utNew_Enumtrs
!DEC$ ATTRIBUTES ALIAS: '_utOldEnumtrs_string_to_EnumValue' :: utOldEnumtrs_string_to_EnumValue
!DEC$ ATTRIBUTES ALIAS: '_utOpenLogFile' :: utOpenLogFile
!DEC$ ATTRIBUTES ALIAS: '_utOpenTimingLog' :: utOpenTimingLog
!DEC$ ATTRIBUTES ALIAS: '_utOutOfMemoryCheck' :: utOutOfMemoryCheck
!DEC$ ATTRIBUTES ALIAS: '_utPERFresolution' :: utPERFresolution
!DEC$ ATTRIBUTES ALIAS: '_utPERFspeed' :: utPERFspeed
!DEC$ ATTRIBUTES ALIAS: '_utPERFtic' :: utPERFtic
!DEC$ ATTRIBUTES ALIAS: '_utPERFtoc' :: utPERFtoc
!DEC$ ATTRIBUTES ALIAS: '_utPagerResume' :: utPagerResume
!DEC$ ATTRIBUTES ALIAS: '_utPageruspend' :: utPageruspend
!DEC$ ATTRIBUTES ALIAS: '_utParseRegRep' :: utParseRegRep
!DEC$ ATTRIBUTES ALIAS: '_utParseRegRepU' :: utParseRegRepU
!DEC$ ATTRIBUTES ALIAS: '_utParseRegexp' :: utParseRegexp
!DEC$ ATTRIBUTES ALIAS: '_utParseRegexpU' :: utParseRegexpU
!DEC$ ATTRIBUTES ALIAS: '_utPatternMatch' :: utPatternMatch
!DEC$ ATTRIBUTES ALIAS: '_utPosixRtPerfCount' :: utPosixRtPerfCount
!DEC$ ATTRIBUTES ALIAS: '_utPosixRtPerfpeed' :: utPosixRtPerfpeed
!DEC$ ATTRIBUTES ALIAS: '_utPrintAlltats' :: utPrintAlltats
!DEC$ ATTRIBUTES ALIAS: '_utPrintAnnotationHeader' :: utPrintAnnotationHeader
!DEC$ ATTRIBUTES ALIAS: '_utPrintAnnotationTrailer' :: utPrintAnnotationTrailer
!DEC$ ATTRIBUTES ALIAS: '_utPrintFrame' :: utPrintFrame
!DEC$ ATTRIBUTES ALIAS: '_utPrintListtats' :: utPrintListtats
!DEC$ ATTRIBUTES ALIAS: '_utPrintMemCacheInfo' :: utPrintMemCacheInfo
!DEC$ ATTRIBUTES ALIAS: '_utPrintMemoryPerfCounters' :: utPrintMemoryPerfCounters
!DEC$ ATTRIBUTES ALIAS: '_utPrintingletats' :: utPrintingletats
!DEC$ ATTRIBUTES ALIAS: '_utPrintf' :: utPrintf
!DEC$ ATTRIBUTES ALIAS: '_utPrintfIsHot' :: utPrintfIsHot
!DEC$ ATTRIBUTES ALIAS: '_utProfClearProfiler' :: utProfClearProfiler
!DEC$ ATTRIBUTES ALIAS: '_utProfCpuTimeGranularity' :: utProfCpuTimeGranularity
!DEC$ ATTRIBUTES ALIAS: '_utProfDeleteProfiler' :: utProfDeleteProfiler
!DEC$ ATTRIBUTES ALIAS: '_utProfDummyFilter' :: utProfDummyFilter
!DEC$ ATTRIBUTES ALIAS: '_utProfDummyFunctionIdToFilename' :: utProfDummyFunctionIdToFilename
!DEC$ ATTRIBUTES ALIAS: '_utProfDummytackFilter' :: utProfDummytackFilter
!DEC$ ATTRIBUTES ALIAS: '_utProfEnableHistoryTracking' :: utProfEnableHistoryTracking
!DEC$ ATTRIBUTES ALIAS: '_utProfFunctionIdToFilename' :: utProfFunctionIdToFilename
!DEC$ ATTRIBUTES ALIAS: '_utProfFunctionInfoToTypename' :: utProfFunctionInfoToTypename
!DEC$ ATTRIBUTES ALIAS: '_utProfHandleMemoryFailure' :: utProfHandleMemoryFailure
!DEC$ ATTRIBUTES ALIAS: '_utProfInitProfiler' :: utProfInitProfiler
!DEC$ ATTRIBUTES ALIAS: '_utProfIsFunctionLoggingEnabled' :: utProfIsFunctionLoggingEnabled
!DEC$ ATTRIBUTES ALIAS: '_utProfIsHistoryTrackingEnabled' :: utProfIsHistoryTrackingEnabled
!DEC$ ATTRIBUTES ALIAS: '_utProfIsInitialized' :: utProfIsInitialized
!DEC$ ATTRIBUTES ALIAS: '_utProfIsLineNumberLoggingEnabled' :: utProfIsLineNumberLoggingEnabled
!DEC$ ATTRIBUTES ALIAS: '_utProfLogFinishCurrentLineNumber' :: utProfLogFinishCurrentLineNumber
!DEC$ ATTRIBUTES ALIAS: '_utProfLogFunctionEntry' :: utProfLogFunctionEntry
!DEC$ ATTRIBUTES ALIAS: '_utProfLogFunctionExit' :: utProfLogFunctionExit
!DEC$ ATTRIBUTES ALIAS: '_utProfLogLineNumberEvent' :: utProfLogLineNumberEvent
!DEC$ ATTRIBUTES ALIAS: '_utProfLogLineNumberEvents' :: utProfLogLineNumberEvents
!DEC$ ATTRIBUTES ALIAS: '_utProfLookupLinenumRecord' :: utProfLookupLinenumRecord
!DEC$ ATTRIBUTES ALIAS: '_utProfNewProfiler' :: utProfNewProfiler
!DEC$ ATTRIBUTES ALIAS: '_utProfNumberOfEventRecords' :: utProfNumberOfEventRecords
!DEC$ ATTRIBUTES ALIAS: '_utProfProfilerName' :: utProfProfilerName
!DEC$ ATTRIBUTES ALIAS: '_utProfRemoveLineHit' :: utProfRemoveLineHit
!DEC$ ATTRIBUTES ALIAS: '_utProfResetProfiler' :: utProfResetProfiler
!DEC$ ATTRIBUTES ALIAS: '_utProfResumeLogging' :: utProfResumeLogging
!DEC$ ATTRIBUTES ALIAS: '_utProfetLastLineNumberForLogging' :: utProfetLastLineNumberForLogging
!DEC$ ATTRIBUTES ALIAS: '_utProftartLogging' :: utProftartLogging
!DEC$ ATTRIBUTES ALIAS: '_utProfuspendLogging' :: utProfuspendLogging
!DEC$ ATTRIBUTES ALIAS: '_utPutAnnotationHeader' :: utPutAnnotationHeader
!DEC$ ATTRIBUTES ALIAS: '_utPutAnnotationTrailer' :: utPutAnnotationTrailer
!DEC$ ATTRIBUTES ALIAS: '_utPutElementAtFrontOfet' :: utPutElementAtFrontOfet
!DEC$ ATTRIBUTES ALIAS: '_utPutFourByteInt' :: utPutFourByteInt
!DEC$ ATTRIBUTES ALIAS: '_utPuts' :: utPuts
!DEC$ ATTRIBUTES ALIAS: '_utPutsn' :: utPutsn
!DEC$ ATTRIBUTES ALIAS: '_utPythag' :: utPythag
!DEC$ ATTRIBUTES ALIAS: '_utQueryHandler' :: utQueryHandler
!DEC$ ATTRIBUTES ALIAS: '_utRandn' :: utRandn
!DEC$ ATTRIBUTES ALIAS: '_utRandu' :: utRandu
!DEC$ ATTRIBUTES ALIAS: '_utRealloc' :: utRealloc
!DEC$ ATTRIBUTES ALIAS: '_utRealtime' :: utRealtime
!DEC$ ATTRIBUTES ALIAS: '_utRegRep' :: utRegRep
!DEC$ ATTRIBUTES ALIAS: '_utRegRepEz' :: utRegRepEz
!DEC$ ATTRIBUTES ALIAS: '_utRegRepU' :: utRegRepU
!DEC$ ATTRIBUTES ALIAS: '_utRegexp' :: utRegexp
!DEC$ ATTRIBUTES ALIAS: '_utRegexpCase' :: utRegexpCase
!DEC$ ATTRIBUTES ALIAS: '_utRegexpFull' :: utRegexpFull
!DEC$ ATTRIBUTES ALIAS: '_utRegexpFullU' :: utRegexpFullU
!DEC$ ATTRIBUTES ALIAS: '_utRegexpTreeNames' :: utRegexpTreeNames
!DEC$ ATTRIBUTES ALIAS: '_utRegexpi' :: utRegexpi
!DEC$ ATTRIBUTES ALIAS: '_utRegisterLogDirectory' :: utRegisterLogDirectory
!DEC$ ATTRIBUTES ALIAS: '_utRegisterMatLabCOMComponent' :: utRegisterMatLabCOMComponent
!DEC$ ATTRIBUTES ALIAS: '_utRegisterMatLabXLComponent' :: utRegisterMatLabXLComponent
!DEC$ ATTRIBUTES ALIAS: '_utRegisterObjectClass' :: utRegisterObjectClass
!DEC$ ATTRIBUTES ALIAS: '_utRegisterProgramName' :: utRegisterProgramName
!DEC$ ATTRIBUTES ALIAS: '_utRegistererver' :: utRegistererver
!DEC$ ATTRIBUTES ALIAS: '_utRegisteretWarningtatusCallback' :: utRegisteretWarningtatusCallback
!DEC$ ATTRIBUTES ALIAS: '_utRem' :: utRem
!DEC$ ATTRIBUTES ALIAS: '_utRemoveElementFromet' :: utRemoveElementFromet
!DEC$ ATTRIBUTES ALIAS: '_utRemoveHashEntry' :: utRemoveHashEntry
!DEC$ ATTRIBUTES ALIAS: '_utResetFPU' :: utResetFPU
!DEC$ ATTRIBUTES ALIAS: '_utResetMemoryPerfCounters' :: utResetMemoryPerfCounters
!DEC$ ATTRIBUTES ALIAS: '_utRestoreAsyncignals' :: utRestoreAsyncignals
!DEC$ ATTRIBUTES ALIAS: '_utRestoreInterruptEnabled' :: utRestoreInterruptEnabled
!DEC$ ATTRIBUTES ALIAS: '_utRestoreignals' :: utRestoreignals
!DEC$ ATTRIBUTES ALIAS: '_utReturnUTErrortring' :: utReturnUTErrortring
!DEC$ ATTRIBUTES ALIAS: '_utRound' :: utRound
!DEC$ ATTRIBUTES ALIAS: '_utNprintf' :: utNprintf
!DEC$ ATTRIBUTES ALIAS: '_utaveCalltack' :: utaveCalltack
!DEC$ ATTRIBUTES ALIAS: '_utaveignals' :: utaveignals
!DEC$ ATTRIBUTES ALIAS: '_utcheduleCpuCycleBinsCleaning' :: utcheduleCpuCycleBinsCleaning
!DEC$ ATTRIBUTES ALIAS: '_utetAssertFunction' :: utetAssertFunction
!DEC$ ATTRIBUTES ALIAS: '_utetCPUcount' :: utetCPUcount
!DEC$ ATTRIBUTES ALIAS: '_utetCPUspeedMW' :: utetCPUspeedMW
!DEC$ ATTRIBUTES ALIAS: '_utetDocLinks' :: utetDocLinks
!DEC$ ATTRIBUTES ALIAS: '_utetExceptionFcn' :: utetExceptionFcn
!DEC$ ATTRIBUTES ALIAS: '_utetFPUprecision' :: utetFPUprecision
!DEC$ ATTRIBUTES ALIAS: '_utetFPUrounding' :: utetFPUrounding
!DEC$ ATTRIBUTES ALIAS: '_utetFatalignalHandled' :: utetFatalignalHandled
!DEC$ ATTRIBUTES ALIAS: '_utetHotLinks' :: utetHotLinks
!DEC$ ATTRIBUTES ALIAS: '_utetInterruptEnabled' :: utetInterruptEnabled
!DEC$ ATTRIBUTES ALIAS: '_utetInterruptHandled' :: utetInterruptHandled
!DEC$ ATTRIBUTES ALIAS: '_utetInterruptPending' :: utetInterruptPending
!DEC$ ATTRIBUTES ALIAS: '_utetLastPrintedWarningId' :: utetLastPrintedWarningId
!DEC$ ATTRIBUTES ALIAS: '_utetLastWarningMsg' :: utetLastWarningMsg
!DEC$ ATTRIBUTES ALIAS: '_utetMultiByteFcns' :: utetMultiByteFcns
!DEC$ ATTRIBUTES ALIAS: '_utetOutOfMemoryListener' :: utetOutOfMemoryListener
!DEC$ ATTRIBUTES ALIAS: '_utetPERFcount' :: utetPERFcount
!DEC$ ATTRIBUTES ALIAS: '_utetPageruspendResumeCallbacks' :: utetPageruspendResumeCallbacks
!DEC$ ATTRIBUTES ALIAS: '_utetPatternCaseensitive' :: utetPatternCaseensitive
!DEC$ ATTRIBUTES ALIAS: '_utetetWarningDebugCallbackFcn' :: utetetWarningDebugCallbackFcn
!DEC$ ATTRIBUTES ALIAS: '_utetV4Randneed' :: utetV4Randneed
!DEC$ ATTRIBUTES ALIAS: '_utetV4Randueed' :: utetV4Randueed
!DEC$ ATTRIBUTES ALIAS: '_utetVprintfCallbacks' :: utetVprintfCallbacks
!DEC$ ATTRIBUTES ALIAS: '_utetWarningCallbackFcn' :: utetWarningCallbackFcn
!DEC$ ATTRIBUTES ALIAS: '_utetWarningManagerContext' :: utetWarningManagerContext
!DEC$ ATTRIBUTES ALIAS: '_utetWarningMode' :: utetWarningMode
!DEC$ ATTRIBUTES ALIAS: '_utetWarningtatus' :: utetWarningtatus
!DEC$ ATTRIBUTES ALIAS: '_uthutdownPattern' :: uthutdownPattern
!DEC$ ATTRIBUTES ALIAS: '_utign' :: utign
!DEC$ ATTRIBUTES ALIAS: '_utignBit' :: utignBit
!DEC$ ATTRIBUTES ALIAS: '_utinD' :: utinD
!DEC$ ATTRIBUTES ALIAS: '_utingleConvert' :: utingleConvert
!DEC$ ATTRIBUTES ALIAS: '_utol2PerfCount' :: utol2PerfCount
!DEC$ ATTRIBUTES ALIAS: '_uttartTimeInfo' :: uttartTimeInfo
!DEC$ ATTRIBUTES ALIAS: '_uttopTimeInfo' :: uttopTimeInfo
!DEC$ ATTRIBUTES ALIAS: '_uttrcat' :: uttrcat
!DEC$ ATTRIBUTES ALIAS: '_uttrcmp' :: uttrcmp
!DEC$ ATTRIBUTES ALIAS: '_uttrcmpi' :: uttrcmpi
!DEC$ ATTRIBUTES ALIAS: '_uttrcpy' :: uttrcpy
!DEC$ ATTRIBUTES ALIAS: '_uttrdup' :: uttrdup
!DEC$ ATTRIBUTES ALIAS: '_uttrlen' :: uttrlen
!DEC$ ATTRIBUTES ALIAS: '_uttrmatchi' :: uttrmatchi
!DEC$ ATTRIBUTES ALIAS: '_uttrncat' :: uttrncat
!DEC$ ATTRIBUTES ALIAS: '_uttrncmp' :: uttrncmp
!DEC$ ATTRIBUTES ALIAS: '_uttrncmpi' :: uttrncmpi
!DEC$ ATTRIBUTES ALIAS: '_uttrncpy' :: uttrncpy
!DEC$ ATTRIBUTES ALIAS: '_uttrncpyWithEllipses' :: uttrncpyWithEllipses
!DEC$ ATTRIBUTES ALIAS: '_uttrndup' :: uttrndup
!DEC$ ATTRIBUTES ALIAS: '_uttrrep' :: uttrrep
!DEC$ ATTRIBUTES ALIAS: '_uttrrstr' :: uttrrstr
!DEC$ ATTRIBUTES ALIAS: '_utwapVprintfCallbacks' :: utwapVprintfCallbacks
!DEC$ ATTRIBUTES ALIAS: '_utymbolNameFromAddress' :: utymbolNameFromAddress
!DEC$ ATTRIBUTES ALIAS: '_utThrowCPPException' :: utThrowCPPException
!DEC$ ATTRIBUTES ALIAS: '_utThrowException' :: utThrowException
!DEC$ ATTRIBUTES ALIAS: '_utThrowignal' :: utThrowignal
!DEC$ ATTRIBUTES ALIAS: '_utTimeInfoClear' :: utTimeInfoClear
!DEC$ ATTRIBUTES ALIAS: '_utTimeInfoDisplay' :: utTimeInfoDisplay
!DEC$ ATTRIBUTES ALIAS: '_utTmpnam' :: utTmpnam
!DEC$ ATTRIBUTES ALIAS: '_utToEachetElement' :: utToEachetElement
!DEC$ ATTRIBUTES ALIAS: '_utToEachetElementBackward' :: utToEachetElementBackward
!DEC$ ATTRIBUTES ALIAS: '_utTwisterRanduGettate' :: utTwisterRanduGettate
!DEC$ ATTRIBUTES ALIAS: '_utTwisterRanduet' :: utTwisterRanduet
!DEC$ ATTRIBUTES ALIAS: '_utTwisterRanduettate' :: utTwisterRanduettate
!DEC$ ATTRIBUTES ALIAS: '_utTwoByteIntConvert' :: utTwoByteIntConvert
!DEC$ ATTRIBUTES ALIAS: '_utTwoByteIntConvertData' :: utTwoByteIntConvertData
!DEC$ ATTRIBUTES ALIAS: '_utTwoByteUIntConvert' :: utTwoByteUIntConvert
!DEC$ ATTRIBUTES ALIAS: '_utUnRegisterComponent' :: utUnRegisterComponent
!DEC$ ATTRIBUTES ALIAS: '_utUnRegisterMatLabCOMComponent' :: utUnRegisterMatLabCOMComponent
!DEC$ ATTRIBUTES ALIAS: '_utUnRegisterMatLabXLComponent' :: utUnRegisterMatLabXLComponent
!DEC$ ATTRIBUTES ALIAS: '_utUnblockignal' :: utUnblockignal
!DEC$ ATTRIBUTES ALIAS: '_utUnixGetTimeOfDay' :: utUnixGetTimeOfDay
!DEC$ ATTRIBUTES ALIAS: '_utUnloadLibrary' :: utUnloadLibrary
!DEC$ ATTRIBUTES ALIAS: '_utUnregisterObjectClass' :: utUnregisterObjectClass
!DEC$ ATTRIBUTES ALIAS: '_utUnregistererver' :: utUnregistererver
!DEC$ ATTRIBUTES ALIAS: '_utUnregisteretWarningtatusCallback' :: utUnregisteretWarningtatusCallback
!DEC$ ATTRIBUTES ALIAS: '_utUpperCase' :: utUpperCase
!DEC$ ATTRIBUTES ALIAS: '_utV4Randn' :: utV4Randn
!DEC$ ATTRIBUTES ALIAS: '_utV4Urand' :: utV4Urand
!DEC$ ATTRIBUTES ALIAS: '_utV5RandnGettate' :: utV5RandnGettate
!DEC$ ATTRIBUTES ALIAS: '_utV5Randnet' :: utV5Randnet
!DEC$ ATTRIBUTES ALIAS: '_utV5Randnettate' :: utV5Randnettate
!DEC$ ATTRIBUTES ALIAS: '_utV5RanduGettate' :: utV5RanduGettate
!DEC$ ATTRIBUTES ALIAS: '_utV5Randuet' :: utV5Randuet
!DEC$ ATTRIBUTES ALIAS: '_utV5Randuettate' :: utV5Randuettate
!DEC$ ATTRIBUTES ALIAS: '_utVNprintf' :: utVNprintf
!DEC$ ATTRIBUTES ALIAS: '_utValidateFPUControlWord' :: utValidateFPUControlWord
!DEC$ ATTRIBUTES ALIAS: '_utVprintf' :: utVprintf
!DEC$ ATTRIBUTES ALIAS: '_utWallClock' :: utWallClock
!DEC$ ATTRIBUTES ALIAS: '_utWasFatalignalHandled' :: utWasFatalignalHandled
!DEC$ ATTRIBUTES ALIAS: '_utWasInterruptHandled' :: utWasInterruptHandled
!DEC$ ATTRIBUTES ALIAS: '_utWinPerfCount' :: utWinPerfCount
!DEC$ ATTRIBUTES ALIAS: '_utWinPerfpeedO' :: utWinPerfpeedO
!DEC$ ATTRIBUTES ALIAS: '_utWinysTime' :: utWinysTime
!DEC$ ATTRIBUTES ALIAS: '_utWinTime' :: utWinTime
!DEC$ ATTRIBUTES ALIAS: '_ut_NULL_compare_keys' :: ut_NULL_compare_keys
!DEC$ ATTRIBUTES ALIAS: '_ut_NULL_copy_key' :: ut_NULL_copy_key
!DEC$ ATTRIBUTES ALIAS: '_ut_NULL_delete_key' :: ut_NULL_delete_key
!DEC$ ATTRIBUTES ALIAS: '_ut_NULL_hash_key' :: ut_NULL_hash_key
!DEC$ ATTRIBUTES ALIAS: '_ut_add_language' :: ut_add_language
!DEC$ ATTRIBUTES ALIAS: '_ut_add_primary_message_table' :: ut_add_primary_message_table
!DEC$ ATTRIBUTES ALIAS: '_ut_allow_further_cleanup_fcn' :: ut_allow_further_cleanup_fcn
!DEC$ ATTRIBUTES ALIAS: '_ut_array_append' :: ut_array_append
!DEC$ ATTRIBUTES ALIAS: '_ut_array_append_array' :: ut_array_append_array
!DEC$ ATTRIBUTES ALIAS: '_ut_array_append_new' :: ut_array_append_new
!DEC$ ATTRIBUTES ALIAS: '_ut_array_apply' :: ut_array_apply
!DEC$ ATTRIBUTES ALIAS: '_ut_array_are_compatible' :: ut_array_are_compatible
!DEC$ ATTRIBUTES ALIAS: '_ut_array_clear' :: ut_array_clear
!DEC$ ATTRIBUTES ALIAS: '_ut_array_compare' :: ut_array_compare
!DEC$ ATTRIBUTES ALIAS: '_ut_array_copy' :: ut_array_copy
!DEC$ ATTRIBUTES ALIAS: '_ut_array_delete' :: ut_array_delete
!DEC$ ATTRIBUTES ALIAS: '_ut_array_expand' :: ut_array_expand
!DEC$ ATTRIBUTES ALIAS: '_ut_array_find' :: ut_array_find
!DEC$ ATTRIBUTES ALIAS: '_ut_array_find_sorted' :: ut_array_find_sorted
!DEC$ ATTRIBUTES ALIAS: '_ut_array_find_sorted_index_of' :: ut_array_find_sorted_index_of
!DEC$ ATTRIBUTES ALIAS: '_ut_array_get' :: ut_array_get
!DEC$ ATTRIBUTES ALIAS: '_ut_array_head' :: ut_array_head
!DEC$ ATTRIBUTES ALIAS: '_ut_array_index_of' :: ut_array_index_of
!DEC$ ATTRIBUTES ALIAS: '_ut_array_initialize' :: ut_array_initialize
!DEC$ ATTRIBUTES ALIAS: '_ut_array_insert' :: ut_array_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_array_insert_sorted' :: ut_array_insert_sorted
!DEC$ ATTRIBUTES ALIAS: '_ut_array_is_empty' :: ut_array_is_empty
!DEC$ ATTRIBUTES ALIAS: '_ut_array_is_member' :: ut_array_is_member
!DEC$ ATTRIBUTES ALIAS: '_ut_array_is_member_sorted' :: ut_array_is_member_sorted
!DEC$ ATTRIBUTES ALIAS: '_ut_array_length' :: ut_array_length
!DEC$ ATTRIBUTES ALIAS: '_ut_array_new' :: ut_array_new
!DEC$ ATTRIBUTES ALIAS: '_ut_array_pop' :: ut_array_pop
!DEC$ ATTRIBUTES ALIAS: '_ut_array_pop_end' :: ut_array_pop_end
!DEC$ ATTRIBUTES ALIAS: '_ut_array_push' :: ut_array_push
!DEC$ ATTRIBUTES ALIAS: '_ut_array_reclaim' :: ut_array_reclaim
!DEC$ ATTRIBUTES ALIAS: '_ut_array_remove' :: ut_array_remove
!DEC$ ATTRIBUTES ALIAS: '_ut_array_remove_element' :: ut_array_remove_element
!DEC$ ATTRIBUTES ALIAS: '_ut_array_remove_sorted_element' :: ut_array_remove_sorted_element
!DEC$ ATTRIBUTES ALIAS: '_ut_array_reverse' :: ut_array_reverse
!DEC$ ATTRIBUTES ALIAS: '_ut_array_set' :: ut_array_set
!DEC$ ATTRIBUTES ALIAS: '_ut_array_set_size' :: ut_array_set_size
!DEC$ ATTRIBUTES ALIAS: '_ut_array_shrink' :: ut_array_shrink
!DEC$ ATTRIBUTES ALIAS: '_ut_array_sorted_index_of' :: ut_array_sorted_index_of
!DEC$ ATTRIBUTES ALIAS: '_ut_array_swap' :: ut_array_swap
!DEC$ ATTRIBUTES ALIAS: '_ut_array_tail' :: ut_array_tail
!DEC$ ATTRIBUTES ALIAS: '_ut_assert' :: ut_assert
!DEC$ ATTRIBUTES ALIAS: '_ut_assertmsg' :: ut_assertmsg
!DEC$ ATTRIBUTES ALIAS: '_ut_assertstr' :: ut_assertstr
!DEC$ ATTRIBUTES ALIAS: '_ut_atomic_add' :: ut_atomic_add
!DEC$ ATTRIBUTES ALIAS: '_ut_atomic_is_one' :: ut_atomic_is_one
!DEC$ ATTRIBUTES ALIAS: '_ut_atomic_set_one' :: ut_atomic_set_one
!DEC$ ATTRIBUTES ALIAS: '_ut_atomic_subtract_and_test' :: ut_atomic_subtract_and_test
!DEC$ ATTRIBUTES ALIAS: '_ut_atomic_value' :: ut_atomic_value
!DEC$ ATTRIBUTES ALIAS: '_ut_begin_expression' :: ut_begin_expression
!DEC$ ATTRIBUTES ALIAS: '_ut_beof' :: ut_beof
!DEC$ ATTRIBUTES ALIAS: '_ut_bgetc' :: ut_bgetc
!DEC$ ATTRIBUTES ALIAS: '_ut_bgets' :: ut_bgets
!DEC$ ATTRIBUTES ALIAS: '_ut_bputc' :: ut_bputc
!DEC$ ATTRIBUTES ALIAS: '_ut_bputs' :: ut_bputs
!DEC$ ATTRIBUTES ALIAS: '_ut_bputsn' :: ut_bputsn
!DEC$ ATTRIBUTES ALIAS: '_ut_bread' :: ut_bread
!DEC$ ATTRIBUTES ALIAS: '_ut_buf_column' :: ut_buf_column
!DEC$ ATTRIBUTES ALIAS: '_ut_buf_line' :: ut_buf_line
!DEC$ ATTRIBUTES ALIAS: '_ut_bufcspn' :: ut_bufcspn
!DEC$ ATTRIBUTES ALIAS: '_ut_bufspn' :: ut_bufspn
!DEC$ ATTRIBUTES ALIAS: '_ut_bungetc' :: ut_bungetc
!DEC$ ATTRIBUTES ALIAS: '_ut_bwrite' :: ut_bwrite
!DEC$ ATTRIBUTES ALIAS: '_ut_change_language' :: ut_change_language
!DEC$ ATTRIBUTES ALIAS: '_ut_cleanup_protected_items' :: ut_cleanup_protected_items
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_dsbuffer' :: ut_clear_dsbuffer
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_fpc_context' :: ut_clear_fpc_context
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_ghash_table' :: ut_clear_ghash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_gtable' :: ut_clear_gtable
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_ihash_table' :: ut_clear_ihash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_lineno_map' :: ut_clear_lineno_map
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_message_context' :: ut_clear_message_context
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_namehash' :: ut_clear_namehash
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_tse_context' :: ut_clear_tse_context
!DEC$ ATTRIBUTES ALIAS: '_ut_clear_warning_context' :: ut_clear_warning_context
!DEC$ ATTRIBUTES ALIAS: '_ut_compare_string_keys' :: ut_compare_string_keys
!DEC$ ATTRIBUTES ALIAS: '_ut_copy_string_key' :: ut_copy_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_count_c_escape_sequences' :: ut_count_c_escape_sequences
!DEC$ ATTRIBUTES ALIAS: '_ut_crc_string_array' :: ut_crc_string_array
!DEC$ ATTRIBUTES ALIAS: '_ut_crc_update' :: ut_crc_update
!DEC$ ATTRIBUTES ALIAS: '_ut_create_thread' :: ut_create_thread
!DEC$ ATTRIBUTES ALIAS: '_ut_create_thread_with_stacksize' :: ut_create_thread_with_stacksize
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_fpc_context' :: ut_delete_fpc_context
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_ghash_table' :: ut_delete_ghash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_gtable' :: ut_delete_gtable
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_ihash_table' :: ut_delete_ihash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_interval' :: ut_delete_interval
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_memory_context' :: ut_delete_memory_context
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_namehash' :: ut_delete_namehash
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_string_key' :: ut_delete_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_tse_context' :: ut_delete_tse_context
!DEC$ ATTRIBUTES ALIAS: '_ut_delete_warning_context' :: ut_delete_warning_context
!DEC$ ATTRIBUTES ALIAS: '_ut_dsb_shrink_buffer' :: ut_dsb_shrink_buffer
!DEC$ ATTRIBUTES ALIAS: '_ut_dsbputc' :: ut_dsbputc
!DEC$ ATTRIBUTES ALIAS: '_ut_dsbputs' :: ut_dsbputs
!DEC$ ATTRIBUTES ALIAS: '_ut_dsbputsn' :: ut_dsbputsn
!DEC$ ATTRIBUTES ALIAS: '_ut_dsbwrite' :: ut_dsbwrite
!DEC$ ATTRIBUTES ALIAS: '_ut_dtoa' :: ut_dtoa
!DEC$ ATTRIBUTES ALIAS: '_ut_dumphex' :: ut_dumphex
!DEC$ ATTRIBUTES ALIAS: '_ut_end_expression' :: ut_end_expression
!DEC$ ATTRIBUTES ALIAS: '_ut_error' :: ut_error
!DEC$ ATTRIBUTES ALIAS: '_ut_error_exit_function' :: ut_error_exit_function
!DEC$ ATTRIBUTES ALIAS: '_ut_error_id' :: ut_error_id
!DEC$ ATTRIBUTES ALIAS: '_ut_error_print' :: ut_error_print
!DEC$ ATTRIBUTES ALIAS: '_ut_fault' :: ut_fault
!DEC$ ATTRIBUTES ALIAS: '_ut_file_line_column_specifier_fcn' :: ut_file_line_column_specifier_fcn
!DEC$ ATTRIBUTES ALIAS: '_ut_find_line_and_column' :: ut_find_line_and_column
!DEC$ ATTRIBUTES ALIAS: '_ut_fprintm' :: ut_fprintm
!DEC$ ATTRIBUTES ALIAS: '_ut_fputsn' :: ut_fputsn
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_clear' :: ut_fsi_clear
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_delete' :: ut_fsi_delete
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_delete_first' :: ut_fsi_delete_first
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_find_watermark' :: ut_fsi_find_watermark
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_initialize' :: ut_fsi_initialize
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_insert' :: ut_fsi_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_insert_interval' :: ut_fsi_insert_interval
!DEC$ ATTRIBUTES ALIAS: '_ut_fsi_new' :: ut_fsi_new
!DEC$ ATTRIBUTES ALIAS: '_ut_g_fmt' :: ut_g_fmt
!DEC$ ATTRIBUTES ALIAS: '_ut_generate_GUID' :: ut_generate_GUID
!DEC$ ATTRIBUTES ALIAS: '_ut_get_message' :: ut_get_message
!DEC$ ATTRIBUTES ALIAS: '_ut_get_message_component' :: ut_get_message_component
!DEC$ ATTRIBUTES ALIAS: '_ut_get_message_mnemonic' :: ut_get_message_mnemonic
!DEC$ ATTRIBUTES ALIAS: '_ut_get_primary_message' :: ut_get_primary_message
!DEC$ ATTRIBUTES ALIAS: '_ut_get_warning_status' :: ut_get_warning_status
!DEC$ ATTRIBUTES ALIAS: '_ut_get_warning_status_id' :: ut_get_warning_status_id
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_apply' :: ut_ghash_apply
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_collision_stats' :: ut_ghash_collision_stats
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_compare_ptr_keys' :: ut_ghash_compare_ptr_keys
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_compare_string_keys' :: ut_ghash_compare_string_keys
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_compare_stringi_keys' :: ut_ghash_compare_stringi_keys
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_copy_string_key' :: ut_ghash_copy_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_cursor_init' :: ut_ghash_cursor_init
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_delete_string_key' :: ut_ghash_delete_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_empty' :: ut_ghash_empty
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_get_bounds' :: ut_ghash_get_bounds
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_hash_ptr_key' :: ut_ghash_hash_ptr_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_insert' :: ut_ghash_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_insert_element' :: ut_ghash_insert_element
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_insert_key' :: ut_ghash_insert_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_iterate' :: ut_ghash_iterate
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query' :: ut_ghash_query
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_by_data' :: ut_ghash_query_by_data
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_data' :: ut_ghash_query_data
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_element' :: ut_ghash_query_element
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_insert' :: ut_ghash_query_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_remove' :: ut_ghash_query_remove
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_query_replace' :: ut_ghash_query_replace
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_remove_element' :: ut_ghash_remove_element
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_replace' :: ut_ghash_replace
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_set_bounds' :: ut_ghash_set_bounds
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_sorted_cursor_init' :: ut_ghash_sorted_cursor_init
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_stats' :: ut_ghash_stats
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_string_key' :: ut_ghash_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_stringi_key' :: ut_ghash_stringi_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ghash_uniquify' :: ut_ghash_uniquify
!DEC$ ATTRIBUTES ALIAS: '_ut_gtable_add_row' :: ut_gtable_add_row
!DEC$ ATTRIBUTES ALIAS: '_ut_gtable_apply' :: ut_gtable_apply
!DEC$ ATTRIBUTES ALIAS: '_ut_gtable_set_num_rows' :: ut_gtable_set_num_rows
!DEC$ ATTRIBUTES ALIAS: '_ut_handle_message_context_error' :: ut_handle_message_context_error
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_byte' :: ut_hash_byte
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_double' :: ut_hash_double
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_float' :: ut_hash_float
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_int' :: ut_hash_int
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_is_quasiprime' :: ut_hash_is_quasiprime
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_lower_string' :: ut_hash_lower_string
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_n_bytes' :: ut_hash_n_bytes
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_next_quasiprime' :: ut_hash_next_quasiprime
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_pointer' :: ut_hash_pointer
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_string' :: ut_hash_string
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_string_key' :: ut_hash_string_key
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_stringi' :: ut_hash_stringi
!DEC$ ATTRIBUTES ALIAS: '_ut_hash_uint' :: ut_hash_uint
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_apply' :: ut_ihash_apply
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_empty' :: ut_ihash_empty
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_index' :: ut_ihash_index
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_index_of' :: ut_ihash_index_of
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_insert' :: ut_ihash_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_insert_key' :: ut_ihash_insert_key
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_num_entries' :: ut_ihash_num_entries
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query' :: ut_ihash_query
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_by_data' :: ut_ihash_query_by_data
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_data' :: ut_ihash_query_data
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_data_by_index' :: ut_ihash_query_data_by_index
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_insert' :: ut_ihash_query_insert
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_remove' :: ut_ihash_query_remove
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_query_replace' :: ut_ihash_query_replace
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_remove_element' :: ut_ihash_remove_element
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_replace' :: ut_ihash_replace
!DEC$ ATTRIBUTES ALIAS: '_ut_ihash_uniquify' :: ut_ihash_uniquify
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_dsbuffer' :: ut_initialize_dsbuffer
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_error_context' :: ut_initialize_error_context
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_fpc_context' :: ut_initialize_fpc_context
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_fpc_messages' :: ut_initialize_fpc_messages
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_ghash_table' :: ut_initialize_ghash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_gtable' :: ut_initialize_gtable
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_hashtool_messages' :: ut_initialize_hashtool_messages
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_ihash_table' :: ut_initialize_ihash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_lineno_map' :: ut_initialize_lineno_map
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_memory_context' :: ut_initialize_memory_context
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_message_context' :: ut_initialize_message_context
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_namehash' :: ut_initialize_namehash
!DEC$ ATTRIBUTES ALIAS: '_ut_initialize_tse_context' :: ut_initialize_tse_context
!DEC$ ATTRIBUTES ALIAS: '_ut_is_MEX_extension' :: ut_is_MEX_extension
!DEC$ ATTRIBUTES ALIAS: '_ut_is_M_extension' :: ut_is_M_extension
!DEC$ ATTRIBUTES ALIAS: '_ut_join_thread' :: ut_join_thread
!DEC$ ATTRIBUTES ALIAS: '_ut_line_col' :: ut_line_col
!DEC$ ATTRIBUTES ALIAS: '_ut_make_message_identifier' :: ut_make_message_identifier
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_add_language' :: ut_mem_add_language
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_add_primary_message_table' :: ut_mem_add_primary_message_table
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_alloc' :: ut_mem_alloc
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_calloc' :: ut_mem_calloc
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_free' :: ut_mem_free
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_realloc' :: ut_mem_realloc
!DEC$ ATTRIBUTES ALIAS: '_ut_mem_strdup' :: ut_mem_strdup
!DEC$ ATTRIBUTES ALIAS: '_ut_mutex_init' :: ut_mutex_init
!DEC$ ATTRIBUTES ALIAS: '_ut_mutex_lock' :: ut_mutex_lock
!DEC$ ATTRIBUTES ALIAS: '_ut_mutex_trylock' :: ut_mutex_trylock
!DEC$ ATTRIBUTES ALIAS: '_ut_mutex_unlock' :: ut_mutex_unlock
!DEC$ ATTRIBUTES ALIAS: '_ut_namehash_add' :: ut_namehash_add
!DEC$ ATTRIBUTES ALIAS: '_ut_namehash_add_string' :: ut_namehash_add_string
!DEC$ ATTRIBUTES ALIAS: '_ut_namehash_insert_string' :: ut_namehash_insert_string
!DEC$ ATTRIBUTES ALIAS: '_ut_namehash_iterate' :: ut_namehash_iterate
!DEC$ ATTRIBUTES ALIAS: '_ut_namehash_lookup' :: ut_namehash_lookup
!DEC$ ATTRIBUTES ALIAS: '_ut_new_fpc_context' :: ut_new_fpc_context
!DEC$ ATTRIBUTES ALIAS: '_ut_new_ghash_table' :: ut_new_ghash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_new_gtable' :: ut_new_gtable
!DEC$ ATTRIBUTES ALIAS: '_ut_new_ihash_table' :: ut_new_ihash_table
!DEC$ ATTRIBUTES ALIAS: '_ut_new_memory_context' :: ut_new_memory_context
!DEC$ ATTRIBUTES ALIAS: '_ut_new_namehash' :: ut_new_namehash
!DEC$ ATTRIBUTES ALIAS: '_ut_new_tse_context' :: ut_new_tse_context
!DEC$ ATTRIBUTES ALIAS: '_ut_new_warning_context' :: ut_new_warning_context
!DEC$ ATTRIBUTES ALIAS: '_ut_output_c_string' :: ut_output_c_string
!DEC$ ATTRIBUTES ALIAS: '_ut_output_c_string_with_tse' :: ut_output_c_string_with_tse
!DEC$ ATTRIBUTES ALIAS: '_ut_output_target_string' :: ut_output_target_string
!DEC$ ATTRIBUTES ALIAS: '_ut_parsehex' :: ut_parsehex
!DEC$ ATTRIBUTES ALIAS: '_ut_platform_get_directory_list' :: ut_platform_get_directory_list
!DEC$ ATTRIBUTES ALIAS: '_ut_postProcessBuildCommand' :: ut_postProcessBuildCommand
!DEC$ ATTRIBUTES ALIAS: '_ut_postProcessorBuildCommandCleanup' :: ut_postProcessorBuildCommandCleanup
!DEC$ ATTRIBUTES ALIAS: '_ut_prevent_further_cleanup_fcn' :: ut_prevent_further_cleanup_fcn
!DEC$ ATTRIBUTES ALIAS: '_ut_print_message_context_error' :: ut_print_message_context_error
!DEC$ ATTRIBUTES ALIAS: '_ut_printm' :: ut_printm
!DEC$ ATTRIBUTES ALIAS: '_ut_puts_to_putsn' :: ut_puts_to_putsn
!DEC$ ATTRIBUTES ALIAS: '_ut_putsn_to_puts' :: ut_putsn_to_puts
!DEC$ ATTRIBUTES ALIAS: '_ut_qsort' :: ut_qsort
!DEC$ ATTRIBUTES ALIAS: '_ut_register_error_handler' :: ut_register_error_handler
!DEC$ ATTRIBUTES ALIAS: '_ut_remove_primary_message_table' :: ut_remove_primary_message_table
!DEC$ ATTRIBUTES ALIAS: '_ut_set_symbol_table_nh' :: ut_set_symbol_table_nh
!DEC$ ATTRIBUTES ALIAS: '_ut_set_warning_status' :: ut_set_warning_status
!DEC$ ATTRIBUTES ALIAS: '_ut_set_warning_status_id' :: ut_set_warning_status_id
!DEC$ ATTRIBUTES ALIAS: '_ut_skip_white_space' :: ut_skip_white_space
!DEC$ ATTRIBUTES ALIAS: '_ut_sprintm' :: ut_sprintm
!DEC$ ATTRIBUTES ALIAS: '_ut_strtod' :: ut_strtod
!DEC$ ATTRIBUTES ALIAS: '_ut_swarning_id' :: ut_swarning_id
!DEC$ ATTRIBUTES ALIAS: '_ut_symtab_add' :: ut_symtab_add
!DEC$ ATTRIBUTES ALIAS: '_ut_thread_equal' :: ut_thread_equal
!DEC$ ATTRIBUTES ALIAS: '_ut_thread_getspecific' :: ut_thread_getspecific
!DEC$ ATTRIBUTES ALIAS: '_ut_thread_key_create' :: ut_thread_key_create
!DEC$ ATTRIBUTES ALIAS: '_ut_thread_self' :: ut_thread_self
!DEC$ ATTRIBUTES ALIAS: '_ut_thread_setspecific' :: ut_thread_setspecific
!DEC$ ATTRIBUTES ALIAS: '_ut_truncate_expression' :: ut_truncate_expression
!DEC$ ATTRIBUTES ALIAS: '_ut_try_catch' :: ut_try_catch
!DEC$ ATTRIBUTES ALIAS: '_ut_try_catch_id' :: ut_try_catch_id
!DEC$ ATTRIBUTES ALIAS: '_ut_typeset_expression' :: ut_typeset_expression
!DEC$ ATTRIBUTES ALIAS: '_ut_verror' :: ut_verror
!DEC$ ATTRIBUTES ALIAS: '_ut_verror_id' :: ut_verror_id
!DEC$ ATTRIBUTES ALIAS: '_ut_verror_print' :: ut_verror_print
!DEC$ ATTRIBUTES ALIAS: '_ut_vfprintm' :: ut_vfprintm
!DEC$ ATTRIBUTES ALIAS: '_ut_vprintm' :: ut_vprintm
!DEC$ ATTRIBUTES ALIAS: '_ut_vsprintm' :: ut_vsprintm
!DEC$ ATTRIBUTES ALIAS: '_ut_vswarning' :: ut_vswarning
!DEC$ ATTRIBUTES ALIAS: '_ut_vswarning_id' :: ut_vswarning_id
!DEC$ ATTRIBUTES ALIAS: '_ut_vwarn_id' :: ut_vwarn_id
!DEC$ ATTRIBUTES ALIAS: '_ut_vwarning' :: ut_vwarning
!DEC$ ATTRIBUTES ALIAS: '_ut_vwarning_id' :: ut_vwarning_id
!DEC$ ATTRIBUTES ALIAS: '_ut_warn_id' :: ut_warn_id
!DEC$ ATTRIBUTES ALIAS: '_ut_warning' :: ut_warning
!DEC$ ATTRIBUTES ALIAS: '_ut_warning_id' :: ut_warning_id
!DEC$ ATTRIBUTES ALIAS: '_ut_wmgr_from_warning_context' :: ut_wmgr_from_warning_context
!DEC$ ATTRIBUTES ALIAS: '_utf16_countChar32' :: utf16_countChar32
!DEC$ ATTRIBUTES ALIAS: '_utf16_is_7bit' :: utf16_is_7bit
!DEC$ ATTRIBUTES ALIAS: '_utf16_maxCharLen' :: utf16_maxCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf16_minCharLen' :: utf16_minCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf16_snprintf' :: utf16_snprintf
!DEC$ ATTRIBUTES ALIAS: '_utf16_sprintf' :: utf16_sprintf
!DEC$ ATTRIBUTES ALIAS: '_utf16_sscanf' :: utf16_sscanf
!DEC$ ATTRIBUTES ALIAS: '_utf16_strcat' :: utf16_strcat
!DEC$ ATTRIBUTES ALIAS: '_utf16_strchr' :: utf16_strchr
!DEC$ ATTRIBUTES ALIAS: '_utf16_strcmp' :: utf16_strcmp
!DEC$ ATTRIBUTES ALIAS: '_utf16_strcmp_codepoint' :: utf16_strcmp_codepoint
!DEC$ ATTRIBUTES ALIAS: '_utf16_strcpy' :: utf16_strcpy
!DEC$ ATTRIBUTES ALIAS: '_utf16_strdup' :: utf16_strdup
!DEC$ ATTRIBUTES ALIAS: '_utf16_stricmp' :: utf16_stricmp
!DEC$ ATTRIBUTES ALIAS: '_utf16_stristr' :: utf16_stristr
!DEC$ ATTRIBUTES ALIAS: '_utf16_strlen' :: utf16_strlen
!DEC$ ATTRIBUTES ALIAS: '_utf16_strlen_lim' :: utf16_strlen_lim
!DEC$ ATTRIBUTES ALIAS: '_utf16_strncat' :: utf16_strncat
!DEC$ ATTRIBUTES ALIAS: '_utf16_strncmp' :: utf16_strncmp
!DEC$ ATTRIBUTES ALIAS: '_utf16_strncpy' :: utf16_strncpy
!DEC$ ATTRIBUTES ALIAS: '_utf16_strndup' :: utf16_strndup
!DEC$ ATTRIBUTES ALIAS: '_utf16_strnicmp' :: utf16_strnicmp
!DEC$ ATTRIBUTES ALIAS: '_utf16_strstr' :: utf16_strstr
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_enc' :: utf16_to_enc
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_ics' :: utf16_to_ics
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_ics_n' :: utf16_to_ics_n
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_lcp' :: utf16_to_lcp
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_lcp_n' :: utf16_to_lcp_n
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_utf8' :: utf16_to_utf8
!DEC$ ATTRIBUTES ALIAS: '_utf16_to_utf8_n' :: utf16_to_utf8_n
!DEC$ ATTRIBUTES ALIAS: '_utf16_vsnprintf' :: utf16_vsnprintf
!DEC$ ATTRIBUTES ALIAS: '_utf16_vsprintf' :: utf16_vsprintf
!DEC$ ATTRIBUTES ALIAS: '_utf16_vsscanf' :: utf16_vsscanf
!DEC$ ATTRIBUTES ALIAS: '_utf32_maxCharLen' :: utf32_maxCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf32_minCharLen' :: utf32_minCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf8_countChar32' :: utf8_countChar32
!DEC$ ATTRIBUTES ALIAS: '_utf8_is_7bit' :: utf8_is_7bit
!DEC$ ATTRIBUTES ALIAS: '_utf8_maxCharLen' :: utf8_maxCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf8_minCharLen' :: utf8_minCharLen
!DEC$ ATTRIBUTES ALIAS: '_utf8_strcmp' :: utf8_strcmp
!DEC$ ATTRIBUTES ALIAS: '_utf8_strcmp_codepoint' :: utf8_strcmp_codepoint
!DEC$ ATTRIBUTES ALIAS: '_utf8_strdup' :: utf8_strdup
!DEC$ ATTRIBUTES ALIAS: '_utf8_strlen' :: utf8_strlen
!DEC$ ATTRIBUTES ALIAS: '_utf8_strncmp' :: utf8_strncmp
!DEC$ ATTRIBUTES ALIAS: '_utf8_strndup' :: utf8_strndup
!DEC$ ATTRIBUTES ALIAS: '_utf8_to_ics' :: utf8_to_ics
!DEC$ ATTRIBUTES ALIAS: '_utf8_to_ics_n' :: utf8_to_ics_n
!DEC$ ATTRIBUTES ALIAS: '_utf8_to_utf16' :: utf8_to_utf16
!DEC$ ATTRIBUTES ALIAS: '_utf8_to_utf16_n' :: utf8_to_utf16_n
!DEC$ ATTRIBUTES ALIAS: '_utmsg_special_puts' :: utmsg_special_puts
