function prior = logisticNormalPriorParamInit(prior)

% LOGISTICNORMALPRIORPARAMINIT Logistic-normal prior model's parameter initialisation.
% FORMAT
% DESC initialises the parameters of the 4 parameter logistic-normal
% prior with some default parameters.
% ARG prior : prior structure to be initialised.
% RETURN prior : prior structure with initial values in place.
% 
% Reference: Johnson, Systems of Frequency Curves Generated by
% Methods of Translation, Biometrika 36(1/2):149-176, 1949.
% 
% SEEALSO : priorCreate
%
% COPYRIGHT : Antti Honkela, 2011

% PRIOR

prior.mu = 0;
prior.sd = sqrt(2);
prior.a = 0;
prior.b = 1;

prior.transforms.index = [2];
prior.transforms.type = optimiDefaultConstraint('positive');
prior.nParams = 2;
prior.isBounded = 1;
