% Auxiliary functions to evaluate the performance of the confidence intervals

function [icp, mil, rmil, clc] = eval_intervals(lower, upper, preds, trues)
    N = numel(trues);
    icp = sum((trues>lower & trues<upper)) / N;
    mil = sum(upper-lower) / N; 
    %rmil = sum((upper-lower)./(abs(trues-preds))) / N; 
    rmil = 0.0;
    for i=1:N
        if trues(i) ~= preds(i)
            rmil = rmil + (upper(i)-lower(i))./(abs(trues(i)-preds(i)));
        end
    end
    rmil = rmil / N; 
    clc = exp(-rmil*(icp-0.95));
end
