% Auxiliary functions to evaluate the performance of the predictions models

function [corr, mae, rmse, mape, rae, rrse, r2] = eval_predictions(preds, trues)
    N = numel(trues);
    corr = corrcoef(preds, trues);
    corr = corr(1,2)*100;
    mae = sum(abs(trues - preds)) / N;
    rmse = sqrt(sum((trues - preds).^2) / N);
    mape = sum(abs((trues - preds) ./ trues)) / N;
    rae = sum(abs(trues - preds)) / sum(abs(trues - mean(trues)))*100;
    rrse = sqrt(sum((trues - preds).^2) / sum((trues - mean(trues)).^2))*100;
    r2 = max(0, 1 - sum((trues-preds).^2) / sum((trues - mean(trues)).^2));
    %fprintf('corr=%f mae=%f rmse=%f rae=%f rrse=%f r2=%f\n', corr, mae, rmse, rae, rrse, r2)
end
