function [ preds, s2 ] = historical_average_model_fast( X_train, X_test, expectations, variances )
%HISTORICAL_AVERAGE_MODEL Makes predicitons based on day of week and time
%of day
%   INPUT: X_train is data matrix with [day of week, time of day]; similar
%   for X_test; y_train are the observations (dependent variable)
    
    dows = unique(X_train(:,1));
    tods = unique(X_train(:,2));

    preds = zeros(size(X_test,1), 1);
    s2 = zeros(size(X_test,1), 1);
    for n = 1:size(X_test,1)
        dow = find(dows == X_test(n,1));
        tod = find(tods == X_test(n,2));
        preds(n) = expectations(dow, tod);
        s2(n) = variances(dow, tod);
    end
end

