clear all;

rng(42); % for reproducibility

% ---------------------------------- Options
missing_percentage = 0.25;

% load dataset
load 'norrecampus_data_multi'

% % use detrended data instead
% for i=1:numel(speeds)
%     speeds{i}.values = detrended_speeds{i}.values;
% end

N = size(speeds{1}.values,1);
fprintf('N: %d\n', N);
num_missings = missing_percentage*N;
fprintf('Num. Missings: %d\n', num_missings);

y = {};
y_true = {};
for i=1:numel(place_ids)
    fprintf('Preparing data for place id %s...\n', place_ids{i});
    assert(size(speeds{i}.values,1) == N);
    
    % compute snr
    fprintf('SNR: %f\n', snr(speeds{i}.values));
    
    % add missing data (but make sure they were not missings originally)
    rp = randperm(N); 
    ix_missings = zeros(num_missings,1);
    ix = 1;
    for j=1:num_missings
        while missing_speeds{i}.values(rp(ix)) % while it is a missing in the original data
            ix = ix + 1;
        end
        ix_missings(j) = rp(ix);
        ix = ix + 1; 
    end
    ix_missings = sort(ix_missings);
    
    % build train and test data for imputation
    y_true{i} = speeds{i}.values;
    y{i} = speeds{i}.values;
    y{i}(ix_missings) = nan;
    Xvar{i} = lagmatrix(flows{i}.values, [1,2,3,4,5]);
    Xvar{i}(isnan(Xvar{i})) = Xvar{i}(2);
end

% save prepared data
save(['norrecampus_imputation_multi',num2str(missing_percentage*100),'.mat'], 'place_ids', 'Xvar', 'y', 'y_true', 'metadata', 'detrended_speeds')

