function [ lower_bound, upper_bound ] = vhgpr_95bounds( mutst, diagSigmatst, atst, diagCtst )
    %           - mutst: Expectation of the approximate posterior for g.
    %           - diagSigmatst: Variance of the approximate posterior for g.
    %           - atst: Expectation of the approximate posterior for f.
    %           - diagCtst: Variance of the approximate posterior for f.
    n_samples = 10000;
    %g = mutst + sqrt(diagSigmatst).*randn(size(mutst,1),n_samples);
    %y = atst + sqrt(diagCtst + exp(g)).*randn(size(atst,1),n_samples);
    g = repmat(mutst,1,n_samples) + repmat(sqrt(diagSigmatst),1,n_samples).*randn(size(mutst,1),n_samples);
    y = repmat(atst,1,n_samples) + sqrt(repmat(diagCtst,1,n_samples) + exp(g)).*randn(size(atst,1),n_samples);
    lower_bound = prctile(y, 2.5, 2);
    upper_bound = prctile(y, 97.5, 2);
end

